================================================================================
This file describes what tags were created on master and why
================================================================================

================================================================================
Originator: @ekluzek
Date: 12/06/2018
Version: cism2_1_64
One-line summary: Fix time-manager so can go simulate up to year 214,747

Purpose of changes:

Some changes so that we can do simulations up to 214,747 years. Fixing
the limitations that didn't allow it to restart beyond year 9,999. This
required changes to the namelist build as well as some code changes. Going
beyond the 214,747 limit would require changes to CIME.

Also updated README files in cime_config and bld directories. And added
a test directory that allows you to run the build-namelist outside of a
CESM case directory.

Also fixed the time_management unit test so it now works. It's not
neccessarily a useful test, but I did get it to work.

Standalone checkout supported in this tag (Yes/No): Yes

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): Fixes #19, #21
   #19 -- Time manager doesn't support years greater than 9999
   #21 -- Fix unit test for time_manager

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart

   All cheyenne tests passed and were bit-for-bit.

   Some hobart tests failed, as in cism2_1_63

   https://github.com/ESCOMP/ctsm/issues/438
       FAIL SMS_D_Ld5_P24x1.T31_g37_gl20.I1850Clm50SpG.hobart_nag.cism-test_coupling RUN time=214

================================================================================
Originator: sacks
Date: July 7, 2018
Version: cism2_1_62
One-line summary: Fixes for new NAG compiler on hobart

Purpose of changes:

   Update the source_cism external to pull in some changes that are
   needed for NAG 6.2 on hobart.

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: NO

   No answer changes in any tests, but in theory this could change
   answers for certain compilers, if they do optimizations that were
   unsafe with the old code.

Bugs fixed (include github issue number):
- https://github.com/ESCOMP/cism/issues/6

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart

   All cheyenne tests passed and were bit-for-bit.

   Some hobart tests failed:

   https://github.com/ESMCI/cime/issues/2705
       FAIL SMS_D_Ly1_P24x1.f09_g17_gl4.T1850G.hobart_pgi MODEL_BUILD time=434
       FAIL SMS_D_Ly3.f09_g17_gl5.T1850G1.hobart_pgi MODEL_BUILD time=483

   https://github.com/ESCOMP/ctsm/issues/438
       FAIL SMS_D_Ld5_P24x1.T31_g37_gl20.I1850Clm50SpG.hobart_nag.cism-test_coupling RUN time=214

================================================================================
Originator: sacks
Date: July 7, 2018
Version: cism2_1_61
One-line summary: Update externals used in standalone checkout

Purpose of changes:

   Update externals to cesm2.0 release or later

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: YES

   Just changes answers for standalone checkout, due to:

   - New version of CTSM (and MOSART, but that probably didn't change
     answers)

   - CIME update changes gnu compiler version on cheyenne, and possibly
     other changes

Bugs fixed (include github issue number): None

Summary of testing:

   aux_glc test suite just on cheyenne

================================================================================
Originator: sacks
Date: June 14, 2018
Version: cism2_1_60
One-line summary: Support some additional config options

Purpose of changes:

   Support some additional config options. Some of these relate to the
   GLP. Others were left out unintentionally.

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): None

Summary of testing:

   aux_glc tests, just on cheyenne

================================================================================
Originator: sacks
Date: June 12, 2018
Version: cism2_1_59
One-line summary: Update to latest version of CISM; bring in doc source

Purpose of changes:

   Small CISM updates. The biggest change is adding a depth-dependent
   basal melt rate for floating ice, controlled by 5 new parameters.

   Also bring in the initial version of the source for the user's guide,
   in the doc directory.

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): none

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart

================================================================================
Originator: sacks
Date: May 14, 2018
Version: cism2_1_58
One-line summary: Parameter and code changes to achieve greater stability

Purpose of changes:

   In multi-century T1850G runs, there were instances of
   instability. This tag has some parameter changes and minor code
   changes, all from Bill Lipscomb, in order to achieve greater
   stability.

   Also: changes some _tavg fields to their instantaneous versions:
   There seems to be an issue with writing _tavg fields from CESM (which
   we'll have to figure out at some point: see
   https://github.com/ESCOMP/cism-wrapper/issues/15).

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: YES

   - Changes answers for cases with CISM2%EVOLVE

   - For CISM2%NOEVOLVE, no meaningful changes, but changes answers for
     these cism fields (presumably due to the change in dt):
     - internal_time
     - tstep_count

Bugs fixed (include github issue number): None

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart

================================================================================
Originator: sacks
Date: May 11, 2018
Version: cism2_1_57
One-line summary: Update CISM external; fix/update namelist xml files

Purpose of changes:

   (1) Brings in latest changes in the CISM external (from Bill Lipscomb)

   (2) Updates namelist xml files for consistency with changes from (1)
       (from Gunter Leguy)

   (3) General review and edits of namelist xml files (from Gunter Leguy)

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: YES

   Changes answers for CISM2 cases with ice evolution turned on. BFB for
   cases with ice evolution off and for cases with CISM1.

Bugs fixed (include github issue number):
- Fixes #9 (Review namelist xml files and modify appropriately)

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart

================================================================================
Originator: sacks
Date: May 7, 2018
Version: cism2_1_56
One-line summary: Update cime to version with fixed TG compset, and update CLM

Purpose of changes:

   Main purpose is to update cime to a version that fixes the TG
   compset. Along with this, change TG tests to new resolution (f09_g17
   rather than f09_g16). Also update CLM to latest version.

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: YES

   Changes answers for TG compsets due to new TG forcing data (coming in
   with new cime tag).

   Changes answers for I compsets due to new CLM tag.

   Within a CESM checkout, these are irrelevant - though baselines will
   fail due to new test names for TG tests.

Bugs fixed (include github issue number): None

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart.

================================================================================
Originator: sacks
Date: May 4, 2018
Version: cism2_1_55
One-line summary: Update CISM external

Purpose of changes:

   Main purpose is to update the CISM external (in source_cism),
   bringing in changes that Bill Lipscomb and Gunter Leguy have made
   over the last few months.

   Also:

   - Minor update to manage_externals

   - Minor tweaks to default output fields (partially addressing
     https://github.com/ESCOMP/cism-wrapper/issues/9)

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: MAYBE

   Bill Lipscomb thought there might be roundoff-level changes, but I
   didn't see any answer changes in the test suite.

Bugs fixed (include github issue number): partially addresses
https://github.com/ESCOMP/cism-wrapper/issues/9

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart

================================================================================
Originator: sacks
Date: May 3, 2018
Version: cism2_1_54
One-line summary: Point to new CISM GitHub repo in ESCOMP

Purpose of changes:

   Point to the new, public CISM GitHub repository in ESCOMP, rather
   than the temporary subversion mirror. This points to the same version
   of the code that we were using before.

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): None

Summary of testing:

   aux_glc test suite on cheyenne

================================================================================
Originator: sacks
Date: April 16, 2018
Version: cism2_1_53
One-line summary: Add model_doi_url metadata to history files

Purpose of changes:

   Add model_doi_url metadata to history files. This is a new CESM
   requirement.

   Includes cime updates to get a version that provides this metadata.

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): None

Summary of testing:

   full aux_glc test suite on cheyenne and hobart

================================================================================
Originator: sacks
Date: April 12, 2018
Version: cism2_1_52
One-line summary: Update externals used in standalone checkout

Purpose of changes:

   Update externals to cesm2_0_alpha10c or later:

    cime: use version that has the merge of my branch to rename glimmer-cism
    to source_cism; this is a bit past cime5.4.0-alpha.28 (the version used
    in cesm2.0.alpha10c)

    clm: use version in cesm2.0.alpha10c

Standalone checkout supported in this tag (Yes/No): Yes
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing:

Changes answers relative to previous tag: YES

   Changes answers for I compsets due to updated externals.

   (This won't have any effect when including this in a CESM tag.)

Bugs fixed (include github issue number): none

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart

================================================================================
Originator: sacks
Date: April 12, 2018
Version: cism2_1_51
One-line summary: Rename glimmer-cism directory to source_cism

Purpose of changes:

   We no longer use the name "glimmer" when referring to "cism", so
   having the directory named glimmer-cism was confusing. This tag
   renames the directory to source_cism.

   Note that this requires a cime update.

   Also pulls in new version of manage_externals

Standalone checkout supported in this tag (Yes/No): No
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing: Externals as listed in
   Externals.cfg. However, need the following workaround:

     mkdir -p cime_config/usermods_dirs/b1850

   Also, cime points to a hash on my fork, which may not stick around
   long-term

Changes answers relative to previous tag: No

Bugs fixed (include github issue number):
- Fixes #10 (Rename glimmer-cism to source_cism)

Summary of testing:

   aux_glc test suite on cheyenne and hobart. All tests passed.

================================================================================
Originator: sacks
Date: March 7, 2018
Version: cism2_1_50
One-line summary: Use observed init cond file in hybrid cases with CISM_EVOLVE=FALSE

Purpose of changes:

    Use observed initial conditions file in hybrid cases with
    CISM_EVOLVE=FALSE

    We could use the hybrid refcase's CISM restart file in this
    case. However, we often run into problems where a change in CISM
    makes it incompatible with old restart files, and this breaks
    configurations that are set up as hybrid runs (typically B and F
    compsets). Those hybrid cases typically use NOEVOLVE (i.e.,
    CISM_EVOLVE=FALSE), where the restart file really doesn't
    matter. So, rather than requiring ourselves to recreate all of those
    refcases whenever we break compatibility with old restart files, an
    easier-to-maintain solution is to just use observed initial
    conditions rather than the restart file whenever we're running a
    hybrid case with CISM_EVOLVE=FALSE.

    One theoretical problem with this is: If someone did a run with
    CISM_EVOLVE=TRUE, then did a hybrid case off of that with
    CISM_EVOLVE=FALSE, hoping that this would keep the ice sheet fixed
    at the previously-spun-up state, they wouldn't get what they want:
    instead the ice sheet would be reset to observed initial
    conditions. Thus, the user would need to explicitly set
    'cisminputfile' and 'restart' in this case.

Standalone checkout supported in this tag (Yes/No): No
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing: Externals as listed in
   Externals.cfg. However, need the following workaround (which is why
   I'm saying a standalone checkout isn't supported):

     mkdir -p cime_config/usermods_dirs/b1850

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number):

Summary of testing:

   aux_glc test suite, just on cheyenne. Four tests are still pending:

    PEND SMS_D_Ly1.f09_g16_gl4.T1850G.cheyenne_intel.cism-isostasy_period1 RUN
    PEND SMS_D_Ly1.f09_g16_gl4.T1850G.cheyenne_intel RUN

    PEND ERS_Ly3.f09_g16_gl4.T1850G.cheyenne_gnu.cism-isostasy_period1 RUN
    PEND ERS_Ly5.f09_g16_gl4.T1850G.cheyenne_gnu.cism-isostasy_period4 RUN

   I'll check on those tomorrow. Other tests all passed.

   Also checking
   SMS_Ld7.f09_g17.B1850.cheyenne_intel.allactive-defaultio out of a
   cesm2_0_alpha10b sandbox; this is still pending.

================================================================================
Originator: sacks
Date: Feb 26, 2018
Version: cism2_1_49
One-line summary: Add more output variables, including for CMIP6; reduce PE count

Purpose of changes:

   - Add more output variables by default

   - Add a usermods directory with even more output variables for CMIP6

   - Point to new version of CISM external that supports longer lists of
     output variables

   - Reduce the PE counts for T compsets with CISM2 at 4km (We decided
    to do this a while ago, I'm just finally getting around to doing
    it. CISM2 is now a lot faster than before, and halving the PE count
    is more efficient in terms of cost.)

Standalone checkout supported in this tag (Yes/No): No
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing: Externals as listed in
   Externals.cfg. However, need the following workaround (which is why
   I'm saying a standalone checkout isn't supported):

     mkdir -p cime_config/usermods_dirs/b1850

Changes answers relative to previous tag: YES

   Changes answers for 4km cases, because of new PE layout

Bugs fixed (include github issue number):
https://github.com/ESCOMP/cism-wrapper/issues/8: Make a cmip6 usermods
directory with the necessary outputs

Summary of testing:

   aux_glc test suite on cheyenne and hobart. All tests passed, except
   for NLCOMP and BASELINE failures as expected.

================================================================================
Originator: sacks
Date: Feb 21, 2018
Version: cism2_1_48
One-line summary: Update to externals in cesm2_0_beta09 or later

Purpose of changes:

    cime: using cesm2_0_alpha10a (because the version in cesm2_0_beta09 has
    a problem reading .config_files.xml).

    ctsm and mosart: using cesm2_0_beta09

Standalone checkout supported in this tag (Yes/No): No
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing: Externals as listed in
   Externals.cfg. However, need the following workaround (which is why
   I'm saying a standalone checkout isn't supported):

     mkdir -p cime_config/usermods_dirs/b1850

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): none

Summary of testing:

   aux_glc test suite just on cheyenne. All tests passed. NLCOMP
   failures (not investigated), but no baseline failures.

   ERI_Lm24.f10_f10_musgs.I1850Clm50SpG.cheyenne_intel.cism-isostasy_period4
   passes as long as the testid does not contain ####-## (where #
   represents a digit): see https://github.com/ESMCI/cime/issues/2308

================================================================================
Originator: sacks
Date: Feb 20, 2018
Version: cism2_1_47
One-line summary: Major update to latest CISM development code

Purpose of changes:

   For a couple of years, we've been pointing to older CISM code,
   because the latest CISM development code has been private. We've been
   maintaining a branch pointing to this private development code, which
   we've been using for periodic testing as well as scientific
   simulations of CISM-in-CESM. Now, with the CISM2.1 coming soon, we
   are moving that long-lived development branch to master. For now,
   we're mirroring CISM in a temporary svn repository so that we can
   restrict access to CESM developers. Soon we'll move that into a git
   repository.

   This represents substantial changes on the master branch, thanks to
   many scientific improvements made to CISM over the last couple of
   years.

Standalone checkout supported in this tag (Yes/No): No
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing: Externals as listed in
   CESM.cfg. The ctsm and mosart versions point to commits on branches
   in my forks, so may not work long-term.

Changes answers relative to previous tag: YES

   Substantial answer changes for CISM2 cases with an evolving ice
   sheet, due to significant changes in the science.

   In addition:

   - noevolve tests have diffs in some cism fields, but nothing that
     affects the rest of the system

   - cism1 tests with evolve differ, too (though, interestingly: even
     though SMS_D.f09_g16_gl5.T1850G1.cheyenne_intel fails the baseline
     comparison,
     ERS_D_Ly3.f09_g16_gl5.T1850G1.cheyenne_gnu.cism-noevolve and
     ERS_Ly20_N2_P2.f09_g16_gl20.T1850G1.cheyenne_gnu and
     SMS_D.f09_g16_gl20.T1850G1.cheyenne_gnu pass... I'm not going to
     spend time trying to figure this out: e.g., maybe there's just some
     unusual circumstance where they differ... I'm guessing I followed
     up with Bill L when I first noticed this in testing the development
     branch over the last two years)

Bugs fixed (include github issue number): none

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart. Compared against
   cism2_1_45.

   All tests passed except
   ERI_Lm24.f10_f10_musgs.I1850Clm50SpG.cheyenne_intel.cism-isostasy_period4
   - seems to fail due to a cime issue; will investigate further and
   commit a fix in a follow-up tag.

   Also compared against f2cd4f0 (which pointed to a git-based version
   of cism rather than the temporary svn-based version used here). These
   were bit-for-bit for all tests (except couldn't check the one failing
   test noted above), indicating that the conversion from git to svn
   went smoothly.

================================================================================
Originator: sacks
Date: Jan 23, 2018
Version: cism2_1_46
One-line summary: Update manage_externals

Purpose of changes:

   Update to more recent version of manage_externals. Among other
   things, this changes the default externals cfg file name to
   Externals.cfg. In addition, the new convention is to use
   Externals_[COMPNAME].cfg for the "internal externals".

Standalone checkout supported in this tag (Yes/No): No
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing: N/A

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): none

Summary of testing: Only tested manage_externals!

================================================================================
Originator: sacks
Date: Dec 27, 2017
Version: cism2_1_45
One-line summary: Migrate to git

Purpose of changes:

   Migrate from svn to git

   Use manage_externals to checkout CISM itself

   Also, support a "standalone" checkout of cism-wrapper. I'm using
   "standalone" in the sense of: outside of a full CESM checkout; this
   includes cime and the other CESM components that are needed to run an
   I compset as well as a T compset.

Standalone checkout supported in this tag (Yes/No): No
   (If yes, this implies that we expect to be able to build and run a
   case from a standalone checkout using manage_externals, and for this
   to continue to work long-term. The answer may be "No" if the set of
   externals pointed to by manage_externals is broken, or if at least
   one external points to a temporary branch that is may be deleted in
   the near future.)

   If No: Notes on externals used for testing: Externals as listed in
   CESM.cfg. The ctsm and mosart versions point to commits on branches
   in my forks, so may not work long-term.

Changes answers relative to previous tag: NO

Bugs fixed (include github issue number): none

Summary of testing:

   Full aux_glc test suite, just on cheyenne. Compared against baselines
   generated with cism2_1_44 in the context of clm4_5_18_r270 (with cism
   and clm in svn).

================================================================================
Originator: sacks
Date: Dec 11, 2017
Model: cism
Version: cism2_1_44
One-line summary: Migrate aux_glc yellowstone tests to cheyenne

Purpose of changes:

   With yellowstone going away in a few weeks, I am migrating the
   aux_glc tests to cheyenne.

   Some particular items of note:

   - Removed trilinos test: this is no longer supported

   - For the most part, moved yellowstone_intel to cheyenne_intel, and
     yellowstone_pgi and yellowstone_gnu to cheyenne_gnu. However, I moved
     a few intel tests to gnu to give better balance, and tried to end up
     with slightly more gnu than intel tests, so that the long-running
     intel tests can get going sooner (in hopes this will lead the whole
     test suite to finish sooner). I kept the following on intel: test(s)
     matching typical production case(s), important debug tests (because
     gnu doesn't catch as much as intel in debug mode), and long-running
     tests (because intel is typically faster than gnu).

   - Introduced two hobart_pgi tests so we'd continue to have pgi test
     coverage

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

D       cime_config/testdefs/testmods_dirs/cism/trilinos/user_nl_cism
D       cime_config/testdefs/testmods_dirs/cism/trilinos/shell_commands
D       cime_config/testdefs/testmods_dirs/cism/trilinos/README
D       cime_config/testdefs/testmods_dirs/cism/trilinos
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Full aux_glc test suite on cheyenne and hobart: intel and gnu on
   cheyenne; nag and pgi on hobart. No baseline comparisons done. All
   tests pass.

Externals used for testing: cesm2_0_alpha08d

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Nov 22, 2017
Model: cism
Version: cism2_1_43
One-line summary: Avoiding recreating Filepath; add a test

Purpose of changes:

   (1) Change from Jim Edwards: Do not replace Filepath if it hasn't
       changed. He thinks this could speed up a rebuild, although in my
       testing I haven't seen that it matters.

   (2) Add a 13-month I compset NOEVOLVE test:
       SMS_Lm13.f10_f10_musgs.I2000Clm50Sp.yellowstone_intel. The
       purpose of this test is: Often there are answer changes in CISM,
       but we expect that these should not affect NOEVOLVE runs (which
       is the typical CESM configuration). This test allows us to do a
       baseline comparison to confirm that expectation. 13-months rather
       than 1-year in order to allow time for CISM to affect CLM (and
       CLM to produce the next month's history file).

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       cime_config/buildlib
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   aux_glc test suite, just on yellowstone

Externals used for testing: cesm2_0_alpha07d

cism tag used for baseline comparisons: cism2_1_42

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Nov 14, 2017
Model: cism
Version: cism2_1_42
One-line summary: Reduce the ice runoff field when running with test_coupling

Purpose of changes:

   This is a bit of a hack. When we're running with test_coupling, we
   can get too-large ice runoff fluxes in the first coupling interval
   (when CISM sloughs off excess ice). This can cause CICE to blow up.

   In a typical run, the large ice runoff fluxes from the first dynamic
   time step would be averaged with near-zero fluxes from the remaining
   dynamic time steps in the first coupling interval, leading to
   approximately an order of magnitude smaller fluxes. Thus, to avoid
   crashing test_coupling runs, we adjust the rofi flux by a factor that
   accounts for the fact that, with test_coupling, we aren't averaging
   in the 0 values from (n-1) dynamic time steps in the first coupling
   interval (where n = 1/dt - e.g., if dt = 0.1 yr, then n = 10).

   We should only have to do this adjustment in the first coupling
   interval of a run that starts from non-spun-up initial
   conditions. But to avoid the complexity that would be needed for that
   logic to restart correctly in various situations (restart, branch,
   hybrid runs), we simply always do this adjustment. This means that
   rofi will be lower than normal for test_coupling runs, but since this
   is only meant for software testing, this should be okay.

Changes answers relative to previous tag: YES - just for tests that use
test_coupling

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       source_glc/glc_RunMod.F90

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed;
   baseline comparison failures as expected for tests with the
   cism-test_coupling testmod.

Externals used for testing: cesm2_0_alpha07d

cism tag used for baseline comparisons: cism2_1_41

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Oct 13, 2017
Model: cism
Version: cism2_1_41
One-line summary: Minor fixes to build scripts

Purpose of changes:

   (1) Fixes from Jim Edwards to make the build work with pgi with long
       paths to the build directory. (This change was needed because
       cism's buildlib is in perl rather than python... Jim made this
       Just Work for any buildlib using the python.)

   (2) Change ntasks/ninst check to work with multi-driver: If using
       multi-driver, it is no longer the case that the number of tasks
       per instance equals ntasks_glc / ninst_glc. (Instead, ntasks_glc
       gives the number of tasks per instance.) A new variable has been
       introduced in cime to account for this (NTASKS_PER_INST); use
       that new variable in the error check.

   (3) In a hybrid/branch run: If the restart file name with instance
       number does not exist, then try a file name without the instance
       number. This is needed when starting a multi-instance case from a
       single-instance refcase. (See bugzilla bug #2514.)

   (4) Add a 13-month IG test to the prealpha test list: Include one
       test in the prealpha test list that exercises CISM without
       resorting to the test_coupling testmod, in order to exercise CISM
       in a production-like configuration. 13-months rather than 1-year
       in order to allow time for CISM to affect CLM (and CLM to produce
       the next month's history file).

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):
- #2514: Incorrect restart file name when starting multi-instance case
         from a single-instance refcase

List all modified files, and describe the changes:

*** Change (1) above
M       cime_config/buildlib

*** Changes (2) and (3) above
M       bld/build-namelist

*** Change (4) above
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   aux_glc test suite, just on yellowstone

Externals used for testing: cesm2_0_alpha07d

cism tag used for baseline comparisons: cism2_1_40

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Sept 11, 2017
Model: cism
Version: cism2_1_40
One-line summary: Abort if trying to run with anything other than a NO_LEAP calendar

Purpose of changes:

   CISM currently doesn't handle leap years properly: see
   http://bugs.cgd.ucar.edu/show_bug.cgi?id=2507. So catch this problem
   at build-namelist time and abort with an appropriate error.

   I have also changed the relevant runtime warning to an error, since
   CISM currently cannot handle leap years at all.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none, but
connected with bug 2507: New CISM time management aborts for leap years

List all modified files, and describe the changes:

M       bld/build-namelist
M       source_glc/glc_time_management.F90

Summary of testing:

   aux_glc test suite, just on yellowstone

Externals used for testing: cesm2_0_alpha07c

cism tag used for baseline comparisons: cism2_1_39

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Sept 1, 2017
Model: cism
Version: cism2_1_39
One-line summary: Update to v3 of config_component.xml

Purpose of changes:

   Update to v3 of config_component.xml in order to allow error-checking
   on compset long names.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       cime_config/config_component.xml

Summary of testing:

   aux_glc test suite, just on yellowstone

Externals used for testing: cesm2_0_alpha07c

cism tag used for baseline comparisons: cism2_1_38

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: July 8, 2017
Model: cism
Version: cism2_1_38
One-line summary: Modify IG tests to be compatible with new CLM compset names

Purpose of changes:

   (1) Modify IG tests to be compatible with new CLM compset names

   (2) Tweak IG tests a bit:

        - Use CLM5 rather than CLM45

        - Use f10_f10_musgs rather than just f10_f10

        - Change an f19_g16 test (with override_glc_frac testmod) to f10_f10: I can't
          see a need for this to be at higher resolution

        - Change the ERS_Ly5 test to ERS_Ly3: I don't see a need for this to be a 5-year
          test

        - Remove clm/glcMEC_long testmod from some tests: This doesn't really help with
          these tests, and ties these tests to potential changes in this test
          mod. Originally I had this in order to set snow persistence to a shorter
          amount of time, but this is no longer needed with clm5.

   (3) Remove no-longer-needed glc_comp_esmf

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

D       drivers/cpl/glc_comp_esmf.F90
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed. Did not
   do baseline comparisons.

Externals used for testing: clm4_5_16_r249

cism tag used for baseline comparisons: NONE

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: June 15, 2017
Model: cism
Version: cism2_1_37
One-line summary: Only have T1850G and T1850G1 compsets

Purpose of changes:

   The TG compsets are only used for software testing at this point: they use
   old forcing data that (among other things) do not allow for glacial
   inception. Thus, there is no benefit in having different TG compsets with
   different forcing data. So just keep one compset with CISM2 and one with
   CISM1 for software testing purposes.

   Also remove most of the RUN_STARTDATE settings: most of these are no longer
   needed. For the one I'm keeping, get rid of a bunch of unnecessary
   qualifiers; for the grid, note that the grid match wasn't working before
   because the grid format changed... I don't see any reason to have a grid
   attribute here anyway.

Changes answers relative to previous tag: NO (but reworks test list, leading to
baseline failures)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

*** Main changes
M       cime_config/config_compsets.xml
M       cime_config/testdefs/testlist_cism.xml

*** Add a note
M       cime_config/config_component.xml

Summary of testing:

   aux_glc test suite, just on yellowstone. All tests passed.

   Did NOT do baseline comparisons

Externals used for testing: clm4_5_16_r246 with IGCLM45 compset redefined:

   Index: cime_config/config_compsets.xml
   ===================================================================
   --- cime_config/config_compsets.xml	(revision 85679)
   +++ cime_config/config_compsets.xml	(working copy)
   @@ -329,7 +329,7 @@

      <compset>
        <alias>IGCLM45</alias>
   -    <lname>2000_DATM%QIA_CLM45%SP_SICE_SOCN_RTM_CISM2_SWAV</lname>
   +    <lname>2000_DATM%QIA_CLM45%SP_SICE_SOCN_RTM_CISM2%EVOLVE_SWAV</lname>
      </compset>

      <compset>

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: June 6, 2017
Model: cism
Version: cism2_1_36
One-line summary: Include instance string in hybrid/branch restart file name

Purpose of changes:

   Include instance string in hybrid/branch restart file name

   Without this, ERI multi-instance tests like
   ERI_N2_Ly9.f09_g16_gl20.TG.yellowstone_intel fail because the hybrid case is
   looking for a single-instance restart file rather than a multi-instance
   restart file.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

*** Main changes
M       bld/build-namelist

*** Add an ERI _N2 test to catch problems with multi-instance branch / hybrid
    runs in the future
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   aux_glc test suite, just on yellowstone. All tests passed and bit-for-bit

Externals used for testing: CLM branch
https://svn-ccsm-models.cgd.ucar.edu/clm2/branches/externals_update_cesm2_0_alpha06k
at r85267 with cime at cime5.3.0-alpha.13-31-gbb9b17a (lnd2glc_bilinear branch),
with IGCLM45 compset redefined:

    Index: cime_config/config_compsets.xml
    ===================================================================
    --- cime_config/config_compsets.xml	(revision 85267)
    +++ cime_config/config_compsets.xml	(working copy)
    @@ -334,10 +334,15 @@

       <compset grid="g%gland">
         <alias>IGCLM45</alias>
    -    <lname>2000_DATM%QIA_CLM45%SP_SICE_SOCN_RTM_CISM2_SWAV</lname>
    +    <lname>2000_DATM%QIA_CLM45%SP_SICE_SOCN_RTM_CISM2%EVOLVE_SWAV</lname>
       </compset>

       <compset grid="g%gland">

cism tag used for baseline comparisons: cism2_1_34

Any other externals that differed in baseline: Same as above, but without the
change to config_compsets.xml

================================================================================
Originator: sacks
Date: May 27, 2017
Model: cism
Version: cism2_1_35
One-line summary: Explicit %EVOLVE in compset name to turn on ice evolution

Purpose of changes:

   Main change is: Make default for CISM_EVOLVE FALSE, put explicit %EVOLVE in
   compset long name if we want ice evolution turned on. Note that the
   expectation is that the compset will have either %NOEVOLVE or %EVOLVE, but if
   they are both left off, ice evolution will be off.

   Also: use double dash for '--value' in xmlquery to avoid warnings.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Explicit %EVOLVE in compset long names
M       cime_config/config_compsets.xml
M       cime_config/config_component.xml

*** Double dash for --value in xmlquery
M       cime_config/cism.template
M       cime_config/buildlib
M       cime_config/buildnml

Summary of testing:

   aux_glc test suite, just on yellowstone. All tests passed and bit-for-bit.

   Testing was done using explicit_evolve_n01_cism2_1_33 - i.e., off of
   cism2_1_33, not cism2_1_34

   (Generated baselines in
   explicit_evolve_n01_cism2_1_33_clm_ext_alpha06k_n01_r242, comparing against
   cism2_1_33_clm_ext_alpha06k_n01_r242)

Externals used for testing: CLM branch
https://svn-ccsm-models.cgd.ucar.edu/clm2/branches/externals_update_cesm2_0_alpha06k
at r85267 with IGCLM45 compset redefined:

    Index: cime_config/config_compsets.xml
    ===================================================================
    --- cime_config/config_compsets.xml	(revision 85267)
    +++ cime_config/config_compsets.xml	(working copy)
    @@ -334,10 +334,15 @@

       <compset grid="g%gland">
         <alias>IGCLM45</alias>
    -    <lname>2000_DATM%QIA_CLM45%SP_SICE_SOCN_RTM_CISM2_SWAV</lname>
    +    <lname>2000_DATM%QIA_CLM45%SP_SICE_SOCN_RTM_CISM2%EVOLVE_SWAV</lname>
       </compset>

       <compset grid="g%gland">

cism tag used for baseline comparisons: cism2_1_33

Any other externals that differed in baseline: None

================================================================================
Originator: sacks
Date: May 25, 2017
Model: cism
Version: cism2_1_34
One-line summary: Set seq_infodata field needed for new downscaling

Purpose of changes:

   The new lnd -> glc downscaling routines from Bill Lipscomb
   (https://github.com/ESMCI/cime/pull/1609) need to know whether we're running
   a two-way-coupled ice sheet for the sake of determining whether we should
   turn on the post-remapping renormalization by default. This CISM tag sets the
   seq_infodata field needed to determine this.

   This requires the cime version in https://github.com/ESMCI/cime/pull/1609

Changes answers relative to previous tag: YES
   Together with the CIME changes, this changes answers for all cases with CISM,
   since we're now doing a completely different remapping.

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       drivers/cpl/glc_comp_mct.F90

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed except
   for expected baseline comparison failures   

Externals used for testing: CLM branch
https://svn-ccsm-models.cgd.ucar.edu/clm2/branches/externals_update_cesm2_0_alpha06k
at r85267, with cime at cime5.3.0-alpha.13-31-gbb9b17a (lnd2glc_bilinear branch)

cism tag used for baseline comparisons: cism2_1_33

Any other externals that differed in baseline: Used above CLM branch revision,
with cime at the default for that revision (cime5.3.0-alpha.13).

================================================================================
Originator: sacks
Date: May 03, 2017
Model: cism
Version: cism2_1_33
One-line summary: Point to new 4km input file

Purpose of changes:

   Joe Kennedy made a new version of the 4km input file that has a slightly
   extended grid. The point of this is to have a number of grid cells that can
   be evenly divided by 2 a number of times, to facilitate changing resolution.

   This tag points to the new file.

   There are also some miscellaneous other changes in this tag:

   (1) Remove support for gland10 and gland5
       - gland5UM should be used in place of gland5
       - gland10 was just being used for testing; I am now using gland20 for those tests
       - Point is: These grids weren't being used, and were just a maintenance
         burden, particularly when we need to make new mapping files.

   (2) Remove unused GLC_SMB variable (used to be used in CLM, no longer is)

   (3) Move prealpha & prebeta tests from yellowstone to cheyenne
       - For the trilinos test: I have replaced it with a non-trilinos test,
         since trilinos isn't installed on cheyenne, and we don't feel a need to
         support trilinos for cesm2.
       - For the pgi test: I have replaced it with an intel test since pgi isn't
         supported on cheyenne.

   (4) When using test_coupling, tell CLM that it should allow non-annual dynbal
       adjustments. This is needed when running CLM in CN/BGC mode.

Changes answers relative to previous tag: YES

   The new file is effectively identical to the old one in the grid cells that
   overlap. One potential difference is in exactly where topg is submerged to
   -200m, since we now use a slightly different mask for that submerging;
   however, even in that case, the new version appears to be effectively the
   same as the old.

   Answers change for the following reasons:

   (1) Variables on the CISM grid cannot be compared for runs at 4km

   (2) The new 4km mapping files have roundoff-level differences from the old
       ones, resulting in changes in CLM (which are presumably initially
       roundoff-level, but then grow; I think the differences arise from small
       differences in the topographic heights of CLM's columns, leading to
       differences in downscaling of atmospheric fields). These differences will
       affect even cases with CISM evolution turned off.

   (3) There are 3 CLM cells with greater-than-roundoff-level differences in
       icemask. These CLM cells lay partly outside the old CISM grid, though lie
       entirely within the new grid. Because icemask is currently mapped with
       normalization, this led to differences in the remapped icemask
       field. Currently, I'm pretty sure this doesn't matter, because icemask in
       CLM is only checked for whether it's > 0.

   (4) With 2-way coupling, I expect answer changes in the runoff fields after
       remapping to the ocean, because we're using new mapping files for ALL
       GRIDS in this respect, to incorporate a fix to the runoff mapping
       tool. (This change comes from the new version of cime rather than this
       version of cism per se.)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):
- https://github.com/ESMCI/cime/issues/1262 - Remake all glc to ocean mapping files

List all modified files, and describe the changes:

A       cime_config/testdefs/testmods_dirs/cism/test_coupling/user_nl_clm
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
M       cime_config/testdefs/testlist_cism.xml
M       cime_config/config_component.xml

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed except
   for expected baseline comparison failures for 4-km tests, and expected NLCOMP
   failures.

Externals used for testing: cesm2_0_alpha06g, but cime at 4e2cd84 (git describe:
billsacks/glc_tavg_v2_n03-2-g4e2cd84) (cism_new_mapping_files branch)

cism tag used for baseline comparisons: cism2_1_32

Any other externals that differed in baseline: Baseline had cime at
billsacks/glc_tavg_v2_n03

================================================================================
Originator: sacks
Date: May 01, 2017
Model: cism
Version: cism2_1_32
One-line summary: Set forcing_start_time correctly when test_coupling is true

Purpose of changes:

   ERI tests that stopped and started mid-year and used test_coupling (e.g., via
   the allactive-defaultio testmod) were dying because forcing_start_time was
   being set incorrectly in this case. The changes here fix that problem.

   In addition to some code changes, this also required moving the test_coupling
   namelist option into the glc layer (rather than being defined in glad): This
   is now needed before the glad configuration information is read. I changed
   glint similarly, even though we don't use glint any more.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

*** Main changes as described above
M       SVN_EXTERNAL_DIRECTORIES
M       source_glc/glc_InitMod.F90
M       source_glc/glc_constants.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

*** Add an ERI test that uses the test_coupling testmod: Changes often break the
    test_coupling testmod, so include an ERI test with this testmod to help
    catch these problems
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed except
   for expected NLCOMP failures.

Externals used for testing: cesm2_0_alpha06g, but cime at
billsacks/glc_tavg_v2_n03 (8ce40ab7)

cism tag used for baseline comparisons: cism2_1_31

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Apr 29, 2017
Model: cism
Version: cism2_1_31
One-line summary: Use correct 'time' on history and restart files

Purpose of changes:

   The time value was wrong in some cases, such as when the REFDATE/STARTDATE
   was not year 1. These changes should fix that problem.

   This also changes the baseline date for the 'time' variable to be 0000-01-01,
   rather than 1-1-1, at Gary Strand's suggestion.

   There are now two time variables on output files:

   - 'internal_time' stores CISM's internal time variable, relative to the
     starting point of this simulation plus the amount of time that elapsed
     leading up to the restart file (if any)

   - 'time' stores a more externally-useful version of time; for climate
     model runs, this should agree with the climate model's time

   The reason for having these two different variables is: There can be
   roundoff-level differences upon restart if the internal time variable is
   modified upon restart. So it is important that this variable is
   maintained exactly as is when reading a restart file. However,
   maintaining this value as is isn't always the right thing to do in terms
   of the climate model's time, so we sometimes need a separate variable to
   represent that time.

   It's possible that, with some more thought, these two variables could be
   combined into one. But having two variables seemed like the easiest and
   least error-prone solution for now.

Changes answers relative to previous tag: YES
- just changes answers for the 'time' variable

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES
M       source_glc/glc_io.F90

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed except
   for BASELINE failures in 'time'.

Externals used for testing: cesm2_0_alpha06g, but cime at
billsacks/glc_tavg_v2_n03 (8ce40ab7)

cism tag used for baseline comparisons: cism2_1_30

Any other externals that differed in baseline: none

================================================================================
Originator: mvertens, sacks
Date: Apr 24, 2017
Model: cism
Version: cism2_1_30
One-line summary: Allow coupler to pass annual-average fields

Purpose of changes:

   Until now, the CESM coupler has been sending CISM daily-average fields, and
   then CISM has been averaging these fields to annual-averages in order to do
   its mass balance time step using annual-average SMB (and temperature). This
   has a number of problems:

   (1) We could not restart mid-year, because CISM doesn't write the necessary
       partial accumulation information to its restart files.

   (2) With Bill Lipscomb's new remapping (bilinear + conservation correction),
       there were too-large corrections needed when doing the remapping from CLM
       to CISM on daily fields.

   (3) This led to a discrepancy between TG and BG/IG compsets: In BG/IG, CISM
       received the annual average of remapped daily fields; in TG, CISM
       received the remapped annual average fields. The remapping is not a
       linear operation, so there would typically be differences in these two
       runs.

   This tag, together with some CIME changes, allows the coupler to make annual
   averages before remapping fields to CISM. This was a bit tricky: CISM still
   needs to be called once per day in order to support mid-year restarts (CESM
   can only restart at a frequency when all components are called). So now the
   GLC calling frequency has been separated from the GLC averaging
   frequency. Then GLC/CISM is passed a flag saying whether the inputs are
   currently valid; CISM only accumulates averages of the inputs when they are
   valid.

   This tag also includes some other changes that were needed to support
   mid-year restarts, as well as a check to confirm that you're not trying to
   write a restart file in a time/configuration when it would lead to non-bfb
   restarts.

Changes answers relative to previous tag: YES

   Changes answers for non-TG runs

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):
- 1611: CISM restarts can only occur on year boundaries
  This is not completely fixed, but is fixed well enough for standard use cases:
  if we use the default glc averaging period of yearly, then we can restart
  mid-year. Eventually, we may want more general support for mid-year restarts
  even if using a different glc averaging period in the coupler.

List all modified files, and describe the changes:

*** Main changes, as described above
M       SVN_EXTERNAL_DIRECTORIES
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
M       source_glc/glc_io.F90
M       drivers/cpl/glc_comp_mct.F90

*** Add some mid-year restart tests, and change IG test to f10 resolution for efficiency
M       cime_config/testdefs/testlist_cism.xml

*** For test_coupling testmod, need to set GLC_AVG_PERIOD=glc_coupling_period
A       cime_config/testdefs/testmods_dirs/cism/test_coupling/shell_commands

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed except
   for expected NLCOMP failures and expected BASELINE failure in IG without
   test_coupling.

   (Actually, the only baseline failure is
   ERS_D_Ld9.f19_g16_gl4.IGCLM45.yellowstone_pgi.cism-override_glc_frac, which
   just changes answers in x2g_Sl_tsrf and x2g_Flgl_qice, as expected. There
   would be answer changes in other IG tests, but the one other relevant test
   [the 5-year ERS test] is changed in this tag, so it shows up as a BFAIL.)

   Also ran these three tests:

      ERS_Lm24.T31_g37.B1850Gcheap.yellowstone_intel
      ERS_Lm30.T31_g37.B1850Gcheap.yellowstone_intel
      ERS_Lm36.T31_g37.B1850Gcheap.yellowstone_intel

   They passed except for differences in time and time_bound in the POP history
   file, which presumably is unrelated to these changes.

   Also ran aux_glc test suite on yellowstone with
   GLC_AVG_PERIOD=glc_coupling_period, plus this test which I have removed from
   the test list:
   ERS_Ly5.T31_g37_gl4.IGCLM45.yellowstone_intel.clm-glcMEC_long. Tests pass and
   are bfb with trunk, as expected, except for expected failures in these three
   tests due to trying to write a mid-year restart file:

      ERS_D_Ld9.f19_g16_gl4.IGCLM45.yellowstone_pgi.cism-override_glc_frac
      ERI_Lm24.f10_f10.IGCLM45.yellowstone_intel.clm-glcMEC_long
      ERS_Lm24.f10_f10.IGCLM45.yellowstone_intel.clm-glcMEC_long

Externals used for testing: cesm2_0_alpha06g, but cime at
billsacks/glc_tavg_v2_n03 (8ce40ab7).

cism tag used for baseline comparisons: cism2_1_29

Any other externals that differed in baseline: Baseline used cesm2_0_alpha06g

================================================================================
Originator: sacks
Date: Dec 30, 2016
Model: cism
Version: cism2_1_29
One-line summary: Add two tests to the aux_glc test suite

Purpose of changes:

   Add two tests with ice evolution turned off, since we weren't testing this
   configuration, which is the most common configuration in coupled CESM runs.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

A       cime_config/testdefs/testmods_dirs/cism/noevolve/shell_commands
A       cime_config/testdefs/testmods_dirs/cism/noevolve/README
A       cime_config/testdefs/testmods_dirs/cism/noevolve
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Just ran the two new tests:
   ERS_D_Ly3.f09_g16_gl5.TG1.yellowstone_gnu.cism-noevolve
   ERS_D_Ly3.f09_g16_gl4.TG.yellowstone_pgi.cism-noevolve

Externals used for testing: cesm2_0_alpha05b with cime at cism4km_new_grid

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Dec 29, 2016
Model: cism
Version: cism2_1_28
One-line summary: Just update ChangeLog entry for cism2_1_27

Purpose of changes:

   I forgot to mention a few things in the ChangeLog entry for cism2_1_27

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       ChangeLog

Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Dec 29, 2016
Model: cism
Version: cism2_1_27
One-line summary: Use new 4-km input file, with epsg3413 projection

Purpose of changes:

   Joe Kennedy has created a new 4-km input file, which uses the epsg3413
   projection. This projection is more commonly used, so facilitates comparisons
   with observations, etc. This tag switches to this new input file.

   In addition to changing the projection, this input file also updates the
   glacier / ice sheet cover - particularly, including peripheral glaciers.

   In addition, this new file has: (1) spatially-varying bheatflx; (2) no
   tempstag field, so it is not spun-up in this respect; (3) no beta field.

   Some related changes in this tag are:

     (1) Change default which_ho_babc to 4 for 4km runs, because the new input
         file does not have a beta field.

     (2) No longer set projection section in cism.config file. This seems to no
         longer be needed now that glint is gone, and the default values are
         wrong for this new 4km file.

   And some unrelated changes in this tag are:

     (1) Fix from Jim Edwards to allow build-namelist to work with latest
         version of cime, where NTASKS and NINST have been reworked

     (2) Rename xmlchange_cmnds to shell_commands in a testmod: xmlchange_cmnds
         has been deprecated

   This tag depends on a new version of cime (currently on the cism4km_new_grid
   branch, which will soon have a PR to master). This cime version has new
   mapping files to go with the new 4km grid.

Changes answers relative to previous tag: YES

   Changes answers for all cases that use the 4km grid

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       bld/namelist_files/namelist_definition_cism.xml
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/build-namelist
D       cime_config/testdefs/testmods_dirs/cism/oneway/xmlchange_cmnds
A       cime_config/testdefs/testmods_dirs/cism/oneway/shell_commands

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed except
   for expected NLCOMP failures, and expected BASELINE failures in 4km tests:

     FAIL ERS_Ly3.f09_g16_gl4.TG.yellowstone_intel BASELINE
     FAIL ERS_Ly5.T31_g37_gl4.IGCLM45.yellowstone_intel.clm-glcMEC_long BASELINE
     FAIL ERS_D_Ld9.f19_g16_gl4.IGCLM45.yellowstone_pgi.cism-override_glc_frac BASELINE

   In addition, ran B compset tests:

     (1) SMS_D_Ld5.T31_g37_gl4.B1850C5L45BGCRG.yellowstone_intel.allactive-defaultio

     (2) ./create_newcase -case test_b_mapping_1228a -compset B1850 -res f09_g16_gl4

         with CISM_EVOLVE=TRUE, and test_coupling = .true.

Externals used for testing: cesm2_0_alpha05b with cime at cism4km_new_grid

cism tag used for baseline comparisons: cism2_1_25

Any other externals that differed in baseline: Baseline used out-of-the-box
cesm2_0_alpha05b (so an earlier version of cime)

================================================================================
Originator: sacks
Date: Dec 6, 2016
Model: cism
Version: cism2_1_26
One-line summary: Change time units to common_year

Purpose of changes:

    CF/Udunits defines common_year to be 365 days, which is what we
    use. ('year' means exactly 365.242198781 days.) This change is needed for
    the post-processing tools.

    Also change time_vars.def for this and the previous change, although it
    doesn't look like that file is used anywhere.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

*** remove_zero_gcm_fluxes_n03 -> remove_zero_gcm_fluxes_n04
M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   aux_glc tests just on hobart-nag

Externals used for testing: clm4_5_12_r203

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Nov 15, 2016
Model: cism
Version: cism2_1_25
One-line summary: Fix calendar attribute on hist files; remove debug print statements

Purpose of changes:

(1) Fix calendar attribute on hist files; this is needed by post-processing
    tools. For now, assume a noleap calendar, since the use of a 365-day year is
    hard-coded throughout CISM. (This change came in via an update in the
    glimmer-cism external.)

(2) Remove some write statements that were being done by all tasks (both in the
    glimmer-cism external and in the glc code), in order to reduce output to cesm.log.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

*** remove_zero_gcm_fluxes_n02 -> remove_zero_gcm_fluxes_n03
M       SVN_EXTERNAL_DIRECTORIES

*** This module was not being used consistently - e.g., the error flag was never
    being set. It was just leading to unnecessary prints in finalization from
    all tasks.
D       source_glc/glc_ErrorMod.F90

*** Remove uses of glc_ErrorMod and a few other write statements that were
    called from all tasks
M       drivers/cpl/glc_comp_mct.F90
M       drivers/cpl/glc_comp_esmf.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
M       source_glc/glc_FinalMod.F90

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed.

Externals used for testing: clm4_5_12_r203

cism tag used for baseline comparisons: cism2_1_24

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Oct 29, 2016
Model: cism
Version: cism2_1_24
One-line summary: Remove problematic diagnostic prints

Purpose of changes:

   Updates the glimmer-cism external to remove some diagnostic prints that could
   lead to array out-of-bounds errors when restarting in debug mode.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Full aux_glc test suite on yellowstone and hobart. All tests passed.

Externals used for testing:
https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/cism2_default_tags/cism2_default_n02_clm4_5_12_r198

cism tag used for baseline comparisons: cism2_1_23

Any other externals that differed in baseline: essentially the same:
https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/cism2_default_tags/cism2_default_n02_clm4_5_12_r198

================================================================================
Originator: sacks
Date: Oct 27, 2016
Model: cism
Version: cism2_1_23
One-line summary: Change TG compset aliases, make CISM2 the default

Purpose of changes:

   (1) Change TG compset aliases to follow the new CESM convention, putting 'G'
       at the end - so, e.g., rather than TG1850 we now have T1850G

   (2) Make CISM2 the default in compset aliases - so, e.g., TG means CISM2,
       whereas TG1 means CISM1

Changes answers relative to previous tag: NO - but caveat: due to compset
renaming, comparisons against baselines either BFAIL or FAIL, unless you do the
appropriate sym linking.

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       cime_config/config_component.xml
M       cime_config/config_compsets.xml
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Ran aux_glc test suite, just on yellowstone

   All tests passed except for expected MEMLEAKs and BFAILs

Externals used for testing:
https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/cism2_default_tags/cism2_default_n01_clm4_5_12_r198

Cism tag used for baseline comparisons: cism2_1_22

Any other externals that differed in baseline: Used clm4_5_12_r198

   Made sym links in baseline directory, applying the compset renames. However,
   IG tests that used to use CISM1 still BFAILed (as expected), because the new
   CLM branch has been changed to use CISM2-4km rather than CISM1-5km in its
   out-of-the-box compsets.

================================================================================
Originator: sacks
Date: Oct 27, 2016
Model: cism
Version: cism2_1_22
One-line summary: Use new 4km input file, tweak test list

Purpose of changes:

   (1) Point to a new input file for cism2 4km runs. This new file is based on
       the file we are currently using for the branch that will become cism2.1.
       In particular, it uses thk and topg from that new file, and the set of
       fields present on the file match that new file pretty closely. However,
       some aspects of the old file are maintained for now, so that the only
       differences in an out-of-the-box 4km run are due to the differences in
       thk and topg.

       This file was created like this:

         ncks -x -v bheatflx greenland_4km_2015_06_03.mcb_c160418.nc greenland_4km_2015_06_03.mcb_trunk_c161025.nc

         ncks -A -v bheatflx,beta,tempstag greenland_4km.glissade.10kyr.beta6.SSacab_c150415a.nc greenland_4km_2015_06_03.mcb_trunk_c161025.nc

   (2) Tweak the xml test list

       (a) Update to v2 testlist format

       (b) Add wallclock times to tests

       (c) Add memleak_tolerance for a couple of tests

       (d) A few small tweaks to the aux_glc and other test lists: remove some
           unneeded tests, remove titan, change hopper to bluewaters

Changes answers relative to previous tag: YES

   Changes answers for cism2 at 4km; other configurations are bit-for-bit

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Point to new 4km input file
M       bld/namelist_files/namelist_defaults_cism.xml

*** Tweak test list, as noted above
M       cime_config/testdefs/testlist_cism.xml

*** Update ChangeLog for last tag with some additional test results
M       ChangeLog


Summary of testing:

   Ran full aux_glc test suite: yellowstone and hobart. All tests passed except
   for expected MEMLEAKs (now added to the testlist as new memleak_tolerance
   values) and expected answer change for CISM2 at 4km.

   Also ran SMS_Ly3_P24x1.f09_g16_gl4.TGIS2.hobart_intel with comparison to
   baseline for a tweaked input file, which was similar to the new one, but with
   thk and topg copied from the old file:

     ncks -x -v bheatflx,thk,topg greenland_4km_2015_06_03.mcb_c160418.nc greenland_4km_2015_06_03.mcb_trunk_temporary_c161024a.nc

     ncks -A -v bheatflx,thk,topg,beta,tempstag greenland_4km.glissade.10kyr.beta6.SSacab_c150415a.nc greenland_4km_2015_06_03.mcb_trunk_temporary_c161024a.nc

   This was bit-for-bit with the trunk, confirming that the differences in this
   new tag arise only from differences in thk and topg.

Externals used for testing: cism2_1_21

cism tag used for baseline comparisons: cesm2_0_beta02

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Sept 27, 2016
Model: cism
Version: cism2_1_21
One-line summary: Change extension on initial history file

Purpose of changes:

   The glc code is set up to output a history file in initialization, giving the
   results of the initial, diagnostic solve. With cime5, this causes failures to
   be reported for some tests (particularly ERI tests, and maybe some others),
   where there is an initial history file for one run that has no counterpart in
   the other run of a multi-run test.

   This tag implements a work-around for this problem by changing the extension
   of the initial history file to .initial_hist rather than .h: The test system
   only picks up .h files in doing its comparisons.

Changes answers relative to previous tag: NO

   However, this test is reported as a failure:

   FAIL ERS_D_Ld9.f19_g16_gl5.IGCLM45.yellowstone_pgi.cism-override_glc_frac COMPARE_baseline

   simply because there is no longer a cism.h file in the new code.

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):
2355 - need to change extension on initial history file so it's not picked up in CESM testing

List all modified files, and describe the changes:

M       source_glc/history_tape_base.F90
M       source_glc/glc_history.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_io.F90

Summary of testing:

   Ran full aux_glc test suite: yellowstone and hobart. All tests passed, except
   for these expected failures:

FAIL ERS_Ly5.T31_g37_gl5.IGCLM45.yellowstone_intel.clm-glcMEC_long MEMLEAK memleak detected, memory went from 504.810000 to 590.900000 in 11129 days
- seems to be a false positive (i.e., memory was expected to increase like this)

FAIL SMS_D_Ld5_P24x1.T31_g37_gl20.IGCLM45IS2.hobart_nag.cism-test_coupling MEMLEAK memleak detected, memory went from 195.220000 to 219.040000 in 3 days
- I'm not concerned about this memleak failure for a test_coupling test (a
  testing-only configuration) on nag (a testing-only compiler)

   and this MEMCOMP failure, which I'm ignoring since it's the only one:

FAIL ERS_Ly11.f09_g16_gl20.TG1850IS2.yellowstone_gnu MEMCOMP Error: Memory usage increase > 10% from baseline

Externals used for testing: cesm2_0_beta01, with cime at
db03e895f4c54428ff207dc1b85a57e2ecb73be9

cism tag used for baseline comparisons: cism2_1_20

Any other externals that differed in baseline: same, but cime at
f55da30e17efbbae8cb1c026fc8f32e406ee9934

================================================================================
Originator: sacks
Date: Sept 13, 2016
Model: cism
Version: cism2_1_20
One-line summary: Exclude some history fields when ice evolution is turned off

Purpose of changes:

   A few diagnostic history fields do not restart properly when ice evolution is
   turned off: uflx and vflx for cism1, and beta_internal for cism2 (see also
   https://github.com/ACME-Climate/cism-piscees/issues/59 for the beta_internal
   issue).

   Since these diagnostic fields are not important with ice evolution turned
   off, this tag implements a workaround where we simply do not add these fields
   to the default list of history fields if running with the CISM_EVOLVE xml
   variable set to FALSE.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml

Summary of testing:

   Ran aux_glc test suite just on yellowstone. All tests passed, except for this
   BFAIL:

BFAIL (baseline directory /glade/scratch/sacks/cesm_baselines/cesm1_5_beta07/SMS_Ly5_N2_P2_D.f09_g16_gl5.TG1850.yellowstone_intel does not exist)

Externals used for testing: cesm1_5_beta07

cism tag used for baseline comparisons: cism2_1_17

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Sept 12, 2016
Model: cism
Version: cism2_1_19
One-line summary: Remove apply_to_multiinstance testmods

Purpose of changes:

   The apply_to_multiinstance testmods are no longer needed with cime5

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

D       cime_config/testdefs/testmods_dirs/cism/apply_to_multiinstance
D       cime_config/testdefs/testmods_dirs/cism/apply_to_multiinstance/README
D       cime_config/testdefs/testmods_dirs/cism/apply_to_multiinstance/shell_commands
D       cime_config/testdefs/testmods_dirs/cism/override_glc_frac/include_user_mods
D       cime_config/testdefs/testmods_dirs/cism/test_coupling/include_user_mods
D       cime_config/testdefs/testmods_dirs/cism/trilinos/include_user_mods

Summary of testing: None!

Externals used for testing: n/a

cism tag used for baseline comparisons: n/a

Any other externals that differed in baseline: n/a

================================================================================
Originator: sacks
Date: June 30, 2016
Model: cism
Version: cism2_1_18
One-line summary: Remove some tests

Purpose of changes:

  Remove ESMF and PEA tests.

  We are no longer supporting ESMF, so I am removing CME and _E tests. In most
  cases, the fundamental configuration covered by these tests was already
  covered by one or more other tests. In one case, though, I changed a CME test
  to an SMS test:

  CME_Ly5_N2_P2_D.f09_g16_gl5.TG1850.yellowstone_intel ->
  SMS_Ly5_N2_P2_D.f09_g16_gl5.TG1850.yellowstone_intel  # include a multi-instance debug test

  Also, temporarily removing PEA tests because they are not supported by
  ESMCI's CIME. I will add them back in later:

  PEA_P1.f09_g16_gl5.TGHIST.yellowstone_pgi

  PEA_P1_Ly2.f09_g16_gl20.TGIS2.yellowstone_intel # needs to be at least 2 years for there to be enough cpl fields for the cpl log comparison to work

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       cime_config/testdefs/testlist_cism.xml

Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: May 19, 2016
Model: cism
Version: cism2_1_17
One-line summary: Split override_delay into 3 separate options

Purpose of changes:

   Split override_delay into 3 separate options: increase, decrease and
   rearrange override delays. This allows us to do tests like: increase glacier
   area to 100% over 5 days, then wait 5 days, then decrease glacier area to 0%

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): none

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
M       cime_config/testdefs/testmods_dirs/cism/override_glc_frac/user_nl_cism
M       source_glc/glc_override_frac.F90

Summary of testing:

   Ran full aux_glc test suite: yellowstone & hobart. All tests passed.

Externals used for testing: cesm1_5_beta05

cism tag used for baseline comparisons: cism2_1_16

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: April 12, 2016
Model: cism
Version: cism2_1_16
One-line summary: Make allow_leapyear depend on CALENDAR

Purpose of changes:

   Logic for allow_leapyear setting in cism_in was wrong. This tag fixes it.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):
   1562: should allow_leapyear default be based on CALENDAR?

List all modified files, and describe the changes:

M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

Summary of testing:

   Ran aux_glc test suite on yellowstone - NOT on hobart. All tests passed.

Externals used for testing: cesm1_5_beta05

cism tag used for baseline comparisons: cism2_1_15

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: March 5, 2016
Model: cism
Version: cism2_1_15
One-line summary: Set glcocn_present and glcice_present to false for one-way-coupling

Purpose of changes:

   For one-way coupling (with zero_gcm_fluxes = .true.), fluxes sent to ocn and
   ice are all zero. Thus, there is no reason for the coupler to do glc -> ocn
   or glc -> ice mapping. By setting glcocn_present and glcice_present to
   .false. in this case, we make it easier for users to run a one-way-coupled
   case with some new ocean grid, for which they do not have glc -> ocn mapping
   files.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       drivers/cpl/glc_coupling_flags.F90

Summary of testing:

   Ran full aux_glc test suite: yellowstone & hobart. All tests passed.

   Also ran the following tests, with comparison against cesm1_5_beta05 (using
   cism2_1_13 but with glimmer-cism at the head of piscees/develop):

   SMS_Ld5.T31_g37_gl20.B1850C5L45BGCRG2.yellowstone_intel.allactive-cism-test_coupling
   - passes and bit-for-bit

   SMS_D_Ld5.T31_g37_gl20.B1850C5L45BGCRG2.yellowstone_intel.allactive-cism-test_coupling
   with zero_gcm_fluxes
   - passes and bit-for-bit

   SMS_D_Ld5.T31_g37_gl20.B1850C5L45BGCRG2.yellowstone_intel.allactive-cism-test_coupling
   with zero_gcm_fluxes, and in my new code, removed all instances of
   GLC2OCN_RMAPNAME from config_grids.xml (resulting in glc2ocn_rmapname =
   idmap)
   - passes and bit-for-bit

Externals used for testing: cesm1_5_beta05

cism tag used for baseline comparisons: cism2_1_14

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: March 4, 2016
Model: cism
Version: cism2_1_14
One-line summary: Move zero_gcm_fluxes handling to GLC

Purpose of changes:

   Previously, CISM (particularly glad) was responsible for handling
   zero_gcm_fluxes: zeroing out flux variables and setting
   icemask_coupled_fluxes. I have now moved that handling into the GLC layer.

   The main motivation for doing this is that, in the next tag, I plan to add
   more logic based on zero_gcm_fluxes: has_ocn_coupling and has_ice_coupling
   will be false if zero_gcm_fluxes is true. It will be easier to make sure
   everything is done consistently if all of the zero_gcm_fluxes handling is
   moved into GLC. Specifically, it seems this will make it less likely that we
   would set has_ocn_coupling and has_ice_coupling to false when they should
   really be true for some reason.

   Possible downside: If we have multiple ice instances (e.g., Greenland +
   Antarctica): Previously, I think I had been imagining that we would have one
   cism.config for each of them, but potentially only a single cism_in file. But
   if we want zero_gcm_fluxes to be able to differ for each instance, then we
   would need to have separate cism_in files for each instance (or have an array
   of zero_gcm_fluxes values in the single cism_in file). I'll need to come back
   to this.


   Also refactored the setting of indexing-related stuff: Moved behavior into
   glc_indexing.F90

   Also updated CISM external to match latest version of piscees/develop.

Changes answers relative to previous tag: YES
   Roundoff-level changes just in the acab field in the cism history file. I
   have confirmed that these changes are due to previous changes in
   piscees/develop, not due to the changes in this refactoring.

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Renamed, and moved behavior into here
D       source_glc/glc_indexing_info.F90
A       source_glc/glc_indexing.F90

M       drivers/cpl/glc_comp_mct.F90
M       drivers/cpl/glc_comp_esmf.F90
M       drivers/cpl/glc_import_export.F90
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
M       bld/build-namelist
M       source_glc/glc_route_ice_runoff.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
M       source_glc/glc_fields.F90
M       source_glc/glc_constants.F90

*** Updates needed for moving zero_gcm_fluxes into GLC. While I was at it,
    updated to latest version of piscees/develop.
M       SVN_EXTERNAL_DIRECTORIES

*** Added a one-way coupling test with CISM2, to make sure logic works in
    parallel cases
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Ran full aux_glc test suite: yellowstone & hobart. All tests passed.

   CME_Ly3.f09_g16_gl20.TGRCP85IS2.yellowstone_intel CFAILed as part of a test
   suite, but passed when run alone (with build on login node) - chalking it up
   to a cime issue

Externals used for testing: cesm1_5_beta05

cism tag used for baseline comparisons: cism2_1_13

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Jan 13, 2016
Model: cism
Version: cism2_1_13
One-line summary: Clean up ChangeLog entry for last tag

Purpose of changes:

   Just minor ChangeLog cleanup

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       ChangeLog

Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Jan 12, 2016
Model: cism
Version: cism2_1_12
One-line summary: Port CISM to NAG

Purpose of changes:

   Port CISM to NAG

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Point to new external, which is ported to NAG
M       SVN_EXTERNAL_DIRECTORIES

*** Introduce hobart_nag tests, and fix test that has been CFAILing for a while
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Ran full aux_glc test suite: yellowstone & hobart. All tests passed.

Externals used for testing: cesm1_5_beta04, with cime at branch cism_nag_port
(git describe: cime4.3.10-3-g3de3528)

cism tag used for baseline comparisons: cism2_1_11

Any other externals that differed in baseline: cime may have been the version
out-of-the-box in cesm1_5_beta04

================================================================================
Originator: sacks
Date: Jan 7, 2016
Model: cism
Version: cism2_1_11
One-line summary: Update external, tweak some namelist items

Purpose of changes:

(1) Update to latest version of piscees/develop

(2) For cism2, exclude uflx and vflx history fields (these aren't set)

(3) For cism2, include beta_internal history field

(4) Add ho_beta_const to namelist_definition, so it can be changed via
    user_nl_cism


Changes answers relative to previous tag: NO
   however, there are namelist changes

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed, EXCEPT this
   expected failure:

   CFAIL ERS_Ly20_E.f09_g16_gl5.TGHIST.yellowstone_intel

Externals used for testing: cesm1_5_beta02, but with cime at
1e5b15f424d9d7bc57ef5158c3da7bcc0ef02fc3 (return_reverted_drv branch)

cism tag used for baseline comparisons: cism2_1_10

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Nov 13, 2015
Model: cism
Version: cism2_1_10
One-line summary: Update external, change some higher-order config settings

Purpose of changes:

   Update to a version of CISM and config setting changes which, together, allow
   for long runs of CISM2.

Changes answers relative to previous tag: YES

   Changes answers for all CISM2 runs (but not CISM1)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

========= Point to Bill Lipscomb's branch (not yet merged to 'develop')
M       SVN_EXTERNAL_DIRECTORIES

========= New config settings, and changed defaults for others
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

========= In aux_glc test list, change 1-year SMS test of 4-km CISM2 to 3-year
          ERS test: performance of CISM2 has improved so that this is feasible
          (just about 2-min run time). Also add 4-km tests back to prealpha /
          prebeta test suites.
M       cime_config/testdefs/testlist_cism.xml

Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed, EXCEPT this
   expected failure:

   CFAIL ERS_Ly20_E.f09_g16_gl5.TGHIST.yellowstone_intel.GC.1113-0634.intel

Externals used for testing: cesm1_5_beta02, but with cime at
1e5b15f424d9d7bc57ef5158c3da7bcc0ef02fc3 (return_reverted_drv branch)

cism tag used for baseline comparisons: cism2_1_08

Any other externals that differed in baseline: cime at slightly different version

================================================================================
Originator: sacks
Date: Nov 8, 2015
Model: cism
Version: cism2_1_09
One-line summary: Add a single-processor TG test to the prealpha test suite

Purpose of changes:

   I realized we don't have any single-processor TG tests in the prealpha or
   prebeta test suites, and recent CIME changes have broken these.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       cime_config/testdefs/testlist_cism.xml

Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Oct 15, 2015
Model: cism
Version: cism2_1_08
One-line summary: Add a compset option for turning off ice evolution

Purpose of changes:

   Allow turning off ice evolution (setting evolve_ice to 0 and zero_gcm_fluxes
   to 1) via a compset option (CISM1%NOEVOLVE or CISM2%NOEVOLVE in the compset
   long name). The purpose of this is to provide out-of-the-box settings for the
   CESM2-dev compset, without needing to use a user_mods_dir.

   Longer-term, I have been planning to rework the possible out-of-the-box
   options, as part of turning CISM on by default. So, longer-term, I should
   either:

   (1) Back this out, replacing it with whatever my new scheme is

   OR

   (2) Keep something essentially like this long-term, as the mechanism to turn
   ice evolution on/off. In this case, I should probably make the default to NOT
   evolve, and then allow CISM%EVOLVE in the name. (or maybe require explicitly
   setting CISM%EVOLVE or NOEVOLVE in the compset long name???)

   I think my earlier thinking was to not make the setting of ice evolution be a
   compset-level option (because this is simple enough to change after setting
   up a compset), but now that I have this compset-level thing in place, I *may*
   want to revisit that thinking.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

========= Main change described here
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/build-namelist
M       cime_config/config_component.xml

========= Unrelated change: fix for cime3
M       cime_config/buildnml

Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed, EXCEPT these
   expected failures:

   CFAIL ERS_Ly20_E.f09_g16_gl5.TGHIST.yellowstone_intel
   - See note under cism2_1_04

   RUN SMS_Ly1.f09_g16_gl4.TGIS2.yellowstone_intel
   - 4km Greenland runs are now dying due to a CFL violation

   RUN ERS_Ly11.f09_g16_gl20.TG1850IS2.yellowstone_gnu.GC.1015-1613.gnu 
   - Dies with MCT attribute array length mismatch error, which has been fixed
   in a more recent cime tag than the one used here


Externals used for testing:
cime                               https://github.com/CESM-Development/cime/tags/cime3.0.5
components/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/branch_tags/cime_refactor_tags/cime_refactor_n03_cam5_4_11/components/cam
components/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/cime_refactor_tags/cime_refactor_n02_clm4_5_1_r119/components/clm
components/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice5_20150921
components/pop                     https://svn-ccsm-models.cgd.ucar.edu/pop2/branch_tags/cime_refactor_tags/cime_refactor_n02_cesm_pop_2_1_20150810
components/aquap                   https://svn-ccsm-models.cgd.ucar.edu/aquap/branch_tags/cime_refactor_tags/cime_refactor_n01_aquap_150301
components/rtm                     https://svn-ccsm-models.cgd.ucar.edu/rivrtm/branch_tags/cime_refactor_tags/cime_refactor_n01_rtm1_0_52
components/ww3                     https://svn-ccsm-models.cgd.ucar.edu/ww3/branch_tags/cime_refactor_tags/cime_refactor_n01_ww3_150311


cism tag used for baseline comparisons: cism2_1_06

Any other externals that differed in baseline: (same)

================================================================================
Originator: sacks
Date: Sept 25, 2015
Model: cism
Version: cism2_1_07
One-line summary: Remove failing tests from prealpha / prebeta test lists

Purpose of changes:

   4km CISM2 tests are currently failing. Thus, temporarily replace them with
   20-km tests. I am using _D tests for the replacement tests so that the
   replacement tests match tests that I have in the aux_glc test suite.

Changes answers relative to previous tag:

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       cime_config/testdefs/testlist_cism.xml

prealpha:
6c6
< SMS_Ly1.f09_g16_gl4.TGIS2.yellowstone_intel # include one short test of the typical production resolution for CISM2
---
> SMS_D_Ly1.f09_g16_gl20.TGIS2.yellowstone_intel

prebeta:
8c8
< SMS_Ly1.f09_g16_gl4.TGIS2.hopper_pgi # included simply to have a test on hopper
---
> SMS_D_Ly1.f09_g16_gl20.TGIS2.hopper_pgi # included simply to have a test on hopper


Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Sept 25, 2015
Model: cism
Version: cism2_1_06
One-line summary: Update external, change some higher-order config settings

Purpose of changes:

   This brings in a version of the CISM code with extensive changes, largely
   from Bill Lipscomb to fix problems with glissade and make it more robust. The
   version we had previously been pointing to was about 10 months out-of-date
   with respect to the PISCEES repository. The new version is up-to-date with
   'develop' in the PISCEES repository.

   In addition, this changes some higher-order config settings - both adding
   some new options and changing default values for some options, to values
   suggested by Steve Price, Lauren Vargo and Jeremy Fyke.

   Finally, this fixes a bug in the cismIO generation script.

Changes answers relative to previous tag: YES

   Changes answers for CISM1 as well as CISM2 compsets

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
M       cime_config/cism.template

M       SVN_EXTERNAL_DIRECTORIES
   move_glint_to_cpl_n02 -> cism2_150925

Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed, EXCEPT:

   CFAIL ERS_Ly20_E.f09_g16_gl5.TGHIST.yellowstone_intel
   - See note under cism2_1_04

   RUN SMS_Ly1.f09_g16_gl4.TGIS2.yellowstone_intel
   - 4km Greenland runs are now dying due to a CFL violation

Externals used for testing:
cime                               https://github.com/CESM-Development/cime/tags/cime3.0.5
components/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/branch_tags/cime_refactor_tags/cime_refactor_n03_cam5_4_11/components/cam
components/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/cime_refactor_tags/cime_refactor_n02_clm4_5_1_r119/components/clm
components/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice5_20150921
components/pop                     https://svn-ccsm-models.cgd.ucar.edu/pop2/branch_tags/cime_refactor_tags/cime_refactor_n02_cesm_pop_2_1_20150810
components/aquap                   https://svn-ccsm-models.cgd.ucar.edu/aquap/branch_tags/cime_refactor_tags/cime_refactor_n01_aquap_150301
components/rtm                     https://svn-ccsm-models.cgd.ucar.edu/rivrtm/branch_tags/cime_refactor_tags/cime_refactor_n01_rtm1_0_52
components/ww3                     https://svn-ccsm-models.cgd.ucar.edu/ww3/branch_tags/cime_refactor_tags/cime_refactor_n01_ww3_150311


cism tag used for baseline comparisons: cism2_1_04

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Sept 23, 2015
Model: cism
Version: cism2_1_05
One-line summary: Amend ChangeLog for cism2_1_04

Purpose of changes:

   Amend ChangeLog for cism2_1_04

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

========= Note that a test failed
M       ChangeLog

Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: mvertens (brought to trunk by sacks)
Date: Sept 23, 2015
Model: cism
Version: cism2_1_04
One-line summary: Updates for cime3

Purpose of changes:

   Rework of directory structure and build scripts to work with cime3
   (de-CESMization of CIME).

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

D       cimetest/testmods_dirs/cism/oneway/README
D       cimetest/testmods_dirs/cism/oneway/xmlchange_cmnds
D       cimetest/testmods_dirs/cism/oneway
D       cimetest/testmods_dirs/cism/trilinos/README
D       cimetest/testmods_dirs/cism/trilinos/user_nl_cism
D       cimetest/testmods_dirs/cism/trilinos/include_user_mods
D       cimetest/testmods_dirs/cism/trilinos/shell_commands
D       cimetest/testmods_dirs/cism/trilinos
D       cimetest/testmods_dirs/cism/apply_to_multiinstance/README
D       cimetest/testmods_dirs/cism/apply_to_multiinstance/shell_commands
D       cimetest/testmods_dirs/cism/apply_to_multiinstance
D       cimetest/testmods_dirs/cism/override_glc_frac/include_user_mods
D       cimetest/testmods_dirs/cism/override_glc_frac/user_nl_cism
D       cimetest/testmods_dirs/cism/override_glc_frac
D       cimetest/testmods_dirs/cism/test_coupling/user_nl_cism
D       cimetest/testmods_dirs/cism/test_coupling/include_user_mods
D       cimetest/testmods_dirs/cism/test_coupling
D       cimetest/testmods_dirs/cism
D       cimetest/testmods_dirs
D       cimetest/testlist_cism.xml
D       cimetest
D       bld/cism.buildlib
D       bld/cism.buildnml
D       bld/user_nl_cism
D       bld/cism.template
M       bld/README.build-namelist
M       bld/build-namelist
A       cime_config/cism.template
A       cime_config/buildlib
A       cime_config/buildnml
A       cime_config/config_component.xml
A       cime_config/config_pes.xml
A       cime_config/config_compsets.xml
A       cime_config/testdefs/testmods_dirs/cism/oneway/xmlchange_cmnds
A       cime_config/testdefs/testmods_dirs/cism/oneway/README
A       cime_config/testdefs/testmods_dirs/cism/oneway
A       cime_config/testdefs/testmods_dirs/cism/trilinos/user_nl_cism
A       cime_config/testdefs/testmods_dirs/cism/trilinos/include_user_mods
A       cime_config/testdefs/testmods_dirs/cism/trilinos/shell_commands
A       cime_config/testdefs/testmods_dirs/cism/trilinos/README
A       cime_config/testdefs/testmods_dirs/cism/trilinos
A       cime_config/testdefs/testmods_dirs/cism/apply_to_multiinstance/README
A       cime_config/testdefs/testmods_dirs/cism/apply_to_multiinstance/shell_commands
A       cime_config/testdefs/testmods_dirs/cism/apply_to_multiinstance
A       cime_config/testdefs/testmods_dirs/cism/override_glc_frac/user_nl_cism
A       cime_config/testdefs/testmods_dirs/cism/override_glc_frac/include_user_mods
A       cime_config/testdefs/testmods_dirs/cism/override_glc_frac
A       cime_config/testdefs/testmods_dirs/cism/test_coupling/user_nl_cism
A       cime_config/testdefs/testmods_dirs/cism/test_coupling/include_user_mods
A       cime_config/testdefs/testmods_dirs/cism/test_coupling
A       cime_config/testdefs/testmods_dirs/cism
A       cime_config/testdefs/testmods_dirs
A       cime_config/testdefs/testlist_cism.xml
A       cime_config/testdefs
A       cime_config/user_nl_cism
A       cime_config


Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed, EXCEPT:

   CFAIL ERS_Ly20_E.f09_g16_gl5.TGHIST.yellowstone_intel
   - Failed because single-processor tests are now using mpi-serial, which is
   incompatible with ESMF. Waiting on a resolution of this (either go back to
   using a real mpi library for single-processor tests, or else change this test
   to explicitly specify a MPI library).

Externals used for testing:

cime                               https://github.com/CESM-Development/cime/tags/cime3.0.5
components/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/branch_tags/cime_refactor_tags/cime_refactor_n03_cam5_4_11/components/cam
components/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/cime_refactor_tags/cime_refactor_n02_clm4_5_1_r119/components/clm
components/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice5_20150921
components/pop                     https://svn-ccsm-models.cgd.ucar.edu/pop2/branch_tags/cime_refactor_tags/cime_refactor_n02_cesm_pop_2_1_20150810
components/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/branch_tags/cime_refactor_tags/cime_refactor_n02_cism2_1_03
components/aquap                   https://svn-ccsm-models.cgd.ucar.edu/aquap/branch_tags/cime_refactor_tags/cime_refactor_n01_aquap_150301
components/rtm                     https://svn-ccsm-models.cgd.ucar.edu/rivrtm/branch_tags/cime_refactor_tags/cime_refactor_n01_rtm1_0_52
components/ww3                     https://svn-ccsm-models.cgd.ucar.edu/ww3/branch_tags/cime_refactor_tags/cime_refactor_n01_ww3_150311


cism tag used for baseline comparisons: cism2_1_03

Any other externals that differed in baseline: baseline used cesm1_4_beta07

================================================================================
Originator: sacks
Date: Sept 13, 2015
Model: cism
Version: cism2_1_03
One-line summary: Write history file at initialization

Purpose of changes:

   Write a history file giving the initial state, in any run that is NOT a
   restart run.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       drivers/cpl/glc_comp_mct.F90
M       drivers/cpl/glc_comp_esmf.F90
M       source_glc/history_tape_base.F90
M       source_glc/glc_history.F90
M       source_glc/glc_InitMod.F90

Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed.

Externals used for testing: cesm1_4_beta07

cism tag used for baseline comparisons: cism2_1_02

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Aug 4, 2015
Model: cism
Version: cism2_1_02
One-line summary: Move prebeta goldbach tests to hobart

Purpose of changes:

   With hobart replacing goldbach, all components are moving prealpha & prebeta
   tests from golbach to hobart.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       cimetest/testlist_cism.xml

Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: June 3, 2015
Model: cism
Version: cism2_1_01
One-line summary: Update glimmer-cism external to add a 'use' statement

Purpose of changes:

   Two needed variables were missing from a 'use' statement. For some reason,
   this did not cause problems on the previous yellowstone testing, but showed
   up as a problem in standalone CISM testing.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES
-glimmer-cism https://github.com/CESM-Development/cism/tags/move_glint_to_cpl_n01
+glimmer-cism https://github.com/CESM-Development/cism/tags/move_glint_to_cpl_n02

Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed.

Externals used for testing:
https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp/branch_tags/move_glint_into_cpl2_tags/move_glint_into_cpl2_n04_cesm1_4_beta04
(I *think*), with mpi-serial patch as noted below

cism tag used for baseline comparisons: cism2_1_00

Any other externals that differed in baseline: see below

================================================================================
Originator: sacks
Date: May 19, 2015
Model: cism
Version: cism2_1_00
One-line summary: Move GLC <-> LND coupling to CESM coupler

Purpose of changes:

   Up until now, the GLC <-> LND coupling has been done by CISM's glint
   library. This is problematic for a few reasons:
   - glint can only handle regular land grids - not (for example) the CAM-SE
     grid
   - glint can only perform bilinear interpolation, not area-conservative
     remapping, for mapping from LND -> GLC
   - glint’s remapping is done in serial, on the master processor
   - any alternative ice sheet model that wants to couple to CESM (e.g.,
     MPAS-Land Ice) needs to reimplement glint
   - coupling between the ocean and GLC would need to go through the LND grid,
     leading to loss of accuracy (especially for high-resolution ocean grids)

   To address these limitations, we have moved the GLC <-> LND coupling out of
   CISM, into the CESM coupler. This required significant changes to the coupler
   and scripts. In addition, for GLC/CISM, it required:

   - Writing a replacement for glint in CISM (called glad, for "glimmer already
     downscaled"), which works with inputs and outputs on the CISM grid rather
     than on the LND grid.

   - Changing GLC so that its grid is now the CISM grid, not the LND grid. Along
     with this, removed the CISM_GRID xml variable (now, just use the GLC_GRID
     variable, which has the value that CISM_GRID used to have).

   - Changing various namelist options to accommodate these changes

   I have also enabled the glc -> ocn coupling. Previously, this was disabled
   because we didn't have the necessary mapping files. Now I have generated the
   necessary mapping files, and they are available out-of-the-box in the
   upcoming CIME tag.
   
   The new code currently does not have any PDD support. I have pulled out some
   never-quite-working code related to the PDD option, because now the PDD
   option is definitively NOT supported.


Changes answers relative to previous tag: YES

   Since the coupling method has changed - including using area-conservative
   remapping rather than bilinear remapping for the downscaling - answers change
   significantly. However, I have done many eyeball comparisons to verify that
   the new code is operating roughly the same as before.


Dependencies: Depends on an upcoming CIME tag (cime2_0_00?)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Point to glimmer-cism branch
M       SVN_EXTERNAL_DIRECTORIES

*** glc_global_fields renamed to glc_fields for accuracy; this is significantly
    different now
D       source_glc/glc_global_fields.F90
A       source_glc/glc_fields.F90

*** Operation of glc overrides fundamentally reworked: It no longer works to
    scale fractions. Instead, the fractions specify topographic height cutoffs
    below / above which ice_covered is set to 0 / 1.
M       source_glc/glc_override_frac.F90

*** Point to new input files, which contain lat/lon values that agree with the
    values on Jeremy's new SCRIP grid files. These SCRIP grid files were needed
    for creating mapping files for the coupler. Lat/lon values are now also
    needed on the input files in order for CISM/GLC to tell the coupler about
    its domain information. It seemed good (although maybe not completely
    necessary) for these two sets of files to agree in terms of lat/lon
    values. Also, removed some no-longer-needed namelist items.
M       bld/namelist_files/namelist_defaults_cism.xml

*** Fix some documentation
M       tools/glc2scripConvert.ncl
M       tools/README.glc_overlap_tools

*** Other changes; see "Purpose of changes", above, for details.
D       source_glc/glc_global_grid.F90
A       source_glc/glc_indexing_info.F90
M       source_glc/glc_io.F90
M       source_glc/glc_constants.F90
M       source_glc/history_tape_base.F90
M       source_glc/glc_FinalMod.F90
M       source_glc/glc_history.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
M       cimetest/testmods_dirs/cism/override_glc_frac/user_nl_cism
M       drivers/cpl/glc_comp_esmf.F90
M       drivers/cpl/glc_import_export.F90
M       drivers/cpl/glc_coupling_flags.F90
M       drivers/cpl/glc_cpl_indices.F90
M       drivers/cpl/glc_comp_mct.F90
M       bld/cismIO/cism.buildIO.template.csh
M       bld/README.build-namelist
M       bld/cism.template
M       bld/build-namelist
M       bld/namelist_files/namelist_definition_cism.xml
M       bld/trilinosOptions/README
M       bld/cism.buildnml


Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed.

Externals used for testing:
https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp/branch_tags/move_glint_into_cpl2_tags/move_glint_into_cpl2_n03_cesm1_4_beta04
   with mpi-serial patch as noted below

cism tag used for baseline comparisons: cism2_0_09

Any other externals that differed in baseline: see externals notes under cism2_0_09

================================================================================
Originator: mvertens (brought to trunk by sacks)
Date: Apr 29, 2015
Model: cism
Version: cism2_0_09
One-line summary: Updates for latest version of cime

Purpose of changes:

   Updates to make (a) location of test directory and (b) variable names
   consistent with the latest version of CIME.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Change variable names to be consistent with latest version of CIME
M       bld/README.build-namelist
M       bld/build-namelist
M       bld/cism.buildlib
M       bld/cism.buildnml
M       bld/cism.template

*** Rename cesmtest to cimetest
D       cesmtest
D       cesmtest/testlist_cism.xml
D       cesmtest/testmods_dirs
D       cesmtest/testmods_dirs/cism
D       cesmtest/testmods_dirs/cism/apply_to_multiinstance
D       cesmtest/testmods_dirs/cism/apply_to_multiinstance/README
D       cesmtest/testmods_dirs/cism/apply_to_multiinstance/shell_commands
D       cesmtest/testmods_dirs/cism/oneway
D       cesmtest/testmods_dirs/cism/oneway/README
D       cesmtest/testmods_dirs/cism/oneway/xmlchange_cmnds
D       cesmtest/testmods_dirs/cism/override_glc_frac
D       cesmtest/testmods_dirs/cism/override_glc_frac/include_user_mods
D       cesmtest/testmods_dirs/cism/override_glc_frac/user_nl_cism
D       cesmtest/testmods_dirs/cism/test_coupling
D       cesmtest/testmods_dirs/cism/test_coupling/include_user_mods
D       cesmtest/testmods_dirs/cism/test_coupling/user_nl_cism
D       cesmtest/testmods_dirs/cism/trilinos
D       cesmtest/testmods_dirs/cism/trilinos/README
D       cesmtest/testmods_dirs/cism/trilinos/include_user_mods
D       cesmtest/testmods_dirs/cism/trilinos/shell_commands
D       cesmtest/testmods_dirs/cism/trilinos/user_nl_cism
A  +    cimetest


Summary of testing:

   Ran full yellowstone aux_glc test suite. All tests passed.

   Note, however, that two tests needed to be rerun to pass:

      PEA_P1_M_Ly2.f09_g16_gl20.TGIS2.yellowstone_intel
      - seemed to have a system problem the first time

      SMS_D_Ly1.f09_g16_gl20.TGHISTIS2.yellowstone_gnu
      - died with:
        MCT::m_AttrVect::lsize_: attribute array length mismatch error, stat =892988089
      - passed when I reran it
      - likely a compiler bug

Externals used for testing: cesm1_4_beta02, with mpi-serial patch as noted below

cism tag used for baseline comparisons: cism2_0_08

Any other externals that differed in baseline: see externals notes under cism2_0_08

================================================================================
Originator: mvertens, sacks
Date: Feb 20, 2015
Model: cism
Version: cism2_0_08
One-line summary: Updates for Mariana's new testing infrastructure

Purpose of changes:

   This tag updates CISM to fit in with Mariana's major overhaul of the test
   system and build scripts. Specifically:

   (1) Tests are now distributed with their components, rather than being
       centralized in 'scripts'

   (2) Build scripts have been converted to perl, and implicit dependencies on
       the environment have been removed.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Build scripts converted to perl; implicit dependencies on environment removed
D       bld/cism.buildexe.csh
D       bld/cism.cpl7.template
D       bld/cism.buildnml.csh
M       bld/trilinosOptions/README
A       bld/cism.buildlib
A       bld/cism.buildnml
M       bld/README.build-namelist
A       bld/cism.template
M       bld/build-namelist
M       bld/README

*** Tests now distributed into components, rather than being centralized in scripts
A       cesmtest/testmods_dirs/cism/override_glc_frac/user_nl_cism
A       cesmtest/testmods_dirs/cism/override_glc_frac/include_user_mods
A       cesmtest/testmods_dirs/cism/override_glc_frac
A       cesmtest/testmods_dirs/cism/test_coupling/user_nl_cism
A       cesmtest/testmods_dirs/cism/test_coupling/include_user_mods
A       cesmtest/testmods_dirs/cism/test_coupling
A       cesmtest/testmods_dirs/cism/oneway/xmlchange_cmnds
A       cesmtest/testmods_dirs/cism/oneway/README
A       cesmtest/testmods_dirs/cism/oneway
A       cesmtest/testmods_dirs/cism/trilinos/user_nl_cism
A       cesmtest/testmods_dirs/cism/trilinos/include_user_mods
A       cesmtest/testmods_dirs/cism/trilinos/shell_commands
A       cesmtest/testmods_dirs/cism/trilinos/README
A       cesmtest/testmods_dirs/cism/trilinos
A       cesmtest/testmods_dirs/cism/apply_to_multiinstance/shell_commands
A       cesmtest/testmods_dirs/cism/apply_to_multiinstance/README
A       cesmtest/testmods_dirs/cism/apply_to_multiinstance
A       cesmtest/testmods_dirs/cism
A       cesmtest/testmods_dirs
A       cesmtest/testlist_cism.xml
A       cesmtest


Summary of testing:

   Ran full yellowstone test suite from Mariana's experimental tag
   (https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp_tags/newtesting_cesm1_3_beta18c). All
   tests PASSed.

   Since the CME _D tests failed in the baseline, I ran SMS versions of these,
   as noted below (cism2_0_07). These baseline comparisons PASSed. (The CME
   tests themselves now pass, too.)

Externals used for testing:
https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp_tags/newtesting_cesm1_3_beta18c -
but since this points to branches rather than tags, it is hard to say exactly
what was used. (I think it was at r68306 for most components.)

  Also, mpi-serial changes, as noted below.

cism tag used for baseline comparisons: cism2_0_07

Any other externals that differed in baseline: See below for notes on externals
used for cism2_0_07.

================================================================================
Originator: sacks
Date: Feb 20, 2015
Model: cism
Version: cism2_0_07
One-line summary: Separate cism history frequency from coupler history frequency

Purpose of changes:

   With Mariana's new testing framework, some exact restart tests were failing
   because CISM was writing history files at the end of a few-day run, and these
   didn't restart properly (specifically, IG/FG/BG tests without
   test_coupling). This provided motivation for something I have been wanting to
   do for a long time: separating the cism history frequency from the coupler
   history frequency.

   With this tag, the default cism history frequency is annual. You can still
   tie cism history to cpl history if you want, by setting hist_option =
   'coupler'. However, this is not recommended for production runs, because it
   does not write frequency metadata to the history file.

   Along with this change, I have added a global metadata field to the history
   files saying the frequency of history writes. This is in accordance with a
   new requirement from the CESM post-processing/workflow group. As noted above,
   this does NOT work for hist_option = 'coupler'.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
A       source_glc/glc_history.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
A       source_glc/history_tape_standard.F90
M       source_glc/glc_io.F90
A       source_glc/history_tape_coupler.F90
A       source_glc/history_tape_base.F90
M       drivers/cpl/glc_comp_mct.F90
M       drivers/cpl/glc_comp_esmf.F90

Summary of testing:

   Ran full yellowstone test suite, using the new aux_glc test suite that I have
   developed... this test suite is not on the scripts trunk (it is on Mariana's
   testing branch), so I'm listing it below:

    CME_D.T31_g37.IGCLM45.yellowstone_intel.cism-test_coupling # Note that this is more about testing CLM (specifically the esmf code in CLM) than it is about testing CISM
    ERS_Ly5.T31_g37.IGCLM45.yellowstone_intel.clm-glcMEC_long # Need IG ERS test to catch problems with fields sent before the end of the first year after restart. Also use glcMEC_long testmods to get shorter snow_persistence_max - the main motivation here is to have a long ERS test that checks restart of the snow_persistence stuff (which more belongs in the aux_clm test list, but was added here to avoid needing to add a long ERS test to that test list)... this is mainly needed because we do not have an IG test that uses spun-up initial conditions, so we currently need a long test to completely test the restartability of the snow_persistence stuff. Also note that this is the only multi-year non-TG test in the test list, so this is the one test that a production-like configuration can run for a few years. Consider moving this to the aux_clm45 test list once this test can be made shorter, either through use of initial conditions and/or moving to f10 resolution.
    ERS_D_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac # Make sure glc override options work correctly, and restart properly
    SMS_D.T31_g37_gl20.IGCLM45IS2.yellowstone_gnu.cism-test_coupling
    SMS_D.f09_g16.TG.yellowstone_intel
    ERS_Ly20_N2_P2.f09_g16_gl10.TG.yellowstone_pgi
    SMS_D.f09_g16_gl10.TG.yellowstone_gnu
    SMS_D.f09_g16_gl10.TG.yellowstone_pgi
    CME_Ly5_N2_P2_D.f09_g16.TG1850.yellowstone_intel
    ERS_Ly20.f09_g16.TG1850.yellowstone_gnu.cism-oneway
    ERS_Ly11.f09_g16_gl20.TG1850IS2.yellowstone_gnu
    SMS_D_Ly1.f09_g16_gl20.TG1850IS2.yellowstone_pgi
    ERS_Ly20_E.f09_g16.TGHIST.yellowstone_intel
    PEA_P1_M.f09_g16.TGHIST.yellowstone_pgi
    ERI_Ly15.f09_g16_gl20.TGHISTIS2.yellowstone_pgi
    SMS_D_Ly1.f09_g16_gl20.TGHISTIS2.yellowstone_gnu
    PEA_P1_M_Ly2.f09_g16_gl20.TGIS2.yellowstone_intel # needs to be at least 2 years for there to be enough cpl fields for the cpl log comparison to work
    SMS_D_Ly1.f09_g16_gl20.TGIS2.yellowstone_intel
    SMS_D_Ly1.f09_g16_gl20.TGIS2.yellowstone_intel.cism-trilinos
    SMS_Ly1.f09_g16_gl4.TGIS2.yellowstone_intel # include one short test of the typical production resolution for CISM2
    ERI_Ly44.f09_g16.TGRCP85.yellowstone_intel
    CME_Ly3.f09_g16_gl20.TGRCP85IS2.yellowstone_intel
    NCK_Ly3.f09_g16_gl20.TGRCP85IS2.yellowstone_pgi

    These all passed, except for these, which are currently expected to fail for
    issues unrelated to CISM:

     PEND CME_D.T31_g37.IGCLM45.yellowstone_intel.cism-test_coupling.GC.150219-095007
     PEND CME_Ly5_N2_P2_D.f09_g16.TG1850.yellowstone_intel.GC.150219-095007

    Also, this comparison failed due to having no history file in the test
    case. This is expected and okay - note that this test is about testing the
    fields sent to the coupler, so it's fine for this to not have a CISM history
    file (and, as a side-note, this was the main test that provided motivation
    for this tag, because in Mariana's branch, the ERS comparison of the CISM
    history file fails for this test)

     FAIL ERS_D_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.cism.h.compare_hist.cism2_0_05_alpha17d

   Since the CME_D tests currently fail (because of issues unrelated to CISM), I
   ran SMS versions of these tests:

    SMS_D.T31_g37.IGCLM45.yellowstone_intel.cism-test_coupling
    SMS_Ly5_N2_P2_D.f09_g16.TG1850.yellowstone_intel

    

Externals used for testing: cesm1_3_alpha17d, with these mods:

   Index: mpi-serial/mpi.h
   ===================================================================
   --- mpi-serial/mpi.h	(revision 1224)
   +++ mpi-serial/mpi.h	(working copy)
   @@ -152,6 +152,8 @@
    
    } MPI_Status;
    
   +#define MPI_STATUS_IGNORE (MPI_Status *)1
   +#define MPI_STATUSES_IGNORE (MPI_Status *)1
    
    /*
     * Collective operations
   Index: mpi-serial/mpif.master.h
   ===================================================================
   --- mpi-serial/mpif.master.h	(revision 1224)
   +++ mpi-serial/mpif.master.h	(working copy)
   @@ -132,6 +132,8 @@
    
            INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
            PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
   +        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
   +        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
    
    
    
   Index: mpi-serial/mpif.real4double8.h
   ===================================================================
   --- mpi-serial/mpif.real4double8.h	(revision 1224)
   +++ mpi-serial/mpif.real4double8.h	(working copy)
   @@ -132,6 +132,8 @@
    
            INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
            PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
   +        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
   +        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
    
    
    
   Index: mpi-serial/mpif.real8double16.h
   ===================================================================
   --- mpi-serial/mpif.real8double16.h	(revision 1224)
   +++ mpi-serial/mpif.real8double16.h	(working copy)
   @@ -132,6 +132,8 @@
    
            INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
            PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
   +        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
   +        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
    
    
    
   Index: mpi-serial/mpif.real8double8.h
   ===================================================================
   --- mpi-serial/mpif.real8double8.h	(revision 1224)
   +++ mpi-serial/mpif.real8double8.h	(working copy)
   @@ -132,6 +132,8 @@
    
            INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
            PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
   +        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
   +        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
    
    
   Index: ccsm_utils/Testlistxml/testmods_dirs/cism/test_coupling/user_nl_cism
   ===================================================================
   --- ccsm_utils/Testlistxml/testmods_dirs/cism/test_coupling/user_nl_cism	(revision 68086)
   +++ ccsm_utils/Testlistxml/testmods_dirs/cism/test_coupling/user_nl_cism	(working copy)
   @@ -1,3 +1,6 @@
    ! This option changes the ice sheet dynamics time step to 1 day rather than 1 year
    ! Thus, the ice sheet dynamics can be exercised in a few-day run
    test_coupling = .true.
   +
   +! This option gives us a history file at the end of the run, even for a few-day run
   +history_option = 'coupler'


cism tag used for baseline comparisons: cism2_0_05

Any other externals that differed in baseline: same, but without the mod in
test_coupling/user_nl_cism

================================================================================
Originator: sacks
Date: Feb 13, 2015
Model: cism
Version: cism2_0_06
One-line summary: Update glimmer-cism external to fix cray compilation problem

Purpose of changes:

   Fix compilation problem with a string continuation line (bug 2145)

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): 2145

List all modified files, and describe the changes:

*** cism2_141202 -> cism2_150213
M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

  Just tested the build for these three tests:

  SMS_D.f09_g16_gl4.TGIS2.yellowstone_intel
  SMS_D.f09_g16_gl4.TGIS2.yellowstone_pgi
  SMS_D.f09_g16_gl4.TGIS2.yellowstone_gnu

Externals used for testing: cesm1_3_alpha17d

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Dec 02, 2014
Model: cism
Version: cism2_0_05
One-line summary: update glimmer-cism external

Purpose of changes:

   Update to latest development version. Among other things, this includes a bug
   fix for basal melt for the higher-order code.

Changes answers relative to previous tag: YES

   Changes answers for CISM2 compsets

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update from cism2_141119a -> cism2_141202
M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Ran full aux_glc test suite. All tests PASSed.

Externals used for testing: cesm1_3_beta12 with these diffs:

   Index: SVN_EXTERNAL_DIRECTORIES
   ===================================================================
   --- SVN_EXTERNAL_DIRECTORIES	(revision 65603)
   +++ SVN_EXTERNAL_DIRECTORIES	(working copy)
   @@ -1,8 +1,8 @@
   -scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140813
   -scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/bluewatersfix_Machines_140811_tags/bluewatersfix02_Machines_140811
   +scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/branch_tags/rollback_timing_updates_tags/rollback_timing_updates_n08_scripts4_141023
   +scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/piscees_testing_tags/piscees_testing_n02_Machines_140923
    tools/cprnc                        https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_140625
    tools/mapping                      https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_140702b
   -models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_15
   +models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_17
    models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_140723
    scripts/validation_testing         https://svn-ccsm-models.cgd.ucar.edu/validation_testing/trunk_tags/validation_20140708/run_CESM/
    models/atm/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_3_45/models/atm/cam/
   @@ -10,14 +10,14 @@
    models/atm/satm                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/satm
    models/atm/xatm                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xatm
    models/dead_share                  https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/dead_share
   -models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk_tags/cism1_140602
   +models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk
    models/glc/sglc                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sglc
    models/glc/xglc                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xglc
   -models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140711
   +models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140918b
    models/ice/dice                    https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_131201
    models/ice/sice                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sice
    models/ice/xice                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xice
   -models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r079//models/lnd/clm
   +models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r084//models/lnd/clm
    models/lnd/dlnd                    https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_131201
    models/lnd/slnd                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/slnd
    models/lnd/xlnd                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xlnd


cism tag used for baseline comparisons: cism2_0_04

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Nov 19, 2014
Model: cism
Version: cism2_0_04
One-line summary: update glimmer-cism external

Purpose of changes:

   Point to new external location, in the CESM-Develop github area.

   Update that repo to pull in some minor bug fixes from the piscees repo.

   Also add some error-checking to ensure that beta is present on the input file
   if using which_ho_babc = 5.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES
-glimmer-cism https://github.com/CISM/cism/tags/v2.0
+glimmer-cism https://github.com/CESM-Development/cism/tags/cism2_141119a

Summary of testing:

   Ran full aux_glc test suite (which now just runs on yellowstone). All tests PASSed.

Externals used for testing: cesm1_3_beta12 with these diffs:

   Index: SVN_EXTERNAL_DIRECTORIES
   ===================================================================
   --- SVN_EXTERNAL_DIRECTORIES	(revision 65521)
   +++ SVN_EXTERNAL_DIRECTORIES	(working copy)
   @@ -1,8 +1,8 @@
   -scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140813
   -scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/bluewatersfix_Machines_140811_tags/bluewatersfix02_Machines_140811
   +scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/branch_tags/rollback_timing_updates_tags/rollback_timing_updates_n08_scripts4_141023
   +scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/piscees_testing_tags/piscees_testing_n02_Machines_140923
    tools/cprnc                        https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_140625
    tools/mapping                      https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_140702b
   -models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_15
   +models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_17
    models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_140723
    scripts/validation_testing         https://svn-ccsm-models.cgd.ucar.edu/validation_testing/trunk_tags/validation_20140708/run_CESM/
    models/atm/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_3_45/models/atm/cam/
   @@ -10,14 +10,14 @@
    models/atm/satm                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/satm
    models/atm/xatm                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xatm
    models/dead_share                  https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/dead_share
   -models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk_tags/cism1_140602
   +models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk
    models/glc/sglc                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sglc
    models/glc/xglc                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xglc
   -models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140711
   +models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140918b
    models/ice/dice                    https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_131201
    models/ice/sice                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sice
    models/ice/xice                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xice
   -models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r079//models/lnd/clm
   +models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r084//models/lnd/clm
    models/lnd/dlnd                    https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_131201
    models/lnd/slnd                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/slnd
    models/lnd/xlnd                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xlnd

Also, diffs for mpi-serial, as noted below


cism tag used for baseline comparisons: cism2_0_03

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Nov 18, 2014
Model: cism
Version: cism2_0_03
One-line summary: tweak namelist options for cism2

Purpose of changes:

- remove 10km support for CISM2: we'll just do testing using the 20km grid

- add which_ho_approx namelist option

- for gland20 with cism2, change default dt to 0.5, and default which_ho_babc to 4

- decrease dt for gland4 to achieve stability in some of my tests (note that we
  need to use a non-round value because dt needs to translate into an integer
  number of hours)


Changes answers relative to previous tag: YES

   Answers change for cism2 runs due to changes in default namelist options

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml


Summary of testing:

   Ran two versions of the aux_glc yellowstone tests. (Note that I am removing the
   aux_glc titan tests). The final set used externals as listed below. The earlier
   set used rollback_timing_updates_n05_scripts4_141023 (up-to-date with
   rework_glc_compsets_n04_scripts4_141112a). All tests passed in the final set of
   tests. In the earlier set, ERS_Ly3.f09_g16_gl4.TGIS2.yellowstone_intel failed
   simply because there were no lines compared in the cpl log file (cpl hist files
   were bfb).

   There were lots of BFAILs, because I have totally reworked the test
   list. However, there were still quite a few compare_hist PASSes. 

   These failed compare_hist, due to changes in default length of TG tests:

   SMS_D.f09_g16_gl10.TG.yellowstone_pgi
   SMS_D.f09_g16.TG.yellowstone_intel

Externals used for testing: cesm1_3_beta12 with these diffs:

   Index: SVN_EXTERNAL_DIRECTORIES
   ===================================================================
   --- SVN_EXTERNAL_DIRECTORIES	(revision 65521)
   +++ SVN_EXTERNAL_DIRECTORIES	(working copy)
   @@ -1,8 +1,8 @@
   -scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140813
   -scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/bluewatersfix_Machines_140811_tags/bluewatersfix02_Machines_140811
   +scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/branch_tags/rollback_timing_updates_tags/rollback_timing_updates_n08_scripts4_141023
   +scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/piscees_testing_tags/piscees_testing_n02_Machines_140923
    tools/cprnc                        https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_140625
    tools/mapping                      https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_140702b
   -models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_15
   +models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_17
    models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_140723
    scripts/validation_testing         https://svn-ccsm-models.cgd.ucar.edu/validation_testing/trunk_tags/validation_20140708/run_CESM/
    models/atm/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_3_45/models/atm/cam/
   @@ -10,14 +10,14 @@
    models/atm/satm                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/satm
    models/atm/xatm                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xatm
    models/dead_share                  https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/dead_share
   -models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk_tags/cism1_140602
   +models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk
    models/glc/sglc                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sglc
    models/glc/xglc                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xglc
   -models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140711
   +models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140918b
    models/ice/dice                    https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_131201
    models/ice/sice                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sice
    models/ice/xice                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xice
   -models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r079//models/lnd/clm
   +models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r084//models/lnd/clm
    models/lnd/dlnd                    https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_131201
    models/lnd/slnd                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/slnd
    models/lnd/xlnd                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xlnd

Also, diffs for mpi-serial, as noted below


cism tag used for baseline comparisons: cism2_0_00

Any other externals that differed in baseline: see below for externals used for cism2_0_00

================================================================================
Originator: sacks
Date: Nov 5, 2014
Model: cism
Version: cism2_0_02
One-line summary: modify tools for creating glcmask files

Purpose of changes:

   The toolchain for creating glcmask files is out-dated and didn't work exactly
   how I wanted it to. I have made the following modifications:

   (1) Create mapping file using the shared CESM tools, rather than the outdated
       tool that used to be contained here.

   (2) It was getting awkward to support all combinations of CLM grid x CISM
       grid. Thus, I have rewritten the documentation to just do this glcmask
       generation for a single CISM grid. From a quick look at the different
       existing glcmask files, as well as the different CISM grids that we
       currently support, I don't think the choice of CISM grid should make a
       significant difference in this glcmask file. I have (somewhat
       arbitrarily) chosen the (old) 5km CISM grid for this purpose.

   (3) Remove dependence on CLM's landfrac. This dependence seems unnecessary,
       and fragile in the face of potentially changing ocean grids. With this
       change, the overlap file contains a 1 value in any CLM grid cell that
       overlaps a CISM grid cell, regardless of whether this grid cell has any
       land according to landfrac.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

D       tools/scrip_make_wgts_CCSM_to_GLC_bilin.csh
M       tools/README.glc_tools
M       tools/scrip2CLMoverlap.ncl
M       tools/glc2scripConvert.ncl
M       tools/README.glc_overlap_tools


Summary of testing:

   Did NOT run any aux_glc tests, because I have only changed these offline
   tools.

   I have tested the new tool-chain by creating glcmask files for the 3
   supported CLM resolutions. These new glcmask files have been committed to the
   inputdata repository.

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Oct 31, 2014
Model: cism
Version: cism2_0_01
One-line summary: Update ChangeLog entry for last tag

Purpose of changes:

Add stuff to ChangeLog that was accidentally excluded from the last tag

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       ChangeLog

Summary of testing: none

Externals used for testing: n/a

cism tag used for baseline comparisons: n/a

Any other externals that differed in baseline: n/a

================================================================================
Originator: sacks
Date: Oct 31, 2014
Model: cism
Version: cism2_0_00
One-line summary: Point to cism2 release code base

Purpose of changes:

Update glimmer-cism external to point to recently-released cism2 code base. This
pulls in developments that have been made over the last year in the private
PISCEES repo.

In addition, a number of misc. changes to namelist defaults, build options,
etc. to work smoothly with new code base.

Changes answers relative to previous tag: No answer changes for
SIA. Higher-order code (using glissade dycore) finally works!

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Point to cism2 release code base
M       SVN_EXTERNAL_DIRECTORIES

*** Change default config options for cism2 runs, including using glissade
    dycore and allowing runs at 4km resolution (trilinosOptions for 4km simply
    copies the 5km file). Also add some error checking for the match between
    cism_phys (cism1/cism2) and resolution.
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
M       bld/build-namelist
A       bld/trilinosOptions/trilinosOptions_gland4.xml

*** Some changes to accommodate changes made in the glimmer-cism code or build
    system. Also, switch to always using parallel_mpi (rather than
    parallel_slap), because that's easier than trying to come up with a rule for
    when we need one or the other.
M       bld/cism.buildexe.csh
M       bld/cism.cpl7.template
M       source_glc/glc_io.F90


Summary of testing:

   Ran full aux_glc test suite, on yellowstone and titan. All tests PASS!

   In addition, ran these tests from the prebeta test list:

   PASS  SMS.T31_g37_gl10.BGCNIS2.yellowstone_intel 
   PASS  SMS.T31_g37_gl10.BGCNIS2.yellowstone_intel.memleak
   PASS  SMS_Ly2.f09_g16_gl10.TGIS2.yellowstone_intel 
   PASS  SMS_Ly2.f09_g16_gl10.TGIS2.yellowstone_intel.memleak


Externals used for testing: cesm1_3_beta12 with the following diffs:

   Index: SVN_EXTERNAL_DIRECTORIES
   ===================================================================
   --- SVN_EXTERNAL_DIRECTORIES	(revision 64812)
   +++ SVN_EXTERNAL_DIRECTORIES	(working copy)
   @@ -1,8 +1,8 @@
   -scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140813
   -scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/bluewatersfix_Machines_140811_tags/bluewatersfix02_Machines_140811
   +scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/branch_tags/rollback_timing_updates_tags/rollback_timing_updates_n02_scripts4_141023
   +scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/piscees_testing_tags/piscees_testing_n01_Machines_140923
    tools/cprnc                        https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_140625
    tools/mapping                      https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_140702b
   -models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_15
   +models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_17
    models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_140723
    scripts/validation_testing         https://svn-ccsm-models.cgd.ucar.edu/validation_testing/trunk_tags/validation_20140708/run_CESM/
    models/atm/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_3_45/models/atm/cam/
   @@ -10,14 +10,14 @@
    models/atm/satm                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/satm
    models/atm/xatm                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xatm
    models/dead_share                  https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/dead_share
   -models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk_tags/cism1_140602
   +models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk
    models/glc/sglc                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sglc
    models/glc/xglc                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xglc
   -models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140711
   +models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140918b
    models/ice/dice                    https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_131201
    models/ice/sice                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sice
    models/ice/xice                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xice
   -models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r079//models/lnd/clm
   +models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r084//models/lnd/clm
    models/lnd/dlnd                    https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_131201
    models/lnd/slnd                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/slnd
    models/lnd/xlnd                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xlnd

    In addition, the following diffs in my yellowstone sandbox, which are needed
    for the PEA tests:

Index: models/utils/mct/mpi-serial/mpi.h
===================================================================
--- models/utils/mct/mpi-serial/mpi.h	(revision 1122)
+++ models/utils/mct/mpi-serial/mpi.h	(working copy)
@@ -152,6 +152,8 @@
 
 } MPI_Status;
 
+#define MPI_STATUS_IGNORE (MPI_Status *)1
+#define MPI_STATUSES_IGNORE (MPI_Status *)1
 
 /*
  * Collective operations
Index: models/utils/mct/mpi-serial/mpif.master.h
===================================================================
--- models/utils/mct/mpi-serial/mpif.master.h	(revision 1122)
+++ models/utils/mct/mpi-serial/mpif.master.h	(working copy)
@@ -132,6 +132,8 @@
 
         INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
         PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
+        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
+        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
 
 
 
Index: models/utils/mct/mpi-serial/mpif.real4double8.h
===================================================================
--- models/utils/mct/mpi-serial/mpif.real4double8.h	(revision 1122)
+++ models/utils/mct/mpi-serial/mpif.real4double8.h	(working copy)
@@ -132,6 +132,8 @@
 
         INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
         PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
+        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
+        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
 
 
 
Index: models/utils/mct/mpi-serial/mpif.real8double16.h
===================================================================
--- models/utils/mct/mpi-serial/mpif.real8double16.h	(revision 1122)
+++ models/utils/mct/mpi-serial/mpif.real8double16.h	(working copy)
@@ -132,6 +132,8 @@
 
         INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
         PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
+        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
+        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
 
 
 
Index: models/utils/mct/mpi-serial/mpif.real8double8.h
===================================================================
--- models/utils/mct/mpi-serial/mpif.real8double8.h	(revision 1122)
+++ models/utils/mct/mpi-serial/mpif.real8double8.h	(working copy)
@@ -132,6 +132,8 @@
 
         INTEGER MPI_SOURCE, MPI_TAG, MPI_ERROR
         PARAMETER(MPI_SOURCE=1, MPI_TAG=2, MPI_ERROR=3)
+        INTEGER MPI_STATUS_IGNORE(MPI_STATUS_SIZE)
+        INTEGER MPI_STATUSES_IGNORE(MPI_STATUS_SIZE,1)
 
 
 
cism tag used for baseline comparisons: cism1_141006 and
piscees_n13_cism1_141006

   yellowstone testing:

     - CISM1 tests bfb with cism1_141006, according to both cism & cpl hist
       files; CISM2 tests BFAIL with this comparison because the tests were
       failing on the trunk until now

     - All tests (CISM1 & CISM2) bfb with piscees_n13_cism1_141006, according to
       both cism & cpl hist files

   titan testing:

     - just compared with piscees_n13_cism1_141006; all tests bfb

Any other externals that differed in baseline: externals were similar, but
possibly not identical in the baseline

================================================================================
Originator: sacks
Date: Oct 6, 2014
Model: cism
Version: cism1_141006
One-line summary: update glimmer-cism to relax tolerances in glimmer_sparse.F90

Purpose of changes:

Merge r1571 from piscees repo for
libglimmer-solve/glimmer_sparse.F90. This relaxes the tolerances from
1e-11 to 1e-8.

My purpose in merging this change into the cesm repo is so that SIA
answers can remain bfb between the cesm repo and the piscees repo.

Changes answers relative to previous tag: YES

   Changes answers for all runs that are long enough to trigger the main CISM code

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update to r64084
M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

   All IS2 tests fail (as usual)

   Baseline comparisons fail for many tests, as expected

Externals used for testing: cesm1_3_beta12, with these diffs:

   Index: SVN_EXTERNAL_DIRECTORIES
   ===================================================================
   --- SVN_EXTERNAL_DIRECTORIES	(revision 64083)
   +++ SVN_EXTERNAL_DIRECTORIES	(working copy)
   @@ -1,8 +1,8 @@
   -scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140813
   +scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140916c
    scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/bluewatersfix_Machines_140811_tags/bluewatersfix02_Machines_140811
    tools/cprnc                        https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_140625
    tools/mapping                      https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_140702b
   -models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_15
   +models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_17
    models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_140723
    scripts/validation_testing         https://svn-ccsm-models.cgd.ucar.edu/validation_testing/trunk_tags/validation_20140708/run_CESM/
    models/atm/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_3_45/models/atm/cam/
   @@ -10,7 +10,7 @@
    models/atm/satm                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/satm
    models/atm/xatm                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xatm
    models/dead_share                  https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/dead_share
   -models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk_tags/cism1_140602
   +models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk
    models/glc/sglc                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sglc
    models/glc/xglc                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xglc
    models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140711
   @@ -17,7 +17,7 @@
    models/ice/dice                    https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_131201
    models/ice/sice                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sice
    models/ice/xice                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xice
   -models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r079//models/lnd/clm
   +models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r084//models/lnd/clm
    models/lnd/dlnd                    https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_131201
    models/lnd/slnd                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/slnd
    models/lnd/xlnd                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xlnd


cism tag used for baseline comparisons: cism1_140914

Any other externals that differed in baseline: See ChangeLog entry for
cism1_140914 - in particular, externals that differed from cesm1_3_beta12 used
branch versions for cism1_140914

================================================================================
Originator: sacks
Date: Sept 16, 2014
Model: cism
Version: cism1_140916
One-line summary: Fix ChangeLog entry for cism1_140914

Purpose of changes:

  I realized that I incorrectly described the reason for answer changes in the
  IG CLM40 test. I'm fixing that here.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       ChangeLog


Summary of testing: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Sept 14, 2014
Model: cism
Version: cism1_140914
One-line summary: Add zero_gcm_fluxes option; send icemask_coupled_fluxes field to coupler

Purpose of changes:

In talking with Dave Lawrence, Bill Lipscomb and Jeremy Fyke, I realized that we
need to introduce more logic to distinguish between active icesheets and
diagnostic-only icesheets. 

One aspect of this is the ability to zero out the fluxes CISM sends to the
coupler (currently runoff fluxes; later also the heat flux). That way, by
zeroing out these fluxes and turning off the connection to CLM, we can continue
to run with an evolving ice sheet in diagnostic-only mode (i.e., 1-way
coupling). This is achieved via the new zero_gcm_fluxes option. The default for
zero_gcm_fluxes is based on the GLC_TWO_WAY_COUPLING xml variable. The current
logic in scripts sets GLC_TWO_WAY_COUPLING to true for CLM45 (or later) compsets
with CISM, and for TG compsets; otherwise (for CLM40, or for compsets without
CISM) this is set to false.

In addition, I realized the need to distinguish between areas of active
icesheets and areas of either no icesheet or diagnostic-only icesheets in
applying CLM's glc_dyn_runoff_routing switch. In particular, we should only use
the new runoff routing scheme over areas of icesheet that are generating calving
fluxes. From the perspective of CISM, this is achieved by computing and sending
a new icemask_coupled_fluxes field to the coupler (which is then passed to
CLM). icemask_coupled_fluxes is similar to the existing icemask field, but is
zero over icesheet instances for which zero_gcm_fluxes is true - which will be
the case for icesheets that are not generating calving fluxes (e.g.,
diagnostic-only icesheets).

Changes answers relative to previous tag: YES

   Changes icemask at the roundoff-level, for some resolutions and compilers

   Also, in combination with the new scripts, zeroes out runoff fluxes sent to
   coupler (g2x_Fogg_rofl and g2x_Fogg_rofi).

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update to r63495: glint changes needed to support the above changes
M       SVN_EXTERNAL_DIRECTORIES

*** add zero_gcm_fluxes namelist option
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

*** send icemask_coupled_fluxes field to the coupler
M       drivers/cpl/glc_cpl_indices.F90
M       drivers/cpl/glc_import_export.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
M       source_glc/glc_global_fields.F90

Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

   All IS2 tests fail (as usual)

   compare_hist failures:

   FAIL  CME_Ly5.T31_g37.IG.yellowstone_intel.clm-reduceOutput.compare_hist.cism1_140602_beta12 
   FAIL  ERS_Ly5.T31_g37.IGCLM45.yellowstone_intel.clm-glcMEC_long.compare_hist.cism1_140602_beta12 
   FAIL  SMS_D.T31_g37.BG1850CN.yellowstone_intel.compare_hist.cism1_140602_beta12 

   These show roundoff-level changes in icemask. In addition, the CME test has
   large diffs in g2x_Fogg_rofl and g2x_Fogg_rofi: These fields are identically
   0 in the new run. This makes sense, since zero_gcm_fluxes is set to true for
   this CLM40 run (which arises in combination with the new scripts version,
   which sets GLC_TWO_WAY_COUPLING to FALSE for this run).


Externals used for testing: cesm1_3_beta12, with these diffs:

   Index: SVN_EXTERNAL_DIRECTORIES
   ===================================================================
   --- SVN_EXTERNAL_DIRECTORIES	(revision 63201)
   +++ SVN_EXTERNAL_DIRECTORIES	(working copy)
   @@ -1,8 +1,8 @@
   -scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140813
   +scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/branch_tags/glc_runoff_routing_tags/glc_runoff_routing_n01_scripts4_140814a
    scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/bluewatersfix_Machines_140811_tags/bluewatersfix02_Machines_140811
    tools/cprnc                        https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_140625
    tools/mapping                      https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_140702b
   -models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_15
   +models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/branch_tags/glc_runoff_routing_tags/glc_runoff_routing_n01_drvseq5_0_15
    models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_140723
    scripts/validation_testing         https://svn-ccsm-models.cgd.ucar.edu/validation_testing/trunk_tags/validation_20140708/run_CESM/
    models/atm/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_3_45/models/atm/cam/
   @@ -10,7 +10,7 @@
    models/atm/satm                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/satm
    models/atm/xatm                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xatm
    models/dead_share                  https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/dead_share
   -models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk_tags/cism1_140602
   +models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/branches/glc_runoff_routing
    models/glc/sglc                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sglc
    models/glc/xglc                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xglc
    models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20140711
   @@ -17,7 +17,7 @@
    models/ice/dice                    https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_131201
    models/ice/sice                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sice
    models/ice/xice                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xice
   -models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_1_r079//models/lnd/clm
   +models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/glc_runoff_routing_tags/glc_runoff_routing_n02_clm4_5_1_r081
    models/lnd/dlnd                    https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_131201
    models/lnd/slnd                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/slnd
    models/lnd/xlnd                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_8_00/xlnd

However, for the PEA test, I merged the changes from scripts4_140903b into the sandbox.


cism tag used for baseline comparisons: cism1_140602

Any other externals that differed in baseline: Baseline used cesm1_3_beta12 with
updated scripts (scripts4_140905???)

================================================================================
Originator: sacks
Date: June 2, 2014
Model: cism
Version: cism1_140602
One-line summary: Update glimmer-cism external with some fixes for CISM2

Purpose of changes:

   Update glimmer-cism external with the following fixes:

   (1) update CMakeLists.txt to fix the yellowstone build when building with trilinos

   (2) fix downscaling of fields in elevation class 0 when running with multiple processors

   (3) set halo values in glint downscaling using parallel_halo calls

Changes answers relative to previous tag: NO (at least not for CISM1 [SIA] runs)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update to r60744
M       SVN_EXTERNAL_DIRECTORIES


Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.140530-154133
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.140530-154116 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.140530-154116 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.140530-154116 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.140530-154116 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.140530-154116 

   Note: The IS2 runs now get further than before, because of problems that have
   been fixed in this tag. e.g., SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel
   gets up to a conservation error before stopping (in contrast to dying due to
   a floating point problem or some other problem previously).

   However, the IGIS2 test fails with:

   0:NOXSolve called
   0:
   0:************************************************************************
   0:-- Nonlinear Solver Step 0 -- 
   0:||F|| =       inf  step = 0.000e+00  dx = 0.000e+00
   0:************************************************************************
   0:
  35:
  35:p=35: *** Caught standard std::exception of type 'Belos::StatusTestError' :
  35:
  35: /glade/u/home/rory/trilinos-11.0.3-Source/packages/belos/src/BelosStatusTestGenResNorm.hpp:574:
  35: 
  35: Throw number = 1
  35: 
  35: Throw test that evaluated to true: true
  35: 
  35: StatusTestGenResNorm::checkStatus(): NaN has been detected.
  35:INFO: 0031-306  pm_atexit: pm_exit_value is 1.


Externals used for testing: cesm1_3_beta07, with many diffs - as in cism1_140501

cism tag used for baseline comparisons: cism1_140501

Any other externals that differed in baseline: none

================================================================================
Originator: jfyke, sacks
Date: May 1, 2014
Model: cism
Version: cism1_140501
One-line summary: Add an elevation class 0, for bare land SMB

Purpose of changes:

   Changes from Jeremy Fyke to add an elevation class 0, for bare land SMB. Also
   adds ice_sheet_grid_mask. Also some minor, unrelated changes as noted below.

   This involves extensive changes to glint, as well as some changes to the glc
   code.

   In addition, this tag pulls in an unrelated change to the glimmer-cism
   external: a fix from Stephen Cornford for glint_mbal_io.

Changes answers relative to previous tag: YES

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
M       source_glc/glc_override_frac.F90
M       source_glc/glc_global_fields.F90
M       drivers/cpl/glc_cpl_indices.F90

*** Also, clean up interfaces for glc_import & glc_export ('use' things directly
    rather than having them passed through the interface)
M       drivers/cpl/glc_comp_mct.F90
M       drivers/cpl/glc_comp_esmf.F90
M       drivers/cpl/glc_import_export.F90

*** Use some constants from shr_const_mod
M       source_glc/glc_constants.F90

*** Add an option to decrease the mass balance time step, for testing purposes
    (currently not exercised in any tests)
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures (note: the GEN cases probably would have given CFAIL if I had been
   patient):

CFAIL ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.140430-125442
CFAIL NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.140430-125442
FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.140430-125442 
GEN SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.140430-125442
GEN SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.140430-125442
CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.140430-125445

   Note: I am now getting a CFAIL instead of a FAIL for the IS2 cases... seems
   to be something having to do with the yellowstone upgrade... I'm guessing
   it's a problem with the C++/Fortran link. I get this message:

      cannot find -lmkl_rt

Externals used for testing: cesm1_3_beta07, but with quite a few changes:

   Index: SVN_EXTERNAL_DIRECTORIES
   ===================================================================
   --- SVN_EXTERNAL_DIRECTORIES	(revision 59711)
   +++ SVN_EXTERNAL_DIRECTORIES	(working copy)
   @@ -1,23 +1,23 @@
   -scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_140113
   -scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/trunk_tags/Machines_140124
   +scripts                            https://svn-ccsm-models.cgd.ucar.edu/scripts/branch_tags/add_dynlu_tests_tags/add_dynlu_tests_n02_scripts4_140305
   +scripts/ccsm_utils/Machines        https://svn-ccsm-models.cgd.ucar.edu/Machines/branch_tags/arfs_tags/arfs_01_mach140218
   tools/cprnc                        https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_131224
   tools/mapping                      https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_131217a
   -models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq5_0_08
   -models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_131231
   +models/drv                         https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/branch_tags/bare_land_smb_tags/bare_land_smb_n02_drvseq5_0_08
   +models/csm_share                   https://svn-ccsm-models.cgd.ucar.edu/csm_share/branch_tags/shr_assert_macro_tags/shr_assert_macro_n04_share3_140115
   scripts/validation_testing         https://svn-ccsm-models.cgd.ucar.edu/validation_testing/trunk_tags/validation_20131108/run_CESM/
   models/atm/cam                     https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_3_23/models/atm/cam
   -models/atm/datm                    https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_131201
   +models/atm/datm                    https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_140114
   models/atm/satm                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/satm
   models/atm/xatm                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/xatm
   models/dead_share                  https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/dead_share
   -models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/trunk_tags/cism1_131213
   +models/glc/cism                    https://svn-ccsm-models.cgd.ucar.edu/glc/branch_tags/bare_land_smb_tags/bare_land_smb_n06_cism1_140416
   models/glc/sglc                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sglc
   models/glc/xglc                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/xglc
   models/ice/cice                    https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20131002
   models/ice/dice                    https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_131201
   models/ice/sice                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/sice
   models/ice/xice                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/xice
   -models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_5_57/models/lnd/clm
   +models/lnd/clm                     https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/bare_land_smb_tags/bare_land_smb_n14_clm4_5_70/models/lnd/clm
   models/lnd/dlnd                    https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_131201
   models/lnd/slnd                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/slnd
   models/lnd/xlnd                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/xlnd
   @@ -27,16 +27,16 @@
   models/ocn/socn                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/socn
   models/ocn/xocn                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/xocn
   models/rof/drof                    https://svn-ccsm-models.cgd.ucar.edu/drof/trunk_tags/drof8_131201
   -models/rof/rtm                     https://svn-ccsm-models.cgd.ucar.edu/rivrtm/trunk_tags/rtm1_0_36
   +models/rof/rtm                     https://svn-ccsm-models.cgd.ucar.edu/rivrtm/trunk_tags/rtm1_0_37
   models/rof/srof                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/srof
   models/rof/xrof                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/xrof
   models/utils/esmf_wrf_timemgr      https://svn-ccsm-models.cgd.ucar.edu/esmf_wrf_timemgr/trunk_tags/esmf_wrf_timemgr_130213
   models/utils/mct                   https://github.com/quantheory/MCT/tags/compiler_fixes_n04_MCT_2.8.3
   -models/utils/pio                   http://parallelio.googlecode.com/svn/trunk_tags/pio1_8_7/pio
   +models/utils/pio                   http://parallelio.googlecode.com/svn/trunk_tags/pio1_8_11/pio
   models/utils/timing                https://svn-ccsm-models.cgd.ucar.edu/timing/trunk_tags/timing_131108
   models/wav/swav                    https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_04/swav
   models/wav/ww3                     https://svn-ccsm-models.cgd.ucar.edu/ww3/trunk_tags/ww3_130905
   models/wav/xwav                    https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_09/xwav
   -scripts/ccsm_utils/CMake           https://github.com/quantheory/CMake_Fortran_utils/tags/CMake_Fortran_utils_140116
   +scripts/ccsm_utils/CMake           https://github.com/quantheory/CMake_Fortran_utils/tags/CMake_Fortran_utils_140403
   scripts/doc                        https://svn-ccsm-models.cgd.ucar.edu/doc/trunk_tags/doc_131021
   tools/unit_testing                 https://svn-ccsm-models.cgd.ucar.edu/unit_testing/trunk_tags/unit_testing_0_04


cism tag used for baseline comparisons: cism1_140303

Any other externals that differed in baseline: See notes under cism1_140303 below

================================================================================
Originator: muszala
Date: April 16, 2014
Model: cism
Version: cism1_140416
One-line summary: bring in SHR_ASSERT macros

Purpose of changes: Removed 'use shr_assert_mod' statements and replace
'call shr_assert' with SHR_ASSERT or SHR_ASSERT_ALL where appropriate.
Add #include "shr_assert.h" to modules where macro is used.

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): N/A

List all modified files, and describe the changes:

M       source_glc/glc_override_frac.F90
M       drivers/cpl/glc_comp_mct.F90
M       drivers/cpl/glc_comp_esmf.F90
M       drivers/cpl/glc_import_export.F90

Summary of testing:

Tested along with clm4_5_70.  This includes yellowstone+{intel,pgi} and
goldbach+{nag,pgi,intel} and component comp. gen with ys+intel.

Externals used for testing: alpha09b

Cism tag used for baseline comparisons: cism1_140303 in clm4_5_69

Any other externals that differed in baseline:  Many, including: Pio, Mct, timing,
scripts, machines.  Please compare clm4_5_69 and clm4_5_70 for all details.

================================================================================
Originator: sacks
Date: April 3, 2014
Model: cism
Version: cism1_140403
One-line summary: fix allocate statement so it works with gfortran

Purpose of changes:

   I accidentally used a F2008 feature - trying to pick up array dimensions with
   allocate(..., source=...); I have fixed this.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       drivers/cpl/glc_import_export.F90

Summary of testing:

   Just ran a subset of tests:

PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140403-132534 
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140403-132534.memleak
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140403-132534.generate.cism1_140403 
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140403-132534.compare_hist.cism1_140305 
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140403-132534.memcomp.cism1_140305 
FAIL  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140403-132534.tputcomp.cism1_140305 
COMMENT   tput_decr = 8.0199999 tput_decr = 3.7669999 

PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140403-132608 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140403-132608.memleak
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140403-132608.generate.cism1_140403 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140403-132608.compare_hist.cism1_140305 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140403-132608.memcomp.cism1_140305 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140403-132608.tputcomp.cism1_140305 
COMMENT   tput_decr = 2.2609999 

PASS  ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.GC.140403-140743 
PASS  ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.GC.140403-140743.memleak
PASS  ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.GC.140403-140743.generate.cism1_140403 
PASS  ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.GC.140403-140743.compare_hist.cism1_140305 
PASS  ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.GC.140403-140743.memcomp.cism1_140305 
PASS  ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.GC.140403-140743.tputcomp.cism1_140305 

And from component_gen_comp:

PASS   SMS_D.f09_g16_gl10.TG.yellowstone_pgi.compare_hist.cism1_140305.cism.h 
PASS   SMS_D.f09_g16_gl10.TG.yellowstone_pgi.generate.cism.h 

PASS   SMS_D.f09_g16.TG.yellowstone_intel.compare_hist.cism1_140305.cism.h 
PASS   SMS_D.f09_g16.TG.yellowstone_intel.generate.cism.h 

PASS   ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.compare_hist.cism1_140305.cism.h 
PASS   ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.generate.cism.h 


Externals used for testing: cesm1_3_beta07, but scripts4_140305 and Machines_140227

cism tag used for baseline comparisons: cism1_140305

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: March 5, 2014
Model: cism
Version: cism1_140305
One-line summary: fix capping of increase_frac override

Purpose of changes:

   The capping of inrease_frac was accidentally capping each elevation class at
   100%, when it should be capping the sum of elevation classes at 100%. That is
   now fixed.

Changes answers relative to previous tag: NO (only changes test cases that use increase_frac)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       source_glc/glc_override_frac.F90

Summary of testing:

   Just ran a subset of tests:

PASS  ERS_Ld9.f19_g16.IGCLM45.yellowstone_pgi.cism-override_glc_frac.GC.140305-092736 

PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140305-093532 
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140305-093532.memleak
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140305-093532.generate.cism1_140305 
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140305-093532.compare_hist.cism1_140303 
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140305-093532.memcomp.cism1_140303 
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140305-093532.tputcomp.cism1_140303 
PASS SMS_D.f09_g16_gl10.TG.yellowstone_pgi.GC.140305-093532.nlcomp

PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140305-093417 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140305-093417.memleak
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140305-093417.generate.cism1_140305 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140305-093417.compare_hist.cism1_140303 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140305-093417.memcomp.cism1_140303 
PASS  SMS_D.f09_g16.TG.yellowstone_intel.GC.140305-093417.tputcomp.cism1_140303 
PASS SMS_D.f09_g16.TG.yellowstone_intel.GC.140305-093417.nlcomp

Externals used for testing: cesm1_3_beta07, but scripts4_140305 and Machines_140227

cism tag used for baseline comparisons: cism1_140303

Any other externals that differed in baseline: baseline used scripts4_140221a

================================================================================
Originator: sacks
Date: March 3, 2014
Model: cism
Version: cism1_140303
One-line summary: add options to override glc frac sent to cpl, for testing

Purpose of changes:

   Put in place a number of namelist settings that can be used to modify the glc
   frac sent from GLC -> CPL. The point of this is to push CLM's dynamic
   landunits in various ways (e.g., going from 0% glacier to non-zero glacier,
   from 100% glacier down to 0% glacier, etc.).

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml
M       source_glc/glc_InitMod.F90
A       source_glc/glc_override_frac.F90
M       source_glc/glc_global_fields.F90
M       drivers/cpl/glc_import_export.F90

*** Unrelated change: fix documentation
M       bld/README.build-namelist


Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.140228-162551 
FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.140228-162551 
FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.140228-162551 
FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.140228-162551 
FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.140228-162551 
CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.140228-162555


Externals used for testing: cesm1_3_beta07, but scripts4_140221a and Machines_140227

cism tag used for baseline comparisons: cism1_140203

Any other externals that differed in baseline: baseline used cesm1_3_beta07, unmodified

================================================================================
Originator: sacks
Date: Feb 3, 2014
Model: cism
Version: cism1_140203
One-line summary: fix exact restart problem with cism -> cpl fields

Purpose of changes:

   Update glimmer-cism external to fix an exact restart problem that appears
   with a few of the cism -> cpl fields - specifically, the rofi, rofl and hflx
   fields. This problem showed up with runs with daily (rather than annual)
   coupling - i.e., all compsets other than TG. For example, this test was
   failing:

   ERS_Ly5.T31_g37.IGCLM45.yellowstone_intel

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update from r55984 -> r56989
M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.140129-134856
BFAIL ERS_Ly5.T31_g37.IGCLM45.yellowstone_intel.GC.140129-134851.compare_hist.cism1_131213_beta07 
FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.140129-134851 
FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.140129-134851 
FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.140129-134851 
FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.140129-134851 
FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.140129-134851 


Externals used for testing: cesm1_3_beta07

cism tag used for baseline comparisons: cism1_131213

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Dec 13, 2013
Model: cism
Version: cism1_131213
One-line summary: update glimmer-cism external

Purpose of changes:

  Update glimmer-cism external to r55984. The main change here is to remove
  prevtemp from the computation of the diagnostic quantity dTtop; this changes
  answers for hflx, but nothing else.

Changes answers relative to previous tag: YES

   Just changes answers for the hflx term sent to the coupler. Diffs are
   generally about 1e-6 (relative error), though some RMS errors are as large as
   1e-4 (relative error).

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.143014
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.143009 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.143009 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.143009 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.143009 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.143009 

Externals used for testing: cesm1_3_beta05

cism tag used for baseline comparisons: cism1_131212a

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Dec 12, 2013
Model: cism
Version: cism1_131212a
One-line summary: update glimmer-cism external

Purpose of changes:

   Update glimmer-cism external from r55935 to r55978. This changes the number
   of seconds in a year to exactly 365 days, in agreement with the rest of CESM.

Changes answers relative to previous tag: YES

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.142829
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.142824 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.142824 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.142824 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.142824 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.142824 


Externals used for testing: cesm1_3_beta05

cism tag used for baseline comparisons: cism1_131212

Any other externals that differed in baseline: none

================================================================================
Originator: sacks
Date: Dec 12, 2013
Model: cism
Version: cism1_131212
One-line summary: update glimmer-cism external, fixing fields sent from glc to cpl

Purpose of changes:

   Update glimmer-cism external from r54059 to r55935. The main changes here
   involve fixing the fields sent from glc to the CESM coupler - specifically,
   rofi, rofl and hflx. Also, a few other minor changes.

Changes answers relative to previous tag: YES

   Changes answers for all fields sent from GLC -> CPL: SIGNIFICANT differences
   for hflx, rofi and rofl; and roundoff-level changes for frac and topo.

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.133413
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.133404 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.133404 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.133404 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.133404 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.133404 


Externals used for testing: cesm1_3_beta05

cism tag used for baseline comparisons: cism1_131203

Any other externals that differed in baseline: None

================================================================================
Originator: sacks
Date: Dec 3, 2013
Model: cism
Version: cism1_131203
One-line summary: call glc_export in mct initialization

Purpose of changes:

   With the changes in cism1_131008, the esmf side had been changed to call
   glc_export in initialization, but the mct side had not been changed
   similarly. This tag makes a simple change to the mct side so that CME tests
   now pass. (This problem was missed in the testing for cism1_131008 because it
   only shows up in IG/FG/BG compsets, which were excluded from the testing of
   that tag.)

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       drivers/cpl/glc_comp_mct.F90

Summary of testing: 

   Yellowstone intel & pgi test lists. All PASS except the following expected
   failures:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.103449
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.103445 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.clm-reduceOutput.GC.103445 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.103445 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.103445 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.clm-reduceOutput.GC.103445 

   Note that this test failed in the baseline:

   CME_Ly5.T31_g37.IG.yellowstone_intel.clm-reduceOutput

   However, I manually compared the cpl hist files, and they are identical in
   the new tag compared with the baseline.

Externals used for testing: cesm1_3_beta05

cism tag used for baseline comparisons: cism1_131008

Any other externals that differed in baseline: None (baselines also generated
from cesm1_3_beta05)

================================================================================
Originator: sacks, mvertens
Date: Oct 8, 2013
Model: cism
Version: cism1_131008
One-line summary: Mariana's changes to cpl infrastructure, update external

Purpose of changes:

(1) Bring in Mariana's refactoring of the cpl infrastructure

(2) Point glimmer-cism external to new repository location

(3) Small update to glimmer-cism external: Bring in Matt Hoffman's
change to the logic for allocating isostasy variables

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** (1) above
M       bld/cism.buildexe.csh
D       drivers/cpl_share
D       drivers/cpl_mct
D       drivers/cpl_esmf
A       drivers/cpl/glc_comp_mct.F90
A       drivers/cpl/glc_comp_esmf.F90
A       drivers/cpl/glc_import_export.F90
A       drivers/cpl/glc_coupling_flags.F90
A       drivers/cpl/glc_cpl_indices.F90
A       drivers/cpl

*** (2) and (3) above
M       SVN_EXTERNAL_DIRECTORIES


Summary of testing:

   Ran just a subset of the yellowstone intel & pgi test lists: Just the TG
   CISM1 tests. It was not ideal to exclude the IG / FG / BG tests, but I made
   this compromise because yellowstone is down. 

   All PASS except the following expected failure:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.215132

   Update 12-2-13: Ran IG / FG / BG CISM1 tests; all pass EXCEPT:

   *** Known failure; working on resolving this
   FAIL  CME_Ly5.T31_g37.IG.yellowstone_intel.GC.100040 

   *** Diffs only in x2l_Flrr_volr
   FAIL  ERI.f19_g16.IGRCP85CN.yellowstone_pgi.GC.100111.compare_hist.cism1_130924 

   (component_gen_comp: all PASS, including the two above test failures)

Externals used for testing: cesm1_3_alpha04c

cism tag used for baseline comparisons: cism1_130924

Any other externals that differed in baseline: Baseline used externals at cesm1_3_beta03

================================================================================
Originator: sacks
Date: Sept 24, 2013
Model: cism
Version: cism1_130924
One-line summary: Update glimmer-cism external to r1966

Purpose of changes: Bring in latest glimmer-cism external - update from r1950 to
r1966

Changes answers relative to previous tag: No diffs according to test suite,
although log messages suggest there may have been some small answer changes.

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES


Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following
   expected failures:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.162146
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.162141 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.GC.162141 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.162141 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.162141 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.GC.162141 


Externals used for testing: cesm1_3_beta03

cism tag used for baseline comparisons: cism1_130905

Any other externals that differed in baseline: None

================================================================================
Originator: sacks, tcraig
Date: Sept 5, 2013
Model: cism
Version: cism1_130905
One-line summary: rework coupling fields, update glimmer-cism external

Purpose of changes:

(1) Rework the runoff coupling fields (rofi & rofl) to fit in with Tony Craig's
    coupler changes. These fields are now routed to the ocean and/or sea ice,
    instead of to the land. Also, these are no longer separated by elevation
    class.

(2) Update glimmer-cism external from r1936 -> r1950. This brings in a number of
    changes. The most important are some changes from Bill Lipscomb that fix
    some of the g2x coupling fields, and remove the elevation class dimension
    from the g2x rofi & rofl fields.


Changes answers relative to previous tag: YES
   Changes all of the g2x coupling fields.
   However, CISM history files are bfb

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Changes to coupling fields as described above
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90
M       source_glc/glc_global_fields.F90
M       drivers/cpl_share/glc_cpl_indices.F90
M       drivers/cpl_mct/glc_comp_mct.F90
M       drivers/cpl_esmf/glc_comp_esmf.F90

*** Routines to determine whether to send calving flux to ocean or sea ice
A       source_glc/glc_route_ice_runoff.F90
A       drivers/cpl_share/glc_coupling_flags.F90

*** Add a namelist option to choose where calving flux should go
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

*** Update from r1936 -> r1950
M       SVN_EXTERNAL_DIRECTORIES



Summary of testing:

   Yellowstone intel & pgi test lists. Testing was done in the context of Tony
   Craig's changes, which involved the coupler and many other components. The
   testing documented here was done on cplupa_n03_cism1_130624.

   Baseline comparisons fail for g2x fields and the derived x2l fields. CISM
   history files are bfb according to component_gen_comp. 

   Test failures are:

   *** Expected failures
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel

   *** Failures in IG/FG tests that I think are expected (note: these all failed
       in the baseline, too; also note that I have TG tests that cover the same
       kind of functionality - e.g., a CME TG test - so this likely points to
       problems outside of GLC; also, Tony says that the IG failures are
       expected)
   FAIL  ERI.f19_g16.IGRCP85CN.yellowstone_pgi
   FAIL  SMS_D.f09_g16.IG20TR.yellowstone_pgi
   FAIL  CME_Ly5.T31_g37.IG.yellowstone_intel
   FAIL  SMS.f19_f19.FG20TRCN.yellowstone_intel


Externals used for testing:

   models/atm/cam                  https://svn-ccsm-models.cgd.ucar.edu/cam1/branch_tags/cesmcosp_cam5_3_xx_tags/cesmcosp_n01_cam5_3_04/models/atm/cam
   models/atm/datm                 https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_130424
   models/atm/satm                 https://svn-ccsm-models.cgd.ucar.edu/stubs/branch_tags/cplupa_tags/cplupa_n02_stubs1_4_02/satm
   models/atm/wrf                  https://svn-ccsm-models.cgd.ucar.edu/wrf/trunk_tags/wrf32_ccsm130325
   models/atm/xatm                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_06/xatm
   models/csm_share                https://svn-ccsm-models.cgd.ucar.edu/csm_share/branch_tags/cplupa_tags/cplupa_n01_share3_130528
   models/dead_share               https://svn-ccsm-models.cgd.ucar.edu/dead7/branch_tags/cplupa_tags/cplupa_n02_dead7_7_06/dead_share
   models/drv                      https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/branch_tags/cplupa_tags/cplupa_n02_drvseq4_2_33
   models/glc/cism                 https://svn-ccsm-models.cgd.ucar.edu/glc/branches/cplupa
   models/glc/sglc                 https://svn-ccsm-models.cgd.ucar.edu/stubs/branch_tags/cplupa_tags/cplupa_n02_stubs1_4_02/sglc
   models/glc/xglc                 https://svn-ccsm-models.cgd.ucar.edu/dead7/branch_tags/cplupa_tags/cplupa_n02_dead7_7_06/xglc
   models/ice/cice                 https://svn-ccsm-models.cgd.ucar.edu/cice/branch_tags/cplupa_tags/cplupa_n01_cice4_0_20130524
   models/ice/dice                 https://svn-ccsm-models.cgd.ucar.edu/dice7/branch_tags/cplupa_tags/cplupa_n01_dice8_130313
   models/ice/sice                 https://svn-ccsm-models.cgd.ucar.edu/stubs/branch_tags/cplupa_tags/cplupa_n02_stubs1_4_02/sice
   models/ice/xice                 https://svn-ccsm-models.cgd.ucar.edu/dead7/branch_tags/cplupa_tags/cplupa_n02_dead7_7_06/xice
   models/lnd/clm                  https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/cplupa_tags/cplupa_n02_clm4_5_11/models/lnd/clm
   models/lnd/dlnd                 https://svn-ccsm-models.cgd.ucar.edu/dlnd7/branch_tags/cplupa_tags/cplupa_n01_dlnd8_130213
   models/lnd/slnd                 https://svn-ccsm-models.cgd.ucar.edu/stubs/branch_tags/cplupa_tags/cplupa_n02_stubs1_4_02/slnd
   models/lnd/xlnd                 https://svn-ccsm-models.cgd.ucar.edu/dead7/branch_tags/cplupa_tags/cplupa_n02_dead7_7_06/xlnd
   models/ocn/docn                 https://svn-ccsm-models.cgd.ucar.edu/docn7/trunk_tags/docn8_130313
   models/ocn/pop2                 https://svn-ccsm-models.cgd.ucar.edu/pop2/trunk_tags/cesm_pop_2_1_20130517
   models/ocn/socn                 https://svn-ccsm-models.cgd.ucar.edu/stubs/branch_tags/cplupa_tags/cplupa_n02_stubs1_4_02/socn
   models/ocn/xocn                 https://svn-ccsm-models.cgd.ucar.edu/dead7/branch_tags/cplupa_tags/cplupa_n02_dead7_7_06/xocn
   models/ocn/aquap                https://svn-ccsm-models.cgd.ucar.edu/aquap/trunk_tags/aquap_130503
   models/rof/drof                 https://svn-ccsm-models.cgd.ucar.edu/drof/trunk_tags/drof8_130503
   models/rof/rtm                  https://svn-ccsm-models.cgd.ucar.edu/rivrtm/branch_tags/cplupa_tags/cplupa_n01_rtm1_0_28
   models/rof/srof                 https://svn-ccsm-models.cgd.ucar.edu/stubs/branch_tags/cplupa_tags/cplupa_n02_stubs1_4_02/srof
   models/rof/xrof                 https://svn-ccsm-models.cgd.ucar.edu/dead7/branch_tags/cplupa_tags/cplupa_n02_dead7_7_06/xrof
   models/utils/esmf_wrf_timemgr   https://svn-ccsm-models.cgd.ucar.edu/esmf_wrf_timemgr/trunk_tags/esmf_wrf_timemgr_130213
   models/utils/mct                https://github.com/quantheory/MCT/tags/compiler_fixes_n03_MCT_2.8.3
   models/utils/pio                http://parallelio.googlecode.com/svn/trunk_tags/pio1_7_2/pio
   models/utils/timing             https://svn-ccsm-models.cgd.ucar.edu/timing/trunk_tags/timing_130506
   models/wav/swav                    https://svn-ccsm-models.cgd.ucar.edu/stubs/branch_tags/cplupa_tags/cplupa_n02_stubs1_4_02/swav
   models/wav/ww3                  https://svn-ccsm-models.cgd.ucar.edu/ww3/trunk_tags/ww3_130314
   models/wav/xwav                 https://svn-ccsm-models.cgd.ucar.edu/dead7/branch_tags/cplupa_tags/cplupa_n02_dead7_7_06/xwav
   scripts                         https://svn-ccsm-models.cgd.ucar.edu/scripts/branch_tags/cplupa_tags/cplupa_n02_scripts4_130627
   scripts/ccsm_utils/Machines     https://svn-ccsm-models.cgd.ucar.edu/Machines/trunk_tags/Machines_130625
   tools/cprnc                     https://svn-ccsm-models.cgd.ucar.edu/tools/cprnc/trunk_tags/cprnc_130529
   tools/mapping                   https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_130509


cism tag used for baseline comparisons: cplupa_n02_cism1_130624
   Note: I removed the rofi & rofl coupling stuff from cism so that it would
   work in the context of the above externals

Any other externals that differed in baseline: Same as above

================================================================================
Originator: sacks
Date: June 24, 2013
Model: cism
Version: cism1_130624
One-line summary: update glimmer-cism external

Purpose of changes:

Update glimmer-cism external, from r1876 to r1936. 

Also update documentation of config options.


Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES
M       bld/namelist_files/namelist_definition_cism.xml


Summary of testing:

   Yellowstone intel & pgi test lists. All PASS except the following
   expected failures:

   *** No ESMF for PGI
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi

   *** CISM2 failures
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.163141 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.GC.163141 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.163141 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.163141 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.GC.163141 


   Note that nlcomp failed for 10km & 20km, as expected (with
   comparison to cism1_130514)


Externals used for testing: cesm1_2_beta08, with scripts @ scripts4_130513b

cism tag used for baseline comparisons: cism1_130514

Any other externals that differed in baseline: None.

================================================================================
Originator: sacks
Date: May 24, 2013
Model: cism
Version: cism1_130524
One-line summary: change idiag & jdiag for 10km & 20km; allow other
                  sigma values; fix some namelist documentation


Purpose of changes: (see summary)

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

Summary of testing:

   Ran the following with comparison to baseline (but NOT component_gen_comp):
   SMS_D.f09_g16_gl10.TG.yellowstone_pgi
   ERS_Ly20.f09_g16.TG1850.yellowstone_intel
   SMS_D.f09_g16.TG.yellowstone_intel

   Ran the following with NO comparison to baseline:
   SMS_D.f09_g16.IG20TR.yellowstone_intel

   Also, ran the following with CISM_GRID=gland20, also with
   comparison to baseline (including component_gen_comp):
   SMS.f09_g16.TG.yellowstone_pgi

   Note that nlcomp failed for 10km & 20km, as expected

Externals used for testing: cesm1_2_beta08, with scripts @ scripts4_130513b

cism tag used for baseline comparisons: cism1_130514

Any other externals that differed in baseline: None

================================================================================
Originator: sacks
Date: May 14, 2013
Model: cism
Version: cism1_130514
One-line summary: Update glimmer-cism: use double-precision for all variables

Purpose of changes:

Bring in changes from Bill L to convert all variables to double precision


Changes answers relative to previous tag: YES -- answers change by
single-precision roundoff (as expected), along with some slightly unexpected,
large changes around the continental margin (at least in acab & temp)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update from r1863 -> r1876
M       SVN_EXTERNAL_DIRECTORIES

*** Change some variables to double precision
M       source_glc/glc_InitMod.F90


Summary of testing:

   Yellowstone intel & pgi test lists. For this testing, I have switched over to
   using the xml-based test lists, since they have been fixed to include all
   desired tests in the latest scripts tag.

   Baseline comparisons fail, as expected. Other than that, failures are:

   *** No ESMF for PGI
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.094304

   *** CISM2 failures
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.094301 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.GC.094301 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.094301 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.094301 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.GC.094301 


Externals used for testing: cesm1_2_beta08, with scripts @ scripts4_130513b

cism tag used for baseline comparisons: cism1_130502

Any other externals that differed in baseline: Unsure... I may have used
cesm1_2_beta06 for the baseline by accident, but it doesn't really matter
because there are known baseline differences in this new tag.

================================================================================
Originator: sacks
Date: May 2, 2013
Model: cism
Version: cism1_130502
One-line summary: Update glimmer-cism: fix restart bugs, clean-up from Bill L

Purpose of changes:

Update glimmer-cism from r1849 -> 1863, mainly for two purposes:

- Fixes for restart bugs in non-default configurations (from Matt Hoffman)

- Clean-up (mostly of comments) from Bill Lipscomb


Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

   Yellowstone intel & pgi test lists. I used the plain text test lists as they
   existed before the conversion of test lists to xml, because there were some
   missing tests in the xml

   All PASS except:

   *** No ESMF for PGI
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.150138

   *** CISM2 failures
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.150142 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.GC.150142 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.150142 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.150142 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.GC.150142 

Externals used for testing: cesm1_2_beta06, but PIO @ pio1_6_8

cism tag used for baseline comparisons: cism1_130430a

Any other externals that differed in baseline: No differences

================================================================================
Originator: sacks
Date: April 30, 2013
Model: cism
Version: cism1_130430a
One-line summary: Update glimmer-cism external, including getting restarts to
                  work for evolution=2; also add some config options

Purpose of changes:

- Update external (1846 -> 1849): 
  - some cleanup from Bill Lipscomb
  - get restarts to work with evolution=2

- Add some config options to namelist_definition file


Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/namelist_files/namelist_definition_cism.xml
M       SVN_EXTERNAL_DIRECTORIES


Summary of testing:

   Yellowstone intel & pgi test lists. I used the plain text test lists as they
   existed before the conversion of test lists to xml, because there were some
   missing tests in the xml

   All PASS except:

   *** No ESMF for PGI
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.084959

   *** CISM2 failures
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.085004 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.GC.085004 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.085004 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.085004 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.GC.085004 

   
   Also ran all CISM1 tests from a sandbox that set evolution=2,
   dt=0.0083333333333333333333333333333333333 by default (for all
   resolutions). These all pass except:

   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.102727

   Note, in particular, that all restart tests are now passing for
   evolution=2. However, note that a small time step is needed for these
   evolution=2 cases to pass (even using dt=0.025 led to failure of some cases)

Externals used for testing: cesm1_2_beta06, but PIO @ pio1_6_8

cism tag used for baseline comparisons: cism1_130429

Any other externals that differed in baseline: No differences

================================================================================
Originator: sacks
Date: April 30, 2013
Model: cism
Version: cism1_130430
One-line summary: Use new glint interfaces

Purpose of changes:

Use new glint interfaces from Bill L.


Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update glimmer-cism external from r1837 to r1846, to use new glint
    interfaces (this also includes some other changes that should have no effect
    on the code run within CESM)
M       SVN_EXTERNAL_DIRECTORIES

*** Use new glint interfaces
M       source_glc/glc_InitMod.F90
M       source_glc/glc_RunMod.F90

*** Comment out use of deleted itest, jtest (now these are iglint_global and
    jglint_global, but those are hard-coded values that don't make sense for
    most runs, so for now it's best not to use them)
M       source_glc/glc_global_grid.F90

*** Unrelated clean-up of documentation
M       bld/namelist_files/namelist_definition_cism.xml


Summary of testing:

   Yellowstone intel & pgi test lists. I used the plain text test lists as they
   existed before the conversion of test lists to xml, because there were some
   missing tests in the xml

   All PASS except:

   *** No ESMF for PGI
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.202525

   *** CISM2 failures
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.202556 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.GC.202556 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.202556 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.202556 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.GC.202556 


Externals used for testing: cesm1_2_beta06, but PIO @ pio1_6_8

cism tag used for baseline comparisons: cism1_130429

Any other externals that differed in baseline: No differences

================================================================================
Originator: sacks
Date: April 29, 2013
Model: cism
Version: cism1_130429
One-line summary: Change some parameter values

Purpose of changes:

The previous tag kept parameter values at their cism1 defaults, for testing
purposes. In this tag, we change parameter values to those that we want moving
forward. In particular, this changes:

- temp_init: 2 instead of 1
- basal_mass_balance: 1 instead of 0
- sigma: 0 instead of 2 for cism_phys=cism1

Changes answers relative to previous tag: YES

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/namelist_files/namelist_defaults_cism.xml

*** fix some comments
M       bld/build-namelist

Summary of testing:

   Yellowstone intel & pgi test lists. I used the plain text test lists as they
   existed before the conversion of test lists to xml, because there were some
   missing tests in the xml

   All PASS except:

   *** Missing ESMF library
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.G.061715

   *** CISM2 failures
   FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.G.061723 
   FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.G.061723 
   FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.G.061723 
   FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.G.061723 
   FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.G.061723 


Externals used for testing: cesm1_2_beta06, but PIO @ pio1_6_8

cism tag used for baseline comparisons: N/A -- no baseline comparisons performed

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: April 28, 2013
Model: cism
Version: cism1_130428
One-line summary: Cleanup of glimmer-cism external code, with focus on cleaning
                  up config options

Purpose of changes:

- Bring in latest glimmer-cism external, which cleans up config options, as well
  as a number of other changes from Bill L

- Get cismIO generation working

- Run some tests to make sure that new code gives the same answers as the
  cesm1.1.1 release


Changes answers relative to previous tag: YES

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       SVN_EXTERNAL_DIRECTORIES

*** Get cismIO generation working. This includes getting files from glimmer-cism
    external rather than maintaining copies of them
D       bld/cismIO/glide_lithot_vars.def
D       bld/cismIO/glint_mbal_vars.def
D       bld/cismIO/glint_vars.def
D       bld/cismIO/ncdf_template.F90.in
D       bld/cismIO/glide_vars.def
D       bld/cismIO/generate_ncvars.py
M       bld/cismIO/cism.buildIO.template.csh
M       bld/cism.cpl7.template

*** Handle Bill L's changes to config options
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

*** Add blank line
M       bld/user_nl_cism


Summary of testing:

   (1) Yellowstone intel & pgi test lists. I used the plain text test lists as
       they existed before the conversion of test lists to xml, because there
       were some missing tests in the xml

       All PASS except:

       *** Missing ESMF library
       CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.194914

       *** CISM2 failures
       FAIL  ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.GC.194923 
       FAIL  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel.GC.194923 
       FAIL  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.GC.194923 
       FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel.GC.194923 
       FAIL  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel.GC.194923 


   (2) Comparisons of latest code base with cesm1.1.1 release code. Expect CISM1
       compsets to be the same within roundoff, once some code mods were made to
       the new and old code to correct for known differences (put in place by
       Bill L). For each of these, I ran one-year TG compsets from the new code
       base and from cesm1.1.1; I compared log files (first few time steps, and
       last time step of the year-long run), looked at cprnc results, and did a
       visual comparison of history files for any fields with large differences
       according to cprnc.

       (a) baseline, out-of-the-box settings (done by Bill L, reproduced by me)

       (b) basal sliding on (done by Bill L)

       (c) 10 km

       (d) 20 km

       (e) evolution=2

       (f) basal_water=1

       (g) flow_law: 0 in new, 2 in old

       (h) sigma=0 (in old code, implemented this by commenting out the call to
           glide_read_sigma)

       (i) use Jeremy Fyke's initial conditions, which have been copied to
           bg40.1850.track1.1deg.006b.cism.r.0863-01-01-00000.nc; along with
           hotstart=1

       (j) slip_coeff: 5 in old, 3 in new; also, use initial conditions as in
           (i)

       All of these appeared to differ only by single-precision roundoff, EXCEPT
       (i) was questionable and (j) had big differences (in cesm1.1.1, (j) was
       unstable in the old code). The differences in (i) suggest that old cism1
       restart files MAY not be compatible with the new code base. The
       differences in (j) might be connected to the use of initial conditions in
       this run, rather than a problem with slip_coeff per se. For example, it
       seems that the old code, with Bill L's mods to make the old & new more
       similar, didn't read bheatflx from the restart file.
       

Externals used for testing: cesm1_2_beta06, but PIO @ pio1_6_8

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: April 25, 2013
Model: cism
Version: cism1_130425
One-line summary: Allow longer case names, and error-check too-long case names

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       source_glc/glc_io.F90
M       source_glc/glc_time_management.F90

Summary of testing:

   Ran standard cism1 tests on yellowstone, from glc aux test lists (for intel &
   pgi); took these test lists from an older scripts tag from before the
   conversion to xml, since the xml list has some problems. 

   All tests PASSed, except the following expected failures:

   *** No esmf library for pgi
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.GC.145755

   *** PIO broken for mpi-serial
   RUN   PEA_P1_M.f09_g16.TG20TR.yellowstone_intel.GC.145802 

   All baseline comparisons, including component_gen_comp, PASSed or BFAILed in
   an expected way.


   Also ran an ERI_Ly44 test with a long testid that resulted in a > 160
   character case name (old limit was 80, new is 256 characters).

Externals used for testing: cesm1_2_beta06

cism tag used for baseline comparisons: cism1_130405

Any other externals that differed in baseline: None

================================================================================
Originator: sacks
Date: April 5, 2013
Model: cism
Version: cism1_130405
One-line summary: Change namelist defaults for cism1

Purpose of changes:

I was getting instabilities in cism1. Resolving these required either
decreasing the time step or changing evolution back to 0 (rather than the
new default of 2). Bill L recommended changing evolution back to 0. 

So this tag changes these defaults for cism1:
- evolution=0 rather than 2
- dt=0.1 rather than 0.025 for gl10

These changes bring the cism1 namelist defaults back to what they were in
cism1_121114


Changes answers relative to previous tag: YES

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/namelist_files/namelist_defaults_cism.xml

Summary of testing:

   NOTE: The testing was accidentally run on a version of code that
   did NOT include the changes from cism1_130403.

   JUST RAN THE CISM1 TESTS FROM THESE LISTS (NO BASELINE COMPARISONS):
   - yellowstone_intel.glc.auxtest
   - yellowstone_pgi.glc.auxtest
 
   All PASS except the following expected failures:
   CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.G.205611 
   FAIL  CME_Ly5.T31_g37.IG.yellowstone_intel.G.205554 

   NOTE THAT THE ERS AND ERI TESTS ARE NOW PASSING!

   CONFIRMING THAT RESTART TESTS ARE NOW WORKING: 
   Ran the following additional tests:

PASS  ERS_Ly100.f09_g16.TG.yellowstone_intel.062613 
PASS  ERS_Ly100.f09_g16.TG.yellowstone_intel.062613.memleak
PASS  ERI_Ly220.f09_g16.TG20TR.yellowstone_intel.062613 
PASS  ERI_Ly220.f09_g16.TG20TR.yellowstone_intel.062613.memleak
PASS  ERS_Ly200.f09_g16_gl10.TG1850.yellowstone_intel.062613 
PASS  ERS_Ly200.f09_g16_gl10.TG1850.yellowstone_intel.062613.memleak
PASS  ERI_Ly440.f09_g16_gl10.TGRCP85.yellowstone_intel.062613 
PASS  ERI_Ly440.f09_g16_gl10.TGRCP85.yellowstone_intel.062613.memleak
PASS  ERS_Ly20.f09_g16_gl10.TG1850.yellowstone_intel.062613 
PASS  ERS_Ly20.f09_g16_gl10.TG1850.yellowstone_intel.062613.memleak
PASS  ERI_Ly44.f09_g16_gl10.TGRCP85.yellowstone_intel.062613 
PASS  ERI_Ly44.f09_g16_gl10.TGRCP85.yellowstone_intel.062613.memleak

  SO INDEED, IT SEEMS THAT RESTARTS ARE EXACT NOW, WITH EVOLUTION=0


Externals used for testing: cesm1_2_beta05, except scripts4_130405 and
CLM at branches/newcompsets/models/lnd/clm, r45570

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: April 3, 2013
Model: cism
Version: cism1_130403
One-line summary: Add CISM_OBSERVED_IC option for hybrid runs

Purpose of changes:

Allow cism to ignore the refcase's restart file in a hybrid run by
setting the CISM_OBSERVED_IC env_run.xml variable to TRUE.

As part of this change, the default value of hotstart is now set in
build-namelist rather than being set via namelist_defaults_cism.xml.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml


Summary of testing:

- Test runs where I leave CISM_OBSERVED_IC at its default value (FALSE); compare namelist/config file and cism history file with baseline runs
	- startup
		- namelist/config files
		- hist file
	- hybrid
		- namelist/config files
		- hist file
	- branch
		- namelist/config files
		- hist file

- Test runs where I set CISM_OBSERVED_IC to TRUE; compare namelist/config file and cism history file with baseline runs
	- startup
		- namelist/config files
		NOT DOING - hist file
	- hybrid: should differ from baseline hybrid, be identical to baseline startup (in particular: hostart, cisminputfile)
		- namelist/config files
		- hist file: should be identical to baseline startup
			Note: time coordinate variable differs from baseline hybrid
		- restart file: should be identical to baseline startup
			Note: time coordinate variable differs from baseline hybrid
		- compare netcdf headers for hist & restart files
	- branch: BUILD-NAMELIST SHOULD DIE



Externals used for testing: cesm1_2_beta05, with updated scripts

cism tag used for baseline comparisons: cism1_130401

Any other externals that differed in baseline: old scripts used for
baseline runs

================================================================================
Originator: sacks
Date: April 1, 2013
Model: cism
Version: cism1_130401
One-line summary: Update external, including significant glide updates

Purpose of changes:

Update glimmer-cism external. Among other things, this includes a
large set of glide updates from Bill Lipscomb.

Changes answers relative to previous tag: YES

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update glimmer-cism from r1773 to r1785
M       SVN_EXTERNAL_DIRECTORIES

*** Delete bluefire test stubs
M       ChangeLog_template

Summary of testing:

   yellowstone_intel.glc.auxtest & yellowstone_pgi.glc.auxtest

   (skipped hopper glc auxtests because for now I just care about
   testing CISM1 compsets)

All PASS except:

***** NEW FAILURE: Problems building with mpi-serial with cmake
RUN   PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel.G.162507 

***** NEW FAILURE: Problem in CLM or RTM ESMF (should be resolved as of clm4_0_69)
FAIL  CME_Ly5.T31_g37.IG.yellowstone_intel.G.162507 

***** Expected failures based on failures in cism1_130207
FAIL  ERS_Ly20.f09_g16.TG1850.yellowstone_intel.G.162507 
FAIL  ERI_Ly44.f09_g16.TGRCP85.yellowstone_intel.G.162507 
RUN   ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel.G.162507 
FAIL  ERS_Ly20_E.f09_g16.TG20TR.yellowstone_intel.G.162507 
FAIL  ERS_Ly20_N2_P2.f09_g16_gl10.TG.yellowstone_pgi.G.162510 
CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi.G.162510 


Externals used for testing: cesm1_2_beta05

cism tag used for baseline comparisons: N/A: No baseline comparisons done

Any other externals that differed in baseline: N/A

================================================================================
Originator: tcraig
Date: March 25, 2013
Model: cism
Version: cism1_130325
One-line summary: updates for new CISM_GRID env variable

the scripts env variable GLC_GRID was renamed to CISM_GRID and a few changes
were needed in cism scripts.

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       models/glc/cism/bld/trilinosOptions/README
M       models/glc/cism/bld/README.build-namelist
M       models/glc/cism/bld/build-namelist
M       models/glc/cism/bld/cism.buildnml.csh

Summary of testing: Ran a handful of yellowstone prealpha/beta tests

Externals used for testing: cesm1_2_alpha04a+

cism tag used for baseline comparisons: cism1_130315

Any other externals that differed in baseline: Several including a
 dependency on scripts changes and everything else in alpha05a.  This
 tag does depends on the scripts tag in cesm1_2_alpha05a and that
 scripts tag depends on everything else in alpha05a (add wave model).

================================================================================
Originator: sacks
Date: March 15, 2013
Model: cism
Version: cism1_130315
One-line summary: update glimmer-cism, including adding support for 36 columns

Purpose of changes:

Add support for 36 columns.

While I'm at it, update glimmer-cism external to latest revision.

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Update glimmer-cism from r1746 to r1773
 M      .
M       SVN_EXTERNAL_DIRECTORIES

Summary of testing:

Ran the following test list, including component_gen_comp (note: this
is the shortlist.glc.auxtest list, plus a long IG test):

SMS_D.f09_g16.TG
SMS_D_Ly1.f09_g16_gl10.TGIS2
ERS_Ly20.f09_g16.TG1850
SMS_D.f09_g16.IG20TR
SMS_Ly5.T31_g37.IG

All pass, except the following, which also failed in the baseline:
FAIL  ERS_Ly20.f09_g16.TG1850.yellowstone_intel.GC.141629 

Externals used for testing: cesm1_2_alpha03d

cism tag used for baseline comparisons: cism1_130307

Any other externals that differed in baseline: None

================================================================================
Originator: sacks
Date: March 7, 2013
Model: cism
Version: cism1_130307
One-line summary: fix dependency appends for new mkDepends... for real, now

Purpose of changes:

Yesterday's fix didn't really do the right thing. Now I have removed the
awkward awk script, and instead use new functionality in mkDepends to do
this appending the right way.

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/cism.buildexe.csh

Summary of testing:

Summary of testing:

MINIMAL TESTING DONE: JUST TESTED BUILD FOR A CASE WITH:
-mach yellowstone -compset IG -res f09_g16

Externals used for testing: cesm1_2_alpha03b, with Machines at Machines_130307

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: March 6, 2013
Model: cism
Version: cism1_130306
One-line summary: fix dependency appends for new mkDepends

Purpose of changes:

The awk script that appended libglimmercismfortran.a to the list of
dependencies accidentally assumed a space at the end of the lines
created by mkDepends. The new version of mkDepends doesn't include a
space at the end of each line, so the dependencies weren't created
correctly. Now the necessary space is added in the awk script.

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Just add a space
M       bld/cism.buildexe.csh

Summary of testing:

MINIMAL TESTING DONE: JUST TESTED BUILD FOR A CASE WITH:
-mach yellowstone -compset IG -res f09_g16

Externals used for testing: cesm1_2_alpha03b, with Machines at Machines_130304b

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Feb 7, 2013
Model: cism
Version: cism1_130207
One-line summary: bring cism2 to trunk

Purpose of changes:

Bring cism2 to trunk (merge changes from cism2_cesm_bld_wjs branch). This
inovles:

- bringing in the new glimmer-cism code base as an svn external, rather than
  using copies of the source files

- updating the build system to handle building glimmer-cism as a standalone
  library, using its native cmake-based build system

- modifying some source code so GLC works properly in a parallel environment
  (see README.parallelization for details)

- adding namelist options to support cism2


Changes answers relative to previous tag: YES. 

There are currently big answer changes (orders of magnitude differences), even
for cism1 compsets that are supposed to give roughly the same answer. Bill
Lipscomb is looking into this, and a new tag will be made once these changes are
resolved.


Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/): None

List all modified files, and describe the changes:

*** Bring in new glimmer-cism code base as an svn external, delete old copies of
*** source files
A       SVN_EXTERNAL_DIRECTORIES
D       source_glimmer-cism
D       source_glimmer-cism/glide.F90
D       source_glimmer-cism/glimmer_scales.F90
D       source_glimmer-cism/glint_timestep.F90
D       source_glimmer-cism/smb_dummy.F90
D       source_glimmer-cism/glide_thck.F90
D       source_glimmer-cism/isostasy_setup.F90
D       source_glimmer-cism/isostasy_el.F90
D       source_glimmer-cism/glide_nc_custom.F90
D       source_glimmer-cism/glide_lithot_io.F90
D       source_glimmer-cism/glint_mbal_io.F90
D       source_glimmer-cism/glimmer_ts.F90
D       source_glimmer-cism/isostasy_types.F90
D       source_glimmer-cism/glimmer_searchcircle.F90
D       source_glimmer-cism/glimmer_routing.F90
D       source_glimmer-cism/glimmer_daily_pdd.F90
D       source_glimmer-cism/xls.F90
D       source_glimmer-cism/glint_mbal.F90
D       source_glimmer-cism/glide_temp.F90
D       source_glimmer-cism/glint_climate.F90
D       source_glimmer-cism/glimmer_utils.F90
D       source_glimmer-cism/glimmer_map_init.F90
D       source_glimmer-cism/glimmer_anomcouple.F90
D       source_glimmer-cism/glimmer_filenames.F90
D       source_glimmer-cism/glimmer_ncparams.F90
D       source_glimmer-cism/glimmer_writestats.F90
D       source_glimmer-cism/glimmer_restart_gcm.F90
D       source_glimmer-cism/glint_initialise.F90
D       source_glimmer-cism/glimmer_paramets.F90
D       source_glimmer-cism/glimmer_vers.F90
D       source_glimmer-cism/glide_lithot1d.F90
D       source_glimmer-cism/glimmer_map_CFproj.F90
D       source_glimmer-cism/glide_mask.F90
D       source_glimmer-cism/glint_io.F90
D       source_glimmer-cism/glide_setup.F90
D       source_glimmer-cism/glide_profile.F90
D       source_glimmer-cism/glimmer_map_proj4.F90
D       source_glimmer-cism/glide_types.F90
D       source_glimmer-cism/glide_velo.F90
D       source_glimmer-cism/glimmer_global.F90
D       source_glimmer-cism/glimmer_map_types.F90
D       source_glimmer-cism/glimmer_deriv.F90
D       source_glimmer-cism/glimmer_coordinates.F90
D       source_glimmer-cism/glimmer_ncdf.F90
D       source_glimmer-cism/kelvin.F90
D       source_glimmer-cism/glide_stop.F90
D       source_glimmer-cism/ncdf_utils.F90
D       source_glimmer-cism/glint_example_clim.F90
D       source_glimmer-cism/glimmer_log.F90
D       source_glimmer-cism/glimmer_integrate.F90
D       source_glimmer-cism/glint_precip_param.F90
D       source_glimmer-cism/glint_global_grid.F90
D       source_glimmer-cism/glint_constants.F90
D       source_glimmer-cism/glimmer_sparse.F90
D       source_glimmer-cism/glide_diagnostics.F90
D       source_glimmer-cism/isostasy.F90
D       source_glimmer-cism/glint_global_interp.F90
D       source_glimmer-cism/glint_main.F90
D       source_glimmer-cism/glimmer_config.F90
D       source_glimmer-cism/glimmer_pdd.F90
D       source_glimmer-cism/glint_mpinterp.F90
D       source_glimmer-cism/glint_interp.F90
D       source_glimmer-cism/glide_lithot3d.F90
D       source_glimmer-cism/glimmer_physcon.F90
D       source_glimmer-cism/glimmer_map_trans.F90
D       source_glimmer-cism/profile.F90
D       source_glimmer-cism/glimmer_ncio.F90
D       source_glimmer-cism/glide_lithot.F90
D       source_glimmer-cism/glint_mbal_coupling.F90
D       source_glimmer-cism/glide_io.F90
D       source_glimmer-cism/glint_type.F90
D       source_slap
D       source_slap/dmset.F
D       source_slap/dlaputil.F
D       source_slap/xersla.F
D       source_slap/dcgs.F
D       source_slap/blas.F
D       source_slap/dmvops.F
D       source_slap/mach.F

*** Add xml files giving trilinos options; the correct one (based on resolution)
*** is copied to the run directory
A       bld/trilinosOptions
A       bld/trilinosOptions/trilinosOptions_gland10.xml
A       bld/trilinosOptions/trilinosOptions_gland20.xml
A       bld/trilinosOptions/trilinosOptions_gland5.xml
A       bld/trilinosOptions/trilinosOptions_gland5UM.xml
A       bld/trilinosOptions/README
M       bld/cism.buildnml.csh
M       bld/README

*** New build system for cism2, which includes building a separate glimmer-cism
*** library using a cmake-based build system
M       bld/cism.buildexe.csh

*** Support new config options for cism2, including new xml variables
*** "CISM_PHYS" and "CISM_USE_TRILINOS". Also change a few defaults for cism1:
*** evolution=2 rather than 0, and dt=0.025 rather than 0.1 for 10km (to achieve
*** stability when using evolution=2)
M       bld/build-namelist
M       bld/README.build-namelist
M       bld/namelist_files/namelist_definition_cism.xml
M       bld/namelist_files/namelist_defaults_cism.xml

*** Use new sourceMods directory for glimmer-cism-specific code
*** (src.cism/glimmer-cism)
M       bld/cism.cpl7.template

*** Support operation in a parallel environment
M       mpi/glc_communicate.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_global_grid.F90
M       source_glc/glc_io.F90 --------- also, minor changes for new glimmer-cism
                                        i/o interface
M       drivers/cpl_mct/glc_comp_mct.F90
M       drivers/cpl_esmf/glc_comp_mct.F90
M       drivers/cpl_esmf/glc_comp_esmf.F90
A       README.parallelization

Summary of testing:

------------------------------------------------------------------------
Core testing
------------------------------------------------------------------------

Ran the following from https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp_tags/cism2_bld_tags/cism2_bld_21_cesm1_2_beta01

For each machine, I first give failures, then passes. All of these
failures should be resolved at some point (except the titan failures,
which basically duplicate the hopper failures: no need to rerun titan
tests in the future).

Yellowstone: yellowstone_intel.glc.auxtest & yellowstone_pgi.glc.auxtest

***** Restarts currently are not bfb
FAIL  ERS_Ly20.f09_g16.TG1850.yellowstone_intel
FAIL  ERI_Ly44.f09_g16.TGRCP85.yellowstone_intel
FAIL  ERS_Ly20_E.f09_g16.TG20TR.yellowstone_intel
FAIL  ERS_Ly20_N2_P2.f09_g16_gl10.TG.yellowstone_pgi
***** Hangs in initialization of the last run (the continue run)
***** (similar to the ERS IS2 run that fails on hopper)
RUN   ERI_Ly15.f09_g16_gl10.TG20TRIS2.yellowstone_intel
***** No ESMF library for PGI
CFAIL ERS_Ly20_E.f09_g16.TG20TR.yellowstone_pgi

PASS  SMS_D.f09_g16.TG.yellowstone_intel
PASS  SMS_D_Ly1.f09_g16_gl10.TGIS2.yellowstone_intel
PASS  PEA_P1_M.f09_g16.TG20TR.yellowstone_intel
PASS  PEA_P1_M_Ly2.f09_g16_gl10.TGIS2S.yellowstone_intel
PASS  NCK.f09_g16.TG.yellowstone_intel
PASS  NCK_Ly3.f09_g16_gl10.TGRCP85IS2.yellowstone_intel
PASS  CME_Ly10_N2_P2_D.f09_g16.TG1850.yellowstone_intel
PASS  CME_Ly5.T31_g37.IG.yellowstone_intel
PASS  SMS.f19_f19.FG20TRCN.yellowstone_intel
PASS  SMS_D.T31_g37.BG1850CN.yellowstone_intel
PASS  SMS_Ly3.T31_g37_gl10.IGIS2.yellowstone_intel
PASS  SMS_D.f09_g16_gl10.TG.yellowstone_pgi
PASS  SMS_D.f09_g16.IG20TR.yellowstone_pgi
PASS  ERI.f19_g16.IGRCP85CN.yellowstone_pgi


Hopper: hopper_gnu.glc.auxtest & hopper_pgi.glc.auxtest

***** Hangs in initialization of GLC for the restart run
RUN   ERS_Ly11.f09_g16_gl10.TG1850IS2.hopper_gnu
***** Dies while writing history file: subscript out of range (Dies
***** while trying to write uflx: The problem is that it's trying to
***** write 1:local_ewn, but for uflx, values only go 1:18, since it's
***** on the flux grid. I think this is due to glint using some glide
***** init routines rather than glissade, so nhalo has the wrong
***** value)
FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.hopper_pgi
***** Dies as follows:
***** (shr_mct_sMatReaddnc) reading mapping matrix data decomposed...
***** (shr_mct_sMatReaddnc) * file name                  : idmap
***** (shr_sys_abort) ERROR: (shr_mct_sMatReaddnc)No such file or directory
***** I believe I have fixed this with a drv change, and have tested 
***** SMS.T31_g37_gl10.BGCNIS2.yellowstone_intel, but haven't rerun
***** this exact test
FAIL  SMS_D.T31_g37_gl10.BGCNIS2.hopper_pgi

PASS  SMS_D_Ly1.f09_g16_gl10.TGIS2.hopper_gnu
PASS  SMS.f19_f19_gl10.FGCNIS2.hopper_gnu
PASS  CME_Ly3.f09_g16_gl10.TGRCP85IS2.hopper_pgi



Titan: titan.glc.auxtest:

***** See notes for the similar hopper_pgi test
FAIL  SMS_D_Ly1.f09_g16_gl10.TGIS2.titan_pgi
***** See notes for the similar hopper_gnu test
RUN   ERS_Ly11.f09_g16_gl10.TG1850IS2.titan_pgi
***** See notes for the similar hopper_pgi test
FAIL  SMS_D.T31_g37_gl10.BGCNIS2.titan_pgi

PASS  CME_Ly3.f09_g16_gl10.TGRCP85IS2.titan_pgi
PASS  SMS.f19_f19_gl10.FGCNIS2.titan_pgi



------------------------------------------------------------------------
Additional CISM1 testing on multiple machines/compilers
------------------------------------------------------------------------

Ran the following test list:
[SMS_Ly5 test is just in case the CME test fails because of lack of an esmf library]
[B is to test a NON-GLC compset, to make sure I haven't broken that]

SMS_D_Ly2.f09_g16.TGIS1
SMS_D.f09_g16.IG20TRIS1
SMS_Ly5.f09_g16_gl10.TG1850IS1
CME_Ly5.f09_g16_gl10.TG1850IS1
SMS.T31_g37.B

on the following machines & compilers:

- hopper
  - pgi
- frankfurt
  - intel
  - pgi
- yellowstone
  - pgi
  - intel
  - gnu
- titan
  - pgi
- intrepid
  - ibm

(I did NOT run on Janus, assuming it's close enough to
yellowstone. However, I DID test a TG build on Janus)

In general, used: https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp_tags/cism2_bld_tags/cism2_bld_17_cesm1_2_beta01
(on yellowstone, used the following for the B compset test; this updates POP: 
https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp_tags/cism2_bld_tags/cism2_bld_18_cesm1_2_beta01)
(on yellowstone, used the following for the gnu tests:
https://svn-ccsm-models.cgd.ucar.edu/cesm1/exp_tags/cism2_bld_tags/cism2_bld_19_cesm1_2_beta01)

IMPORTANT TEST FAILURES (I want to resolve these at some point):

FAIL  SMS_D_Ly2.f09_g16.TGIS1.frankfurt_intel
FAIL  SMS_Ly5.f09_g16_gl10.TG1850IS1.frankfurt_intel

UNIMPORTANT TEST FAILURES:

***** I think these are just because there are no ESMF libraries for these machines/compilers:
CFAIL CME_Ly5.f09_g16_gl10.TG1850IS1.frankfurt_intel
CFAIL CME_Ly5.f09_g16_gl10.TG1850IS1.frankfurt_pgi
CFAIL CME_Ly5.f09_g16_gl10.TG1850IS1.yellowstone_pgi
CFAIL CME_Ly5.f09_g16_gl10.TG1850IS1.yellowstone_gnu
CFAIL CME_Ly5.f09_g16_gl10.TG1850IS1.intrepid_ibm

***** Dies in lnd init. Sheri says no I compsets are being tested on
***** intrepid, so I'm not going to worry about this. The following
***** two additional tests passed on intrepid:
***** ERS.f09_f09.FG1850CN.intrepid_ibm and ERS_Ld7.f09_g16.BGRCP26CN
FAIL  SMS_D.f09_g16.IG20TRIS1.intrepid_ibm

***** Also, Sheri said that she could only get glc to build if she set
***** NTHRDS_GLC=1 (weird!) -- otherwise xlf hung while compiling
***** glide_thck.F90. For now I have changed the PE layouts to set
***** NTHRDS_GLC=1 by default on intrepid, as a workaround.


------------------------------------------------------------------------

Externals used for testing: See above

cism tag used for baseline comparisons: N/A -- no baseline comparisons done,
because big answer changes were expected (at some point, once some bugs are
fixed, we should probably do baseline comparisons against cism1_121114 to
confirm that cism1 compsets give [nearly] identical answers)

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Nov 14, 2012
Model: cism
Version: cism1_121114
One-line summary: remove docs folder

Purpose of changes:

Remove duplicated docs folder. Instead, see
https://svn-cism-model.cgd.ucar.edu/docs

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

D       doc
D       doc/CESM_ice_sheets_documentation.pdf
D       doc/glimmer_doc.pdf
D       doc/README

Summary of testing: NONE

- bluefire.glc.auxtest: main test results: NOT DONE
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: NOT DONE

- Other tests: N/A

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: jwolfe
Date: Nov 13, 2012
Model: cism
Version: cism1_121113
One-line summary: Add parallel support in source_glc code

Purpose of changes:

In preparation for bringing cism2 in, some modifications were needed
in source_glc so that this interface layer could operate in a parallel
environment.

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

A       mpi/glc_broadcast.F90
M       source_glc/glc_InitMod.F90
M       source_glc/glc_global_grid.F90
M       source_glc/glc_io.F90
M       source_glc/glc_time_management.F90

Summary of testing: (Testing done by Bill Sacks)

- bluefire.glc.auxtest: main test results: All PASS

  Note: I made a mistake in running the baseline comparisons, so ran
  them after the fact with component_gen_comp -model cpl
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: All PASS

- Other tests: Jon Wolfe ran some tests specific to the new
  functionality

Externals used for testing: cesm1_1_beta18

cism tag used for baseline comparisons: cism1_121012

Any other externals that differed in baseline: None

================================================================================
Originator: sacks
Date: Nov 6, 2012
Model: cism
Version: cism1_121106a
One-line summary: Change name of documentation file

Purpose of changes:

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

A  +    doc/CESM_ice_sheets_documentation.pdf
D       doc/cism_doc.pdf
M       doc/README

Summary of testing: NONE

- bluefire.glc.auxtest: main test results: NOT DONE
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: NOT DONE

- Other tests: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Nov 6, 2012
Model: cism
Version: cism1_121106
One-line summary: Update documentation

Purpose of changes:

Update documentation for CESM1.1 release

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Add the CISM documentation to the repository
A       doc/cism_doc.pdf

*** Update to version 1.5.1 (rather than 1.0.0)
M       doc/glimmer_doc.pdf

*** Update notes about what's included in the doc directory
M       doc/README

*** Add notes about how to add a new optional section in cism.config
M       bld/README.build-namelist

Summary of testing: NONE (JUST CHANGED DOCUMENTATION)

- bluefire.glc.auxtest: main test results: NOT DONE
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: NOT DONE

- Other tests: NONE

Externals used for testing: N/A

cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: sacks
Date: Oct 12, 2012
Model: cism
Version: cism1_121012
One-line summary: add namelist documentation, validation of dt,
                  add/remove namelist items

Purpose of changes:

Main purpose is adding namelist documentation. Also added validation of dt in
build-namelist (can't add this through simple valid_values).

Also added / removed a few namelist parameters: Add scale_factor in cism.config:
projection section. Removed namelist parameters which seem not to be used
anywhere: isostasy, sliding_law, stress_calc, isos_time

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Add lots of documentation & valid_values; 
*** add scale_factor namelist parameter;
*** remove isostasy, sliding_law, stress_calc, isos_time;
*** change standard_parallel to length-2 array
*** change categories for html documentation
M       bld/namelist_files/namelist_definition_cism.xml

*** Add validation of dt; remove isostasy, sliding_law, stress_calc, isos_time
M       bld/build-namelist

*** remove isostasy, sliding_law, stress_calc, isos_time
M       bld/namelist_files/namelist_defaults_cism.xml

*** Mostly unrelated: Add documentation
M       bld/README.build-namelist

*** Update ChangeLog entry for cism1_121009: document some more careful
*** checks of the reasons for differences from baseline
M       ChangeLog

Summary of testing:

- bluefire.glc.auxtest: main test results: All PASS except:

(Ignoring failures in NLComp & tputcomp)

***** Test not run in baseline case (this test was deleted in a recent scripts tag)
BFAIL ERS_Ly20_E.f09_g16_gl10.TG20TR.bluefire_ibm.C.161152.compare_hist.cesm1_1_alpha18h_cism_smallerDT 

***** Diffs just in x2a dust fluxes, due to externals change compared to baseline
FAIL  SMS.f19_f19.FG20TRCN.bluefire_ibm.GC.063931.compare_hist.cesm1_1_alpha18f_scripts4_121008_clm_newGlacierData2_dlnd_121001_cism_changeTimeToDouble 
FAIL  SMS_D.T31_g37.BG1850CN.bluefire_ibm.GC.063931.compare_hist.cesm1_1_alpha18f_scripts4_121008_clm_newGlacierData2_dlnd_121001_cism_changeTimeToDouble 

So none of these failures are worrisome
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: All PASS except:

***** Test not run in baseline case (this test was deleted in a recent scripts tag)
BFAIL ERS_Ly20_E.f09_g16_gl10.TG20TR.bluefire_ibm.compare_hist.cesm1_1_alpha18h_cism_smallerDT.cism (baseline directory does not exist)


- Other tests:

  - out-of-the-box TG compset cism_in & cism.config identical to old
    case, except for the 4 removed parameters (and runid in cism_in)

Externals used for testing:

https://svn-ccsm-models.cgd.ucar.edu/cesm1/tags/cesm1_1_alpha18g except:

    scripts                         https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_121008

    models/lnd/clm                  https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_0_54/models/lnd/clm

cism tag used for baseline comparisons: cism1_121009 for most tests;
cism1_121010 for _gl10 tests

Any other externals that differed in baseline: MANY! (used baselines generated
from cism1_121009 and cism1_121010, using externals as listed below)

================================================================================
Originator: sacks
Date: Oct 10, 2012
Model: cism
Version: cism1_121010
One-line summary: Decrease dt for resolutions other than gland5UM

Purpose of changes:

I found that temperature was blowing up for out-of-the-box gland10
cases, ever since the cism1_121001 tag. Jeremy Fyke & Bill Lipscomb
suggested fixing this by decreasing dt to 0.1.

I am decreasing dt to 0.1 for gland10 & gland20, and to 0.05 for
gland5 (same as what is already the case for gland5UM).

Changes answers relative to previous tag: YES, for gland10, gland20
and gland5 (but not gland5UM)

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Change defaults for dt & ndiag
M       bld/namelist_files/namelist_defaults_cism.xml

*** Update ChangeLog entry for cism1_121009: document additional testing
M       ChangeLog


Summary of testing:

- bluefire.glc.auxtest: main test results: NOT DONE
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: NOT DONE

- Other tests:

Ran the single test from the bluefire.glc.auxtest list that tests a
resolution other than gland5UM:

PASS  ERS_Ly20_N2_P2.f09_g16_gl10.TG.bluefire_ibm.G.132320 

Also, ran 300-year tests with TG compset, GLC_GRID=gland10 or
gland20. Jeremy Fyke confirmed that temperature and other values look
reasonable.


Externals used for testing:

    scripts                         https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_121009b

    scripts/ccsm_utils/Machines     https://svn-ccsm-models.cgd.ucar.edu/Machines/trunk_tags/Machines_121009

    mapping             			https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_120929

    models/drv                      https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq4_2_07

    models/csm_share                https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_121003

    models/atm/cam                  https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_1_44/models/atm/cam
    models/atm/wrf                  https://svn-ccsm-models.cgd.ucar.edu/wrf/trunk_tags/wrf32_ccsm120726

    models/lnd/clm                  https://svn-ccsm-models.cgd.ucar.edu/clm2/trunk_tags/clm4_0_54/models/lnd/clm

    models/rof/rtm                  https://svn-ccsm-models.cgd.ucar.edu/rivrtm/trunk_tags/rtm1_0_08

    models/ice/cice                 https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20120927

    models/glc/cism                 https://svn-ccsm-models.cgd.ucar.edu/glc/trunk

    models/ocn/pop2                 https://svn-ccsm-models.cgd.ucar.edu/pop2/trunk_tags/cesm_pop_2_1_20120927

    models/atm/datm                 https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_121008
    models/lnd/dlnd                 https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_121001
    models/rof/drof                 https://svn-ccsm-models.cgd.ucar.edu/drof/trunk_tags/drof8_120924
    models/ice/dice                 https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_120925
    models/ocn/docn                 https://svn-ccsm-models.cgd.ucar.edu/docn7/trunk_tags/docn8_120921

    models/atm/xatm                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xatm
    models/lnd/xlnd                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xlnd
    models/rof/xrof                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xrof
    models/ice/xice                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xice
    models/ocn/xocn                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xocn
    models/glc/xglc                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xglc
    models/dead_share               https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/dead_share

    models/atm/satm                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/satm
    models/lnd/slnd                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/slnd
    models/rof/srof                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/srof
    models/ice/sice                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sice
    models/ocn/socn                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/socn
    models/glc/sglc                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sglc

    models/utils/timing             https://svn-ccsm-models.cgd.ucar.edu/timing/trunk_tags/timing_120731
    models/utils/esmf_wrf_timemgr   https://svn-ccsm-models.cgd.ucar.edu/esmf_wrf_timemgr/trunk_tags/esmf_wrf_timemgr_120427

    models/utils/mct                https://github.com/MCSclimate/MCT/tags/MCT_2.8.2

    models/utils/pio                http://parallelio.googlecode.com/svn/trunk_tags/pio1_5_4/pio



cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: lipscomb / sacks
Date: Oct 9, 2012
Model: cism
Version: cism1_121009
One-line summary: Change time to double precision to fix restart problem

Purpose of changes:

Starting with cism1_121001, some ERS tests were failing. Bill Lipscomb
traced this to the mixture of single and double precision variables
(and in one case an integer!) that are used to track time: a double
precision time variable was being converted to single precision before
being written to the restart file.

We have changed these to be double precision universally. Note that
this just refers to the time variables that are specified as
fractional years: time variables that give number of hours are still
integers.

Also: Fix GetValueDouble to read in value as double precision

Note that Bill L has also implemented these fixes in the seacism
branch of cism2.

Changes answers relative to previous tag: YES

    I expected answer changes on the order of single precision
    roundoff. However, the actual answer changes are larger than that for
    select grid cells (cprnc's worst decimal digits between 1 and 2 for
    some variables). I suspect this is just due to non-linear feedbacks in
    the system, but haven't confirmed that; I am doing more investigation
    of this, but needed to make this tag before that investigation is
    complete. 

        - update 10-12-12: diffs in first year are less, then diffs
          increase. From looking quickly at maps of diffs in first year,
          I'm not too concerned about this - I can believe that these diffs
          are really due to single vs double precision, with initial small
          differences expanding over time due to feedbacks in the system.

    Also, there are differences in a gland10 run, too; I did not expect
    these differences, since dt=1 there. This is also undergoing additional
    investigation.

        - update 10-11-12: note that geothermal heat flux is now read as
          double rather than single precision. That could be the
          explanation. Another explanation could be that time is used in
          calculations that are now done in double rather than single
          precision. I'm not too concerned because diffs in first year are
          very small.

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Main changes: change time variables to double precision
M       source_glc/glc_io.F90
M       source_glimmer-cism/glide_thck.F90
M       source_glimmer-cism/glide_lithot_io.F90
M       source_glimmer-cism/glint_mbal_io.F90
M       source_glimmer-cism/glimmer_ncparams.F90
M       source_glimmer-cism/glint_io.F90
M       source_glimmer-cism/glide_diagnostics.F90
M       source_glimmer-cism/glimmer_ncio.F90
M       source_glimmer-cism/glide_io.F90
M       source_glimmer-cism/glint_type.F90
M       source_glimmer-cism/glimmer_ncdf.F90
        - includes change of an integer to double
M       source_glimmer-cism/glide.F90
        - also change unit 6 to stdout, changed some diagnostic output
M       source_glimmer-cism/glide_types.F90
        - also change defaults for tend, tinc
        - also fix typo in comment
M       source_glimmer-cism/glint_main.F90
        - also add some diagnostic output
        - also change diagnostic output to write model%numerics%time rather
          than the local 'time' variable -- latter contains the time at the
          start of the glint timestep, which can be up to a year behind
M       source_glimmer-cism/glint_timestep.F90
        - also add diagnostic output

*** Fix GetValueDouble to read in value as double precision
M       source_glimmer-cism/glimmer_config.F90

*** Unrelated change: add a comment
M       bld/namelist_files/namelist_defaults_cism.xml


Summary of testing:

- bluefire.glc.auxtest: main test results: All PASS except:

(Not listing failures in NLComp [which I don't think is working right] or
tputcomp)

FAIL  SMS_D.f09_g16.TG.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
FAIL  PEA_P1.f09_g16.TG20TR.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
BFAIL ERS_Ly20.f09_g16.TG1850.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
FAIL  ERI_Ly44.f09_g16.TGRCP85.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
FAIL  ERS_Ly20_N2_P2.f09_g16_gl10.TG.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
FAIL  NCK_P2.f09_g16.TG.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
FAIL  CME_Ly10_N2_P2_D.f09_g16.TG1850.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
BFAIL ERS_Ly20_E.f09_g16.TG20TR.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
FAIL  ERS_Ly20_E.f09_g16_gl10.TG20TR.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
FAIL  CME_Ly5_PL.T31_g37.IG.bluefire_ibm.GC.123515.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 

These are all failures in history comparisons, which are expected.

Note that the previously-failing ERS tests are now passing.
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: All PASS except:

FAIL  CME_Ly10_N2_P2_D.f09_g16.TG1850.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  CME_Ly5_PL.T31_g37.IG.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  ERI_Ly44.f09_g16.TGRCP85.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  ERS_Ly20.f09_g16.TG1850.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  ERS_Ly20_E.f09_g16.TG20TR.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  ERS_Ly20_E.f09_g16_gl10.TG20TR.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  ERS_Ly20_N2_P2.f09_g16_gl10.TG.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  NCK_P2.f09_g16.TG.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  PEA_P1.f09_g16.TG20TR.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 
FAIL  SMS_D.f09_g16.TG.bluefire_ibm.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002.cism 

These are all expected failures, except I did not expect failures in the two
gl10 comparisons. I am investigating this further.

- Other tests:

Note: these two tests below used a user_nl_dir, which set cism's dt=0.05:
ERS_D_Ly20.f09_g16_gl10.TG1850.bluefire_ibm
ERI_D_Ly44.f09_g16_gl10.TGRCP85.bluefire_ibm

PASS  ERS_D_Ly200.f09_g16_gl10.TG1850.bluefire_ibm.134929 
PASS  ERS_Ly100.f09_g16.TG.bluefire_ibm.204752 
PASS  ERS_D_Ly20.f09_g16_gl10.TG1850.bluefire_ibm.204752 
PASS  ERI_D_Ly44.f09_g16_gl10.TGRCP85.bluefire_ibm.204752 
PASS  ERI_D_Ly220.f09_g16_gl10.TGRCP85.bluefire_ibm.204752 

Externals used for testing:

    scripts                         https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_121008

    scripts/ccsm_utils/Machines     https://svn-ccsm-models.cgd.ucar.edu/Machines/trunk_tags/Machines_120921

    mapping             			https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_120816

    models/drv                      https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq4_2_02

    models/csm_share                https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_120918

    models/atm/cam                  https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_1_42/models/atm/cam
    models/atm/wrf                  https://svn-ccsm-models.cgd.ucar.edu/wrf/trunk_tags/wrf32_ccsm120726

    models/lnd/clm                  https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/new_glacier_data2_tags/new_glacier_data2_06_clm4_0_52/models/lnd/clm

    models/rof/rtm                  https://svn-ccsm-models.cgd.ucar.edu/rivrtm/trunk_tags/rtm1_0_08

    models/ice/cice                 https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20120927

    models/glc/cism                 https://svn-ccsm-models.cgd.ucar.edu/glc/branches/change_time_to_double

    models/ocn/pop2                 https://svn-ccsm-models.cgd.ucar.edu/pop2/trunk_tags/cesm_pop_2_1_20120927

    models/atm/datm                 https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_120925b
    models/lnd/dlnd                 https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_121001
    models/rof/drof                 https://svn-ccsm-models.cgd.ucar.edu/drof/trunk_tags/drof8_120924
    models/ice/dice                 https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_120925
    models/ocn/docn                 https://svn-ccsm-models.cgd.ucar.edu/docn7/trunk_tags/docn8_120921

    models/atm/xatm                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xatm
    models/lnd/xlnd                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xlnd
    models/rof/xrof                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xrof
    models/ice/xice                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xice
    models/ocn/xocn                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xocn
    models/glc/xglc                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xglc
    models/dead_share               https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/dead_share

    models/atm/satm                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/satm
    models/lnd/slnd                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/slnd
    models/rof/srof                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/srof
    models/ice/sice                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sice
    models/ocn/socn                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/socn
    models/glc/sglc                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sglc

    models/utils/timing             https://svn-ccsm-models.cgd.ucar.edu/timing/trunk_tags/timing_120731
    models/utils/esmf_wrf_timemgr   https://svn-ccsm-models.cgd.ucar.edu/esmf_wrf_timemgr/trunk_tags/esmf_wrf_timemgr_120427

    models/utils/mct                https://github.com/MCSclimate/MCT/tags/MCT_2.8.2

    models/utils/pio                http://parallelio.googlecode.com/svn/trunk_tags/pio1_5_4/pio


cism tag used for baseline comparisons: cism1_121002

Any other externals that differed in baseline:
- scripts4_120930
- dlnd8_120918

================================================================================
Originator: sacks
Date: Oct 8, 2012
Model: cism
Version: cism1_121008
One-line summary: add some namelist items, remove others

Purpose of changes:

Add some namelist items to namelist_definition_cism that users may want to
change. Remove some items that should not be changed.

Requires some new functionality in build-namelist to only create a section
in cism.config under certain conditions.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

Summary of testing:

- bluefire.glc.auxtest: main test results: NOT DONE
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: NOT DONE

- shortlist.glc.auxtest on bluefire: main test results: All PASS except:

FAIL  ERS_Ly20.f09_g16.TG1850.bluefire_ibm.C.165451 
BFAIL ERS_Ly20.f09_g16.TG1850.bluefire_ibm.C.165451.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 

These are expected failures based on cism1_121002 test results

- shortlist.glc.auxtest: results of component_gen_comp -model cism: All PASS

- Other tests:

  - Confirmed that build-namelist gives error when trying to define
    variables in gthf section, without setting do_gthf to .true.; same for
    isostasy section; same for elastic lithosphere section, but this keys
    off of lithosphere==1

  - Confirmed that GTHF section isn't output when do_gthf is not set to
    .true.; same for isostasy section; same for elastic lithosphere
    section, but this keys off of lithosphere==1

  - With empty user_nl_cism, gives identical cism.config to that in
    cism1_121002.

  - Added all new parameters to user_nl_cism, with values different from
    their defaults (along with do_gthf=.true., do_isostasy=.true.)
    - Checked cism.config: made sure each appears in the right section
    - Ran model, checked output to make sure they are all read in correctly

    Note: this job died with the error:

      * FATAL ERROR : (/glade/proj3/cseg/people/sacks/cesm_code/cesm1_1_alpha18f_newCISM/models/glc/cism/source_glimmer-cism/glide_nc_custom.F90:1
29) NetCDF: Start+count exceeds dimension bound

    I have filed a bug report about this (1560); I am not going to worry
    about this for now.

Externals used for testing: 

NOTE: perl5lib updated to include my new get_defined_vars_in_group function
-- similar, but not identical, to the perl5lib tag I made 10-8-2012

    scripts                         https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_120930

    scripts/ccsm_utils/Machines     https://svn-ccsm-models.cgd.ucar.edu/Machines/trunk_tags/Machines_120921

    mapping             			https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_120816

    models/drv                      https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq4_2_02

    models/csm_share                https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_120918

    models/atm/cam                  https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_1_42/models/atm/cam
    models/atm/wrf                  https://svn-ccsm-models.cgd.ucar.edu/wrf/trunk_tags/wrf32_ccsm120726

    models/lnd/clm                  https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/new_glacier_data2_tags/new_glacier_data2_06_clm4_0_52/models/lnd/clm

    models/rof/rtm                  https://svn-ccsm-models.cgd.ucar.edu/rivrtm/trunk_tags/rtm1_0_08

    models/ice/cice                 https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20120927

    models/glc/cism                 https://svn-ccsm-models.cgd.ucar.edu/glc/trunk

    models/ocn/pop2                 https://svn-ccsm-models.cgd.ucar.edu/pop2/trunk_tags/cesm_pop_2_1_20120927

    models/atm/datm                 https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_120925b
    models/lnd/dlnd                 https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_120918
    models/rof/drof                 https://svn-ccsm-models.cgd.ucar.edu/drof/trunk_tags/drof8_120924
    models/ice/dice                 https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_120925
    models/ocn/docn                 https://svn-ccsm-models.cgd.ucar.edu/docn7/trunk_tags/docn8_120921

    models/atm/xatm                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xatm
    models/lnd/xlnd                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xlnd
    models/rof/xrof                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xrof
    models/ice/xice                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xice
    models/ocn/xocn                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xocn
    models/glc/xglc                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xglc
    models/dead_share               https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/dead_share

    models/atm/satm                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/satm
    models/lnd/slnd                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/slnd
    models/rof/srof                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/srof
    models/ice/sice                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sice
    models/ocn/socn                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/socn
    models/glc/sglc                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sglc

    models/utils/timing             https://svn-ccsm-models.cgd.ucar.edu/timing/trunk_tags/timing_120731
    models/utils/esmf_wrf_timemgr   https://svn-ccsm-models.cgd.ucar.edu/esmf_wrf_timemgr/trunk_tags/esmf_wrf_timemgr_120427

    models/utils/mct                https://github.com/MCSclimate/MCT/tags/MCT_2.8.2

    models/utils/pio                http://parallelio.googlecode.com/svn/trunk_tags/pio1_5_4/pio



cism tag used for baseline comparisons: cism1_121002

Any other externals that differed in baseline: None (except unchanged perl5lib)

================================================================================
Originator: sacks
Date: Oct 2, 2012
Model: cism
Version: cism1_121002
One-line summary: add some namelist variables, fix others

Purpose of changes:

Change idiag and jdiag into config parameters rather than hard-coded,
following what is done in the seacism branch.

Add some optional config options that were missing from
namelist_definition_cism.xml (found by searching for GetValue calls in
cism).

Remove niso (unused).

Make ntem & nvel integers

Make ndiag 20 for gland5UM

Change basal_tract from real(10) to real(5)

Fix categories in namelist_definition_cism, for documentation
purposes.

Changes answers relative to previous tag: NO

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Remove hard-coded idiag, jdiag; instead use values set in config file
M       source_glimmer-cism/glimmer_paramets.F90
M       source_glimmer-cism/glide_setup.F90
M       source_glimmer-cism/glide_types.F90
M       source_glimmer-cism/glint_main.F90

*** Changes to namelist variables as documented above
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cism.xml
M       bld/namelist_files/namelist_definition_cism.xml

*** Fix documentation of categories
M       bld/README.build-namelist


Summary of testing:

- bluefire.glc.auxtest: main test results: All PASS except:

These were all expected failures based on previous tag:
FAIL  ERS_Ly20.f09_g16.TG1850.bluefire_ibm.GC.233417 
BFAIL ERS_Ly20.f09_g16.TG1850.bluefire_ibm.GC.233417.generate.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
BFAIL ERS_Ly20.f09_g16.TG1850.bluefire_ibm.GC.233417.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 
FAIL  ERS_Ly20_E.f09_g16.TG20TR.bluefire_ibm.GC.233417 
BFAIL ERS_Ly20_E.f09_g16.TG20TR.bluefire_ibm.GC.233417.generate.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_121002 
BFAIL ERS_Ly20_E.f09_g16.TG20TR.bluefire_ibm.GC.233417.compare_hist.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 

tputcomp failures:
FAIL  SMS_D.f09_g16.TG.bluefire_ibm.GC.233417.tputcomp.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 
COMMENT   tput_decr = 71.718 tput_percent_decr = 21.9
FAIL  ERS_Ly20_N2_P2.f09_g16_gl10.TG.bluefire_ibm.GC.233417.tputcomp.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 
COMMENT   tput_decr = 7477.653 tput_percent_decr = 55.8
FAIL  ERS_Ly20_E.f09_g16_gl10.TG20TR.bluefire_ibm.GC.233417.tputcomp.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 
COMMENT   tput_decr = 983.18499 tput_percent_decr = 13.1

NLComp failures; as far as I can tell, this is an error in the test script:
FAIL  SMS_D.f09_g16.TG.bluefire_ibm.GC.233417.NLComp.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 
FAIL  ERS_Ly20_N2_P2.f09_g16_gl10.TG.bluefire_ibm.GC.233417.NLComp.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 
FAIL  ERS_Ly20_E.f09_g16_gl10.TG20TR.bluefire_ibm.GC.233417.NLComp.cesm1_1_alpha18f_scripts4_120930_clm_newGlacierData2_cism1_120930 
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: All PASS

- Other tests:

  - added newly-added config options to user_nl_cism, confirmed that they
    appeared in correct place in cism.config, and that at least some of
    them were read properly by cism

  - confirmed that diagnostic output is done at the desired coordinates,
    based on new idiag & jdiag

Externals used for testing:

    scripts                         https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_120930

    scripts/ccsm_utils/Machines     https://svn-ccsm-models.cgd.ucar.edu/Machines/trunk_tags/Machines_120921

    mapping             			https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_120816

    models/drv                      https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq4_2_02

    models/csm_share                https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_120918

    models/atm/cam                  https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_1_42/models/atm/cam
    models/atm/wrf                  https://svn-ccsm-models.cgd.ucar.edu/wrf/trunk_tags/wrf32_ccsm120726

    models/lnd/clm                  https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/new_glacier_data2_tags/new_glacier_data2_06_clm4_0_52/models/lnd/clm

    models/rof/rtm                  https://svn-ccsm-models.cgd.ucar.edu/rivrtm/trunk_tags/rtm1_0_08

    models/ice/cice                 https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20120927

    models/glc/cism                 https://svn-ccsm-models.cgd.ucar.edu/glc/trunk

    models/ocn/pop2                 https://svn-ccsm-models.cgd.ucar.edu/pop2/trunk_tags/cesm_pop_2_1_20120927

    models/atm/datm                 https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_120925b
    models/lnd/dlnd                 https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_120918
    models/rof/drof                 https://svn-ccsm-models.cgd.ucar.edu/drof/trunk_tags/drof8_120924
    models/ice/dice                 https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_120925
    models/ocn/docn                 https://svn-ccsm-models.cgd.ucar.edu/docn7/trunk_tags/docn8_120921

    models/atm/xatm                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xatm
    models/lnd/xlnd                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xlnd
    models/rof/xrof                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xrof
    models/ice/xice                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xice
    models/ocn/xocn                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xocn
    models/glc/xglc                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xglc
    models/dead_share               https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/dead_share

    models/atm/satm                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/satm
    models/lnd/slnd                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/slnd
    models/rof/srof                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/srof
    models/ice/sice                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sice
    models/ocn/socn                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/socn
    models/glc/sglc                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sglc

    models/utils/timing             https://svn-ccsm-models.cgd.ucar.edu/timing/trunk_tags/timing_120731
    models/utils/esmf_wrf_timemgr   https://svn-ccsm-models.cgd.ucar.edu/esmf_wrf_timemgr/trunk_tags/esmf_wrf_timemgr_120427

    models/utils/mct                https://github.com/MCSclimate/MCT/tags/MCT_2.8.2

    models/utils/pio                http://parallelio.googlecode.com/svn/trunk_tags/pio1_5_4/pio


cism tag used for baseline comparisons: cism1_121001

Any other externals that differed in baseline: None

================================================================================
Originator: sacks
Date: Oct 1, 2012
Model: cism
Version: cism1_121001
One-line summary: change parameter defaults

Purpose of changes:

Change some parameters to give better results, based on suggestions from
Jeremy Fyke and Bill Lipscomb:

- sigma_levels: focus resolution at the bottom

- flow_law = 0

- ntem=nvel=niso=1, because we realized these are multipliers, and values <
  1 don't make sense

Changes answers relative to previous tag: YES!

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

*** Change parameters
M       bld/namelist_files/namelist_defaults_cism.xml

*** Document that ntemp, nvel & niso are multipliers
M       bld/namelist_files/namelist_definition_cism.xml


Summary of testing:

Note: baseline comparisons not done: I know this changes answers substantially

- bluefire.glc.auxtest: main test results:

All pass except the following:

FAIL  ERS_Ly20.f09_g16.TG1850.bluefire_ibm.G.140709 
BFAIL ERS_Ly20.f09_g16.TG1850.bluefire_ibm.G.140709.generate.cesm1_1_alpha18f_scripts4_120930_cism1_120930 
FAIL  ERS_Ly20_E.f09_g16.TG20TR.bluefire_ibm.G.140709 
BFAIL ERS_Ly20_E.f09_g16.TG20TR.bluefire_ibm.G.140709.generate.cesm1_1_alpha18f_scripts4_120930_cism1_120930 
  
These failures reveal an old problem which has just come to the surface:
under certain circumstatnces, cism isn't restarting exactly. The problem is
in the temp field, and this only affects the cpl fields once we set
flow_law=0. With flow_law=1 (the old default), there is still a problem,
but it is only apparent in the cism history files, so doesn't trigger a
failure in the ERS test. I confirmed that the same problem existed in
cism1_110418, if you set parameters appropriately (in particular: gland5UM
with evolution=0, dt=0.05).

- bluefire.glc.auxtest: results of component_gen_comp -model cism:

(Just did -generate, not -compare; all PASS)

- Other tests:

Externals used for testing:

    scripts                         https://svn-ccsm-models.cgd.ucar.edu/scripts/trunk_tags/scripts4_120930

    scripts/ccsm_utils/Machines     https://svn-ccsm-models.cgd.ucar.edu/Machines/trunk_tags/Machines_120921

    mapping             			https://svn-ccsm-models.cgd.ucar.edu/tools/mapping/trunk_tags/mapping_120816

    models/drv                      https://svn-ccsm-models.cgd.ucar.edu/drv/seq_mct/trunk_tags/drvseq4_2_02

    models/csm_share                https://svn-ccsm-models.cgd.ucar.edu/csm_share/trunk_tags/share3_120918

    models/atm/cam                  https://svn-ccsm-models.cgd.ucar.edu/cam1/trunk_tags/cam5_1_42/models/atm/cam
    models/atm/wrf                  https://svn-ccsm-models.cgd.ucar.edu/wrf/trunk_tags/wrf32_ccsm120726

    models/lnd/clm                  https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/new_glacier_data2_tags/new_glacier_data2_06_clm4_0_52/models/lnd/clm

    models/rof/rtm                  https://svn-ccsm-models.cgd.ucar.edu/rivrtm/trunk_tags/rtm1_0_08

    models/ice/cice                 https://svn-ccsm-models.cgd.ucar.edu/cice/trunk_tags/cice4_0_20120927

    models/glc/cism                 https://svn-ccsm-models.cgd.ucar.edu/glc/trunk

    models/ocn/pop2                 https://svn-ccsm-models.cgd.ucar.edu/pop2/trunk_tags/cesm_pop_2_1_20120927

    models/atm/datm                 https://svn-ccsm-models.cgd.ucar.edu/datm7/trunk_tags/datm8_120925b
    models/lnd/dlnd                 https://svn-ccsm-models.cgd.ucar.edu/dlnd7/trunk_tags/dlnd8_120918
    models/rof/drof                 https://svn-ccsm-models.cgd.ucar.edu/drof/trunk_tags/drof8_120924
    models/ice/dice                 https://svn-ccsm-models.cgd.ucar.edu/dice7/trunk_tags/dice8_120925
    models/ocn/docn                 https://svn-ccsm-models.cgd.ucar.edu/docn7/trunk_tags/docn8_120921

    models/atm/xatm                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xatm
    models/lnd/xlnd                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xlnd
    models/rof/xrof                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xrof
    models/ice/xice                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xice
    models/ocn/xocn                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xocn
    models/glc/xglc                 https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/xglc
    models/dead_share               https://svn-ccsm-models.cgd.ucar.edu/dead7/trunk_tags/dead7_7_04/dead_share

    models/atm/satm                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/satm
    models/lnd/slnd                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/slnd
    models/rof/srof                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/srof
    models/ice/sice                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sice
    models/ocn/socn                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/socn
    models/glc/sglc                 https://svn-ccsm-models.cgd.ucar.edu/stubs/trunk_tags/stubs1_4_01/sglc

    models/utils/timing             https://svn-ccsm-models.cgd.ucar.edu/timing/trunk_tags/timing_120731
    models/utils/esmf_wrf_timemgr   https://svn-ccsm-models.cgd.ucar.edu/esmf_wrf_timemgr/trunk_tags/esmf_wrf_timemgr_120427

    models/utils/mct                https://github.com/MCSclimate/MCT/tags/MCT_2.8.2

    models/utils/pio                http://parallelio.googlecode.com/svn/trunk_tags/pio1_5_4/pio


cism tag used for baseline comparisons: N/A

Any other externals that differed in baseline: N/A

================================================================================
Originator: mvertens, tcraig
Date: Sept 21, 2012
Model: cism
Version: cism1_120921
One-line summary: add esmf interface

Purpose of changes: Add esmf interface

Changes answers relative to previous tag: No

Bugs fixed (include bugzilla ID) (http://bugs.cgd.ucar.edu/):

List all modified files, and describe the changes:

M       bld/cism.buildexe.csh
A       drivers/cpl_esmf/glc_comp_mct.F90
A       drivers/cpl_esmf/glc_comp_esmf.F90

Summary of testing:

(testing performed by Bill Sacks)

*** Full test suite NOT run: Since the changes were isolated to the
*** esmf interface, the full test suite seemed unnecessary

- bluefire.glc.auxtest: main test results: NOT DONE
  
- bluefire.glc.auxtest: results of component_gen_comp -model cism: NOT DONE

- Other tests:

PASS  CME10y.f09_g16.TG1850.bluefire_ibm 
PASS  CME10y_N2_P2_D.f09_g16.TG1850.bluefire_ibm 
PASS  CME10y_N2_P2.f09_g16.TG1850.bluefire_ibm 
PASS  ERS20y_E.f09_g16.TG20TR.bluefire_ibm 
PASS  ERS20y_E.f09_g16.TG20TR.bluefire_ibm.memleak
PASS  CME5y_PL.T31_g37.IG.bluefire_ibm 
PASS  SMS_D.f09_g16.BGRCP45CN.bluefire_ibm 
PASS  SMS_D.f09_g16.BGRCP45CN.bluefire_ibm.memleak
PASS  SMS_DE.f09_g16.BGRCP45CN.bluefire_ibm 
PASS  SMS_DE.f09_g16.BGRCP45CN.bluefire_ibm.memleak
PASS  NCK_E.T31_g37.BG1850CN.bluefire_ibm 

Ran shortlist.glc.auxtest, with comparison to cesm1_1_alpha18a:

PASS  SMS_D.f09_g16.TG.bluefire_ibm 
PASS  SMS_D.f09_g16.TG.bluefire_ibm.memleak
PASS  SMS_D.f09_g16.TG.bluefire_ibm.compare_hist.cesm1_1_alpha18a 
PASS  SMS_D.f09_g16.TG.bluefire_ibm.memcomp.cesm1_1_alpha18a 
FAIL  SMS_D.f09_g16.TG.bluefire_ibm.tputcomp.cesm1_1_alpha18a 
COMMENT   tput_decr = 79.75 tput_percent_decr = 13.8
PASS  ERS20y.f09_g16.TG1850.bluefire_ibm 
PASS  ERS20y.f09_g16.TG1850.bluefire_ibm.memleak
PASS  ERS20y.f09_g16.TG1850.bluefire_ibm.compare_hist.cesm1_1_alpha18a 
PASS  ERS20y.f09_g16.TG1850.bluefire_ibm.memcomp.cesm1_1_alpha18a 
PASS  ERS20y.f09_g16.TG1850.bluefire_ibm.tputcomp.cesm1_1_alpha18a PASS  SMS_D.T31_g37.IG.bluefire_ibm 
PASS  SMS_D.T31_g37.IG.bluefire_ibm.memleak
FAIL  SMS_D.T31_g37.IG.bluefire_ibm.compare_hist.cesm1_1_alpha18a 
PASS  SMS_D.T31_g37.IG.bluefire_ibm.memcomp.cesm1_1_alpha18a 
FAIL  SMS_D.T31_g37.IG.bluefire_ibm.tputcomp.cesm1_1_alpha18a 
COMMENT   tput_decr = 2.949 tput_percent_decr = 12.1

